2005-03-20  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/Makefile.am: Updated EXTRA_DIST and noinst_HEADERS.

	* config/Makefile.in, config/config.h.in: Regenerated.

	* config/katomic.h,
	config/alpha/atomic.h,
	config/generic/comparexch.h,
	config/generic/genatomic.h,
	config/i386/atomic.h,
	config/ia64/atomic.h,
	config/m68k/atomic.h,
	config/powerpc/atomic.h,
	config/s390/atomic.h,
	config/sparc/atomic-sparc32.h,
	config/sparc/atomic-sparc32v9.h,
	config/sparc/atomic-sparc64.h,
	config/x86_64/atomic.h: New files.

	* config/alpha/atomicity.h,
	config/ia64/atomicity.h,
	config/m68k/atomicity.h,
	config/s390/atomicity32.h,
	config/s390/atomicity64.h,
	config/sparc/atomicity-sparc32.h,
	config/sparc/atomicity-sparc32v9.h,
	config/sparc/atomicity-sparc64.h: Removed files.

	* config/arm/atomicity.h
	(compare_and_swap): Modified to return the old value as needed by
	katomic.h.
	
	* config/alpha/common.h,
	config/arm/common.h,
	config/i386/common.h,
	config/ia64/common.h,
	config/m68k/common.h,
	config/mips/common.h,
	config/parisc/common.h,
	config/powerpc/common.h,
	config/s390/common.h,
	config/sh/common.h,
	config/sparc/common.h,
	config/x86_64/common.h: Use the common code in generic/*.
	
	* kaffe/kaffe/main.c: Removed some parenthesis.

	* kaffe/kaffevm/locks.c: Fixed warnings which has appeared after
	atomic* merge. Fixed the use of the volatile modifier.
	(getHeavyLock): Use atomic_decrement and atomic_increment.

	* kaffe/kaffevm/ksem.c, kaffe/kaffevm/ksem.h:
	Fixed the use of the volatile modifier.
	
	* kaffe/kaffevm/locks.h
	(iLock): Use uintp for num_wait because COMPARE_AND_EXCHANGE likes
	big registers and uint16 could have cause overlap with the next field.

	* kaffe-gc/gc-incremental.c:
	(gcMan): Use KTHREAD(lockGC) to prevent deadlocks.
	(startGC, stopGC): Moved lock to these functions.
	
	* kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	kaffe/kaffevm/systems/unix-jthreads/jthread.h
	(jthread_lockGC, jthread_unlockGC): New functions.
	(jthread_init): Initialize GClock.
	(jthread_createfirst): Remember the first thread.
	(jthread_exit): Follows JNI specification when exiting the VM.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.h
	(jthread_lockGC, jthread_unlockGC): New functions.
	
2005-03-20  Jeff Bailey  <jbailey@raspberryginger.com>

	* kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am:
	(AM_CCASFLAGS): Add the defs, and the includes.

2005-03-16  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for tramploines.S instead of trampolines.c.

	Reported and suggested by: Christian Thalinger <twisti@complang.tuwien.ac.at>

2005-03-15  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/trampolines.c: Use common powerpc assembler
	syntax, and include asm/ppc_asm.h to fix build problems with JIT on darwin.

	Reported and suggested by: Christian Thalinger <twisti@complang.tuwien.ac.at>

	* configure.ac: Check for assembler. Check for assembler trampoline file
	instead of C one. Check for asm/ppc_asm.h and asm/cachectl.h.

	* config/Makefile.am: Replaced trampline.c trampoline.S for the new, 
	real assembler files.

	* config/alpha/trampolines.S,
	config/arm/trampolines.S,
	config/i386/trampolines.S,
	config/m68k/trampolines.S,
	config/mips/trampolines.S,
	config/powerpc/trampolines.S,
	config/sh/trampolines.S,
	config/sparc/trampolines.S:
	New files.

	* config/alpha/trampolines.c,
	config/arm/trampolines.c,
	config/i386/trampolines.c,
	config/m68k/trampolines.c,
	config/mips/trampolines.c,
	config/powerpc/trampolines.c,
	config/sh/trampolines.c,
	config/sparc/trampolines.c:
	Removed.
	
	* config/i386/jit.h (arch_is_trampoline_frame) 
	Removed prototype.

	* config/mips/jit.h: 
	Include <asm/cachectl.h> if available.

	* kaffe/kaffevm/gcj/gcj-except.c:
	(arch_is_trampoline_frame) Moved over here.

	* kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am:
	Use trampolines.S instead of trampolines.c.

	* kaffe/kaffevm/jit/methodcalls.c:
	Don't include trampolines.c.

2005-03-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-14  Audrius Meskauskas  <audriusa@bluewin.ch>

	* javax/swing/text/html/parser/Parser.java,
	javax/swing/text/html/parser/Entity.java:
	Inheriting from DTDConstants.
	* javax/swing/text/html/parser/AttributeList.java
	(getValues): Changed return type.
	* javax/swing/text/html/parser/DocumentParser
	(parse): Adding the callback parameter that receives
	the parsing events.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-13  Michael Koch  <konqueror@gmx.de>

	* gnu/javax/swing/text/html/parser/HTML_401F.java,
	gnu/javax/swing/text/html/parser/gnuDTD.java,
	gnu/javax/swing/text/html/parser/models/node.java:
	Reworked import statements.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-13  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/https/Handler.java:
	Reworked import statements.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-13  Michael Koch  <konqueror@gmx.de>

	* gnu/xml/aelfred2/XmlParser.java: Fixed typo.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-11  Roman Kennke  <roman@kennke.org>

	* java/awt/Compmonent.java
	(setComponentOrientation): The variable oldOrientation is initialized
	too early. This is fixed.

	2005-03-11  Roman Kennke  <roman@kennke.org>

	* java/awt/Compmonent.java
	(setComponentOrientation): Made this property firing a
	PropertyChangeEvent.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-10  Andrew Haley  <aph@redhat.com>

	* gnu/java/nio/channels/FileChannelImpl.java (smallTransferFrom):
	New.
	(smallTransferTo): New.
	(transferFrom): Loop around smallTransferFrom, copying pageSize
	bytes each time.
	(transferTo): Likewise.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-11  Chris Burdess  <dog@gnu.org>

	* gnu/xml/aelfred2/SAXDriver.java: Corrected bug handling URI
	warnings.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-14  Chris Burdess  <dog@gnu.org>

	* gnu/xml/dom/DomImpl.java,
	gnu/xml/dom/html2/DomHTMLAnchorElement.java,
	gnu/xml/dom/html2/DomHTMLDocument.java,
	gnu/xml/dom/html2/DomHTMLElement.java,
	gnu/xml/dom/html2/DomHTMLFormElement.java,
	gnu/xml/dom/html2/DomHTMLFrameElement.java,
	gnu/xml/dom/html2/DomHTMLIFrameElement.java,
	gnu/xml/dom/html2/DomHTMLImpl.java,
	gnu/xml/dom/html2/DomHTMLInputElement.java,
	gnu/xml/dom/html2/DomHTMLObjectElement.java,
	gnu/xml/dom/html2/DomHTMLOptionElement.java,
	gnu/xml/dom/html2/DomHTMLSelectElement.java,
	gnu/xml/dom/html2/DomHTMLTableCellElement.java,
	gnu/xml/dom/html2/DomHTMLTableElement.java,
	gnu/xml/dom/html2/DomHTMLTableRowElement.java,
	gnu/xml/dom/html2/DomHTMLTableSectionElement.java,
	gnu/xml/dom/html2/DomHTMLTextAreaElement.java: JAXP integration,
	UI events, and tree utility functions.
	
	2005-03-11  Chris Burdess  <dog@gnu.org>

	* gnu/xml/dom/html2/DomHTMLButtonElement.java,
	gnu/xml/dom/html2/DomHTMLCollection.java,
	gnu/xml/dom/html2/DomHTMLDocument.java,
	gnu/xml/dom/html2/DomHTMLElement.java: Extensions for new element
	types.
	* gnu/xml/dom/html2/DomHTMLDListElement.java,
	gnu/xml/dom/html2/DomHTMLDirectoryElement.java,
	gnu/xml/dom/html2/DomHTMLDivElement.java,
	gnu/xml/dom/html2/DomHTMLFieldSetElement.java,
	gnu/xml/dom/html2/DomHTMLFontElement.java,
	gnu/xml/dom/html2/DomHTMLFormElement.java,
	gnu/xml/dom/html2/DomHTMLFrameElement.java,
	gnu/xml/dom/html2/DomHTMLFrameSetElement.java,
	gnu/xml/dom/html2/DomHTMLHRElement.java,
	gnu/xml/dom/html2/DomHTMLHeadElement.java,
	gnu/xml/dom/html2/DomHTMLHeadingElement.java,
	gnu/xml/dom/html2/DomHTMLHtmlElement.java,
	gnu/xml/dom/html2/DomHTMLIFrameElement.java,
	gnu/xml/dom/html2/DomHTMLImageElement.java,
	gnu/xml/dom/html2/DomHTMLInputElement.java,
	gnu/xml/dom/html2/DomHTMLIsIndexElement.java,
	gnu/xml/dom/html2/DomHTMLLIElement.java,
	gnu/xml/dom/html2/DomHTMLLabelElement.java,
	gnu/xml/dom/html2/DomHTMLLegendElement.java,
	gnu/xml/dom/html2/DomHTMLLinkElement.java,
	gnu/xml/dom/html2/DomHTMLMapElement.java,
	gnu/xml/dom/html2/DomHTMLMenuElement.java,
	gnu/xml/dom/html2/DomHTMLMetaElement.java,
	gnu/xml/dom/html2/DomHTMLModElement.java,
	gnu/xml/dom/html2/DomHTMLOListElement.java,
	gnu/xml/dom/html2/DomHTMLObjectElement.java,
	gnu/xml/dom/html2/DomHTMLOptGroupElement.java,
	gnu/xml/dom/html2/DomHTMLOptionElement.java,
	gnu/xml/dom/html2/DomHTMLParagraphElement.java,
	gnu/xml/dom/html2/DomHTMLParamElement.java,
	gnu/xml/dom/html2/DomHTMLPreElement.java,
	gnu/xml/dom/html2/DomHTMLQuoteElement.java,
	gnu/xml/dom/html2/DomHTMLScriptElement.java,
	gnu/xml/dom/html2/DomHTMLSelectElement.java,
	gnu/xml/dom/html2/DomHTMLStyleElement.java,
	gnu/xml/dom/html2/DomHTMLTableCaptionElement.java,
	gnu/xml/dom/html2/DomHTMLTableCellElement.java,
	gnu/xml/dom/html2/DomHTMLTableColElement.java,
	gnu/xml/dom/html2/DomHTMLTableElement.java,
	gnu/xml/dom/html2/DomHTMLTableRowElement.java,
	gnu/xml/dom/html2/DomHTMLTableSectionElement.java,
	gnu/xml/dom/html2/DomHTMLTextAreaElement.java,
	gnu/xml/dom/html2/DomHTMLTitleElement.java,
	gnu/xml/dom/html2/DomHTMLUListElement.java: New files.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-03-13  Audrius Meskauskas  <audriusa@bluewin.ch>

	* org/omg/CORBA/BAD_CONTEXT.java,
	org/omg/CORBA/BAD_INV_ORDER.java,
	org/omg/CORBA/BAD_OPERATION.java,
	org/omg/CORBA/BAD_TYPECODE.java,
	org/omg/CORBA/COMM_FAILURE.java,
	org/omg/CORBA/DATA_CONVERSION.java,
	org/omg/CORBA/FREE_MEM.java,
	org/omg/CORBA/IMP_LIMIT.java,
	org/omg/CORBA/INITIALIZE.java,
	org/omg/CORBA/INTERNAL.java,
	org/omg/CORBA/INTF_REPOS.java,
	org/omg/CORBA/INVALID_TRANSACTION.java,
	org/omg/CORBA/INV_FLAG.java,
	org/omg/CORBA/INV_IDENT.java,
	org/omg/CORBA/INV_OBJREF.java,
	org/omg/CORBA/INV_POLICY.java,
	org/omg/CORBA/NO_IMPLEMENT.java,
	org/omg/CORBA/NO_MEMORY.java,
	org/omg/CORBA/NO_PERMISSION.java,
	org/omg/CORBA/NO_RESPONSE.java,
	org/omg/CORBA/OBJECT_NOT_EXIST.java,
	org/omg/CORBA/OBJ_ADAPTER.java,
	org/omg/CORBA/PERSIST_STORE.java,
	org/omg/CORBA/TRANSACTION_REQUIRED.java,
	org/omg/CORBA/TRANSACTION_ROLLEDBACK.java,
	org/omg/CORBA/TRANSIENT.java: making constructors
	public.

	2005-03-13  Audrius Meskauskas  <audriusa@bluewin.ch>

	* org/omg/CORBA/StringSeqHolder.java,
	org/omg/CORBA/WStringSeqHolder.java:
	replacing replacing CR CR LF by CR LF.
	* org/omg/CORBA/BAD_PARAM.java: making constructors
	public.

	2005-03-13  Michael Koch  <konqueror@gmx.de>

	* org/omg/CORBA/ARG_IN.java: Removed redundant modifiers.
	* org/omg/CORBA/ARG_INOUT.java: Likewise.
	* org/omg/CORBA/ARG_OUT.java: Likewise.
	* org/omg/CORBA/Any.java: Fixed HTML tags.
	* org/omg/CORBA/Principal.java: Likewise.
	* org/omg/CORBA/BAD_PARAM.java: Reordered modifiers.
	* org/omg/CORBA/FixedHolder.java: Reworked imports.
	* org/omg/CORBA/StringSeqHolder.java: Likewise.
	* org/omg/CORBA/TypeCode.java: Likewise.
	* org/omg/CORBA/TypeCodePackage/BadKind.java: Likewise.
	* org/omg/CORBA/TypeCodePackage/Bounds.java: Likewise.
	* org/omg/CORBA/WStringSeqHolder.java: Likewise.
	* org/omg/CORBA/portable/OutputStream.java: Likewise.

	2005-03-12  Audrius Meskauskas  <audriusa@bluewin.ch>

	* org/omg/CORBA/StringSeqHelper.java,
	org/omg/CORBA/WStringSeqHelper.java: New files.

	2005-03-11  Audrius Meskauskas  <audriusa@bluewin.ch>

	* org/omg/CORBA/portable/InputStream.java (read_Context):
	following API, this must be concrete and unimplemented.

	2005-03-11  Audrius Meskauskas  <audriusa@bluewin.ch>

	* org/omg/CORBA/BooleanSeqHelper.java,
	org/omg/CORBA/CharSeqHelper.java,
	org/omg/CORBA/DoubleSeqHelper.java,
	org/omg/CORBA/FloatSeqHelper.java,
	org/omg/CORBA/LongLongSeqHelper.java,
	org/omg/CORBA/LongSeqHelper.java,
	org/omg/CORBA/OctetSeqHelper.java,
	org/omg/CORBA/ShortSeqHelper.java,
	org/omg/CORBA/ULongLongSeqHelper.java,
	org/omg/CORBA/ULongSeqHelper.java,
	org/omg/CORBA/UShortSeqHelper.java,
	org/omg/CORBA/WCharSeqHelper.java,
	org/omg/CORBA/StringSeqHelper.java,
	org/omg/CORBA/WStringSeqHelper.java:
	New sequence holders.
	* org/omg/CORBA/StringSeqHelper.java,
	org/omg/CORBA/WStringSeqHelper.java: New helpers.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-11  Robert Schuster  <thebohemian@gmx.net>

        * java/beans/EventHandler.java: Reworked documentation.
        (invoke): Fixed behavior to match spec.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/external.c,
	kaffe/kaffevm/jni/jni-base.c:
	Replaced use of Kaffe_JavaVM by KaffeJNI_GetKaffeVM.
	
	*  kaffe/kaffevm/jni/jni.c
	(Kaffe_JavaVM) Made static.
	(KaffeJNI_GetKaffeVM): New function.
	
	* kaffe/kaffevm/jni/jni_i.h
	(KaffeJNI_GetKaffeVM) New prototype.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c: 
	(systemMutex) Made static.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c: 
	(activeThreadsLock) Made static.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>
	
	* config/arm/jit-arm.def:
	Replace use of idealReg by KaffeVM_jitSetIdealReg.
	
	* kaffe/kaffevm/jit/registers.c:
	(idealReg) Made static.
	(KaffeVM_jitSetIdealReg) New function.
	
	* kaffe/kaffevm/jit/registers.h:
	(idealReg) Removed prototype.
	(KaffeVM_jitSetIdealReg) New prototype.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>
	
	* kaffe/kaffevm/jit/machine.c:
	Replace use of enable_readonce by 
	KaffeVM_jitSetEnableReadonce and KaffeVM_jitGetEnableReadonce.
	
	* kaffe/kaffevm/jit/registers.c:
	(enable_readonce) Made static.
	(KaffeVM_jitGetEnableReadonce,
	KaffeVM_jitSetEnableReadonce) New functions.
	
	* kaffe/kaffevm/jit/registers.h:
	(enable_readonce) Removed prototype.
	(KaffeVM_jitGetEnableReadonce,
	KaffeVM_jitSetEnableReadonce) New prototypes.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>
	
	* config/i386/jit-i386.def,
	kaffe/kaffevm/jit/machine.c:
	Replace use of reginfo by KaffeVM_jitGetRegInfo.
	
	* kaffe/kaffevm/jit/registers.c:
	(reginfo) Made static.
	(KaffeVM_jitGetRegInfo) New function.
	
	* kaffe/kaffevm/jit/registers.h:
	(reginfo) Removed prototype.
	(KaffeVM_jitGetRegInfo) New prototype.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/registers.c,
	kaffe/kaffevm/jit3/registers.c:
	(usecnt) Made static.
	
	* kaffe/kaffevm/jit/registers.h,
	kaffe/kaffevm/jit3/registers.h:
	(usecnt) Removed prototype.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/thread.c: 
	(deadlockDetection) Made static.
	(KaffeVM_setDeadlockDetection) New function.
	
	* kaffe/kaffevm/thread.h: 
	(deadlockDetection) Removed prototype.
	(KaffeVM_setDeadlockDetection) Added prototype.

	* kaffe/kaffe/main.c (options): 
	Replace use of deadlockDetection by KaffeVM_setDeadlockDetection.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/debug.c: 
	(kaffe_dprintf_fd) Made static.
	(dbgSetDprintfFD) New function.
	
	* kaffe/kaffevm/debug.h: 
	(kaffe_dprintf_fd) Removed prototype.
	(dbgSetDprintfFD) Added prototype.

	* kaffe/kaffe/main.c (options): 
	Replace use of kaffe_dprintf_fd by dbgSetDprintfFD.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/debug.c
	(kaffevmDebugMask) Made static.
	(dbgGetMask) New function.
	(dbgSetMask) Added comments.
	
	* kaffe/kaffevm/debug.h 
	(kaffevmDebugMask): Removed prototype.
	(DBG, DBGEXPR) Use dbgGetMask instead of kaffevmDebugMask.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/baseClasses.h
	(getStringClass): New function.
	(ClassClass) Made static.
	
	* kaffe/kaffevm/baseClasses.h 
	(getStringClass): New prototype.
	(ClassClass) Removed.
	
	* kaffe/kaffevm/classMethod.c (lookupArray),
	kaffe/kaffevm/itypes.c (finishTypes),
	kaffe/kaffevm/object.c (newClass): 
	Replaced use of ClassClass by getClassClass.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TWIDE): Made static. 
	(getTWIDE) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TWIDE) Removed prototype.
	(getTWIDE) Added prototype.

	* kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TWIDE by getTWIDE.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TINT): Made static. 
	(getTINT) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TINT) Removed prototype.
	(getTINT) Added prototype.

	* kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TINT by getTINT.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TLONG): Made static. 
	(getTLONG) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TLONG) Removed prototype.
	(getTLONG) Added prototype.

	* kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TLONG by getTLONG.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TFLOAT): Made static. 
	(getTFLOAT) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TFLOAT) Removed prototype.
	(getTFLOAT) Added prototype.

	* kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TFLOAT by getTFLOAT.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TDOUBLE): Made static. 
	(getTDOUBLE) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TDOUBLE) Removed prototype.
	(getTDOUBLE) Added prototype.

	* kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TDOUBLE by getTDOUBLE.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TNULL): Made static. 
	(getTNULL) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TNULL) Removed prototype.
	(getTNULL) Added prototype.

	* kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TNULL by getTNULL and isNull.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TOBJARR): Made static. 
	(getTOBJARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TOBJARR) Removed prototype.
	(getTOBJARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TOBJARR by getTOBJARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TSTRING): Made static. 
	(getTSTRING) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TSTRING) Removed prototype.
	(getTSTRING) Added prototype.

	* kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TSTRING by getTSTRING.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TCHARARR): Made static. 
	(getTCHARARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TCHARARR) Removed prototype.
	(getTCHARARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TCHARARR by getTCHARARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TBYTEARR): Made static. 
	(getTBYTEARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TBYTEARR) Removed prototype.
	(getTBYTEARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TBYTEARR by getTBYTEARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TBOOLARR): Made static. 
	(getTBOOLARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TBOOLARR) Removed prototype.
	(getTBOOLARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TBOOLARR by getTBOOLARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TSHORTARR): Made static. 
	(getTSHORTARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TSHORTARR) Removed prototype.
	(getTSHORTARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TSHORTARR by getTSHORTARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TINTARR): Made static. 
	(getTINTARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TINTARR) Removed prototype.
	(getTINTARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TINTARR by getTINTARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TLONGARR): Made static. 
	(getTLONGARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TLONGARR) Removed prototype.
	(getTLONGARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TLONGARR by getTLONGARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TFLOATARR): Made static. 
	(getTFLOATARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TFLOATARR) Removed prototype.
	(getTFLOATARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TFLOATARR by getTFLOATARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TDOUBLEARR): Made static. 
	(getTDOUBLEARR) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TDOUBLEARR) Removed prototype.
	(getTDOUBLEARR) Added prototype.

	* kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TDOUBLEARR by getTDOUBLEARR.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TUNSTABLE): Made static. 
	(getTUNSTABLE) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TUNSTABLE) Removed prototype.
	(getTUNSTABLE) Added prototype.

	* kaffe/kaffevm/verifier/verify3b.c,
	kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify-debug.c,
	kaffe/kaffevm/verifier/verify-block.c:
	Replaced use of TUNSTABLE by getTUNSTABLE.
	
2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-type.c
	(TOBJ): Made static. 
	(getTOBJ) Added.

	* kaffe/kaffevm/verifier/verify-type.h: 
	(TOBJ) Removed prototype.
	(getTOBJ) Added prototype.

	* kaffe/kaffevm/verifier/verify-block.c (verifyBasicBlock), 
	kaffe/kaffevm/verifier/verify.c (checkMethodCall): 
	Use getTOBJ instead of using TOBJ directly.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (KGC_BLOCKS): Added.
	(gc_block_base) Made static.

	* kaffe/kaffevm/kaffe-gc/gc-mem.h (KGC_BLOCKS): Removed.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.h (gc_block_base):
	Removed.

2005-03-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Removed ALIGNMENTOF_VOIDP check.

	* include/defs.h (ALIGNMENTOF_VOIDP): Define portably.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/gcFuncs.c: 
	Include defs.h.

2005-03-13  Jim Huang  <jserv@kaffe.org>

	* kaffe/kaffevm/locks.c:
	(slowLockMutex): Added missing lockTime variable.

2005-03-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/locks.c
	(getHeavyLock): Changed order of heavy locking.
	(putHeavyLock): Only call KSEM(put) if it is useful.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_exit): If it is called from the main thread it will wait
	for all other non-daemon threads to exit before returning.

	* kaffe/kaffevm/jni/jni-base.c
	(KaffeJNI_DestroyJavaVM): New function.
	(JNI_CreateJavaVM): Remember the thread which has built the VM object.
	(startingThread): New variable.

	* kaffe/kaffevm/jni/jni_funcs.h
	(KaffeJNI_DestroyJavaVM): New function.

	* kaffe/kaffevm/jni/jni.c
	(Kaffe_DestroyJavaVM): Removed.
	
2005-03-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/config-jthreads.h: Define
	SIGALTSTACK_NEEDS_END if the system is IRIX.

	* kaffe/kaffevm/systems/unix-jthreads/signal.c
	(setupSigAltStack): Put a pointer to he end of the stack if
	SIGALTSTACK_NEEDS_END is defined.
	
2005-03-12  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Fixed typo that prevented ALIGNMENTOF_VOIDP
	to be defined when cross-compiling.

2005-03-12  Dalibor Topic  <robilad@kaffe.org>

	* config/alpha/jit.h:  Use translatorlock instead of 
	translatorLock.

	* kaffe/kaffevm/jit/machine.c (initEngine): Use
	translatorlock instead of translatorLock.

2005-03-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* FAQ/FAQ.locks: Updated to match new lock algorithm.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c
	(KaffeGC_rmWeakRef): Reworked memory allocation and lock sequence
	to prevent dead locks while collecting/finalizing.
	(KaffeGC_walkRefs): Do not lock here as all threads are stopped
	and this may deadlock.
	
2005-03-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/channels/FileChannelImpl.java
	(FileChannelImpl(File, int)) Close opened file if directory. 
	Removed needless call to file.getPath().

2005-03-11 Dalibor Topic <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-10  Tom Tromey  <tromey@redhat.com>

        * java/io/InputStreamReader.java: Indentation fixlets.  Added
        '@since' markers.

2005-03-11 Dalibor Topic <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-10  Chris Burdess  <dog@bluezoo.org>

        * gnu/xml/dom/ls/SAXEventSink.java: Ignore element declarations if
        not currently parsing the DTD.

2005-03-11 Dalibor Topic <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-10  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/text/ChangedCharSetException.java,
        javax/swing/text/html/HTMLEditorKit.java,
        javax/swing/text/html/HTMLFrameHyperlinkEvent.java,
        javax/swing/text/html/parser/AttributeList.java,
        javax/swing/text/html/parser/ContentModel.java,
        javax/swing/text/html/parser/DocumentParser.java,
        javax/swing/text/html/parser/DTD.java,
        javax/swing/text/html/parser/DTDConstants.java,
        javax/swing/text/html/parser/Element.java,
        javax/swing/text/html/parser/Entity.java,
        javax/swing/text/html/parser/Parser.java,
        javax/swing/text/html/parser/TagElement.java,
        gnu/javax/swing/text/html/package.html,
        gnu/javax/swing/text/html/parser/gnuDTD.java,
        gnu/javax/swing/text/html/parser/HTML_401F.java,
        gnu/javax/swing/text/html/parser/htmlAttributeSet.java,
        gnu/javax/swing/text/html/parser/htmlValidator.java,
        gnu/javax/swing/text/html/parser/package.html,
        gnu/javax/swing/text/html/parser/models/list.java,
        gnu/javax/swing/text/html/parser/models/node.java,
        gnu/javax/swing/text/html/parser/models/noTagModel.java,
        gnu/javax/swing/text/html/parser/models/package.html,
        gnu/javax/swing/text/html/parser/models/PCDATAonly_model.java,
        gnu/javax/swing/text/html/parser/models/TableRowContentModel.java,
        gnu/javax/swing/text/html/parser/models/transformer.java,
        gnu/javax/swing/text/html/parser/support/gnuStringIntMapper.java,
        gnu/javax/swing/text/html/parser/support/package.html,
        gnu/javax/swing/text/html/parser/support/parameterDefaulter.java,
        gnu/javax/swing/text/html/parser/support/Parser.java,
        gnu/javax/swing/text/html/parser/support/textPreProcessor.java,
        gnu/javax/swing/text/html/parser/support/low/Buffer.java,
        gnu/javax/swing/text/html/parser/support/low/Constants.java,
        gnu/javax/swing/text/html/parser/support/low/Location.java,
        gnu/javax/swing/text/html/parser/support/low/node.java,
        gnu/javax/swing/text/html/parser/support/low/package.html,
        gnu/javax/swing/text/html/parser/support/low/ParseException.java,
        gnu/javax/swing/text/html/parser/support/low/pattern.java,
        gnu/javax/swing/text/html/parser/support/low/Queue.java,
        gnu/javax/swing/text/html/parser/support/low/ReaderTokenizer.java:
        New files.
        * javax/swing/text/html/HTML.java,
        javax/swing/text/html/parser/ParserDelegator.java:
        New files (replacing).
        * javax/swing/text/html/package.html,
        javax/swing/text/html/parser/package.html: Documenting the
        packages.

2005-03-11 Dalibor Topic <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Chris Burdess  <dog@gnu.org>

        * gnu/xml/dom/html2/DomHTMLAnchorElement.java,
        gnu/xml/dom/html2/DomHTMLAppletElement.java,
        gnu/xml/dom/html2/DomHTMLAreaElement.java,
        gnu/xml/dom/html2/DomHTMLBaseElement.java,
        gnu/xml/dom/html2/DomHTMLBaseFontElement.java,
        gnu/xml/dom/html2/DomHTMLBodyElement.java,
        gnu/xml/dom/html2/DomHTMLBRElement.java,
        gnu/xml/dom/html2/DomHTMLButtonElement.java,
        gnu/xml/dom/html2/DomHTMLCollection.java,
        gnu/xml/dom/html2/DomHTMLDocument.java,
        gnu/xml/dom/html2/DomHTMLElement.java: New files.

2005-03-11 Dalibor Topic <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Sven de Marothy  <sven@physto.se>

        * java/util/Calendar.java
        (set): Use starting day of week when one is needed if none is given.
        * java/text/SimpleDateFormat.java
        (parse): Handle 1-12 and 1-24 timestamps correctly.
        * java/util/GregorianCalendar
        (computeTime, computeFields): HOUR should be in 0-11 format.
        (nonLeniencyCheck): Adjust leniency checking to that fact.

	2005-03-09  Sven de Marothy  <sven@physto.se>

        * gnu/java/locale/Calendar.java,
        gnu/java/locale/Calendar_nl.java,
        gnu/java/locale/Calendar_de.java,
        gnu/java/locale/Calendar_en.java:
        Removed.

	2005-03-09  Sven de Marothy  <sven@physto.se>

        * java/util/Calendar.java:
        Updated to use gnu.java.locale.LocaleInformation for locale info.
        * java/util/GregorianCalendar.java:
        Made gregorianCutover a hard-coded constant. It is not localized.

	2005-03-09  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation.java,
        gnu/java/locale/LocaleInformation_aa.java,
        gnu/java/locale/LocaleInformation_aa_DJ.java,
        gnu/java/locale/LocaleInformation_aa_ER.java,
        gnu/java/locale/LocaleInformation_aa_ER_SAAHO.java,
        gnu/java/locale/LocaleInformation_aa_ET.java,
        gnu/java/locale/LocaleInformation_af.java,
        gnu/java/locale/LocaleInformation_af_ZA.java,
        gnu/java/locale/LocaleInformation_am.java,
        gnu/java/locale/LocaleInformation_am_ET.java,
        gnu/java/locale/LocaleInformation_ar.java,
        gnu/java/locale/LocaleInformation_ar_DZ.java,
        gnu/java/locale/LocaleInformation_ar_IN.java,
        gnu/java/locale/LocaleInformation_ar_IQ.java,
        gnu/java/locale/LocaleInformation_ar_JO.java,
        gnu/java/locale/LocaleInformation_ar_KW.java,
        gnu/java/locale/LocaleInformation_ar_LB.java,
        gnu/java/locale/LocaleInformation_ar_LY.java,
        gnu/java/locale/LocaleInformation_ar_MA.java,
        gnu/java/locale/LocaleInformation_ar_QA.java,
        gnu/java/locale/LocaleInformation_ar_SA.java,
        gnu/java/locale/LocaleInformation_ar_SY.java,
        gnu/java/locale/LocaleInformation_ar_TN.java,
        gnu/java/locale/LocaleInformation_ar_YE.java,
        gnu/java/locale/LocaleInformation_as.java,
        gnu/java/locale/LocaleInformation_as_IN.java,
        gnu/java/locale/LocaleInformation_az_Cyrl.java,
        gnu/java/locale/LocaleInformation_be.java,
        gnu/java/locale/LocaleInformation_be_BY.java,
        gnu/java/locale/LocaleInformation_bg.java,
        gnu/java/locale/LocaleInformation_bg_BG.java,
        gnu/java/locale/LocaleInformation_bn.java,
        gnu/java/locale/LocaleInformation_bn_IN.java,
        gnu/java/locale/LocaleInformation_ca.java,
        gnu/java/locale/LocaleInformation_ca_ES.java,
        gnu/java/locale/LocaleInformation_cs.java,
        gnu/java/locale/LocaleInformation_cs_CZ.java,
        gnu/java/locale/LocaleInformation_cy.java,
        gnu/java/locale/LocaleInformation_cy_GB.java,
        gnu/java/locale/LocaleInformation_da.java,
        gnu/java/locale/LocaleInformation_da_DK.java,
        gnu/java/locale/LocaleInformation_de.java,
        gnu/java/locale/LocaleInformation_de_AT.java,
        gnu/java/locale/LocaleInformation_de_BE.java,
        gnu/java/locale/LocaleInformation_de_CH.java,
        gnu/java/locale/LocaleInformation_de_DE.java,
        gnu/java/locale/LocaleInformation_de_LI.java,
        gnu/java/locale/LocaleInformation_de_LU.java,
        gnu/java/locale/LocaleInformation_dv.java,
        gnu/java/locale/LocaleInformation_dv_MV.java,
        gnu/java/locale/LocaleInformation_dz.java,
        gnu/java/locale/LocaleInformation_dz_BT.java,
        gnu/java/locale/LocaleInformation_el.java,
        gnu/java/locale/LocaleInformation_el_GR.java,
        gnu/java/locale/LocaleInformation_en.java,
        gnu/java/locale/LocaleInformation_en_AS.java,
        gnu/java/locale/LocaleInformation_en_AU.java,
        gnu/java/locale/LocaleInformation_en_BE.java,
        gnu/java/locale/LocaleInformation_en_BW.java,
        gnu/java/locale/LocaleInformation_en_BZ.java,
        gnu/java/locale/LocaleInformation_en_CA.java,
        gnu/java/locale/LocaleInformation_en_GB.java,
        gnu/java/locale/LocaleInformation_en_GU.java,
        gnu/java/locale/LocaleInformation_en_HK.java,
        gnu/java/locale/LocaleInformation_en_IE.java,
        gnu/java/locale/LocaleInformation_en_IN.java,
        gnu/java/locale/LocaleInformation_en_MH.java,
        gnu/java/locale/LocaleInformation_en_MP.java,
        gnu/java/locale/LocaleInformation_en_MT.java,
        gnu/java/locale/LocaleInformation_en_NZ.java,
        gnu/java/locale/LocaleInformation_en_PH.java,
        gnu/java/locale/LocaleInformation_en_PK.java,
        gnu/java/locale/LocaleInformation_en_SG.java,
        gnu/java/locale/LocaleInformation_en_UM.java,
        gnu/java/locale/LocaleInformation_en_US.java,
        gnu/java/locale/LocaleInformation_en_US_POSIX.java,
        gnu/java/locale/LocaleInformation_en_VI.java,
        gnu/java/locale/LocaleInformation_en_ZA.java,
        gnu/java/locale/LocaleInformation_en_ZW.java,
        gnu/java/locale/LocaleInformation_eo.java,
        gnu/java/locale/LocaleInformation_es.java,
        gnu/java/locale/LocaleInformation_es_AR.java,
        gnu/java/locale/LocaleInformation_es_BO.java,
        gnu/java/locale/LocaleInformation_es_CL.java,
        gnu/java/locale/LocaleInformation_es_CO.java,
        gnu/java/locale/LocaleInformation_es_CR.java,
        gnu/java/locale/LocaleInformation_es_DO.java,
        gnu/java/locale/LocaleInformation_es_EC.java,
        gnu/java/locale/LocaleInformation_es_ES.java,
        gnu/java/locale/LocaleInformation_es_GT.java,
        gnu/java/locale/LocaleInformation_es_HN.java,
        gnu/java/locale/LocaleInformation_es_MX.java,
        gnu/java/locale/LocaleInformation_es_NI.java,
        gnu/java/locale/LocaleInformation_es_PA.java,
        gnu/java/locale/LocaleInformation_es_PE.java,
        gnu/java/locale/LocaleInformation_es_PR.java,
        gnu/java/locale/LocaleInformation_es_PY.java,
        gnu/java/locale/LocaleInformation_es_SV.java,
        gnu/java/locale/LocaleInformation_es_US.java,
        gnu/java/locale/LocaleInformation_es_UY.java,
        gnu/java/locale/LocaleInformation_es_VE.java,
        gnu/java/locale/LocaleInformation_et.java,
        gnu/java/locale/LocaleInformation_et_EE.java,
        gnu/java/locale/LocaleInformation_eu.java,
        gnu/java/locale/LocaleInformation_eu_ES.java,
        gnu/java/locale/LocaleInformation_fa.java,
        gnu/java/locale/LocaleInformation_fa_AF.java,
        gnu/java/locale/LocaleInformation_fa_IR.java,
        gnu/java/locale/LocaleInformation_fi.java,
        gnu/java/locale/LocaleInformation_fi_FI.java,
        gnu/java/locale/LocaleInformation_fo.java,
        gnu/java/locale/LocaleInformation_fo_FO.java,
        gnu/java/locale/LocaleInformation_fr.java,
        gnu/java/locale/LocaleInformation_fr_BE.java,
        gnu/java/locale/LocaleInformation_fr_CA.java,
        gnu/java/locale/LocaleInformation_fr_CH.java,
        gnu/java/locale/LocaleInformation_fr_LU.java,
        gnu/java/locale/LocaleInformation_ga.java,
        gnu/java/locale/LocaleInformation_ga_IE.java,
        gnu/java/locale/LocaleInformation_gl.java,
        gnu/java/locale/LocaleInformation_gl_ES.java,
        gnu/java/locale/LocaleInformation_gu.java,
        gnu/java/locale/LocaleInformation_gu_IN.java,
        gnu/java/locale/LocaleInformation_gv.java,
        gnu/java/locale/LocaleInformation_gv_GB.java,
        gnu/java/locale/LocaleInformation_he.java,
        gnu/java/locale/LocaleInformation_he_IL.java,
        gnu/java/locale/LocaleInformation_hi.java,
        gnu/java/locale/LocaleInformation_hi_IN.java,
        gnu/java/locale/LocaleInformation_hr.java,
        gnu/java/locale/LocaleInformation_hu.java,
        gnu/java/locale/LocaleInformation_hu_HU.java,
        gnu/java/locale/LocaleInformation_hy.java,
        gnu/java/locale/LocaleInformation_hy_AM.java,
        gnu/java/locale/LocaleInformation_hy_AM_REVISED.java,
        gnu/java/locale/LocaleInformation_id.java,
        gnu/java/locale/LocaleInformation_id_ID.java,
        gnu/java/locale/LocaleInformation_is.java,
        gnu/java/locale/LocaleInformation_is_IS.java,
        gnu/java/locale/LocaleInformation_it.java,
        gnu/java/locale/LocaleInformation_it_CH.java,
        gnu/java/locale/LocaleInformation_it_IT.java,
        gnu/java/locale/LocaleInformation_iu.java,
        gnu/java/locale/LocaleInformation_ja.java,
        gnu/java/locale/LocaleInformation_ja_JP.java,
        gnu/java/locale/LocaleInformation_ka.java,
        gnu/java/locale/LocaleInformation_kk.java,
        gnu/java/locale/LocaleInformation_kk_KZ.java,
        gnu/java/locale/LocaleInformation_kl.java,
        gnu/java/locale/LocaleInformation_kl_GL.java,
        gnu/java/locale/LocaleInformation_km.java,
        gnu/java/locale/LocaleInformation_km_KH.java,
        gnu/java/locale/LocaleInformation_kn.java,
        gnu/java/locale/LocaleInformation_kn_IN.java,
        gnu/java/locale/LocaleInformation_ko.java,
        gnu/java/locale/LocaleInformation_ko_KR.java,
        gnu/java/locale/LocaleInformation_kw.java,
        gnu/java/locale/LocaleInformation_kw_GB.java,
        gnu/java/locale/LocaleInformation_ky.java,
        gnu/java/locale/LocaleInformation_lo.java,
        gnu/java/locale/LocaleInformation_lo_LA.java,
        gnu/java/locale/LocaleInformation_lt.java,
        gnu/java/locale/LocaleInformation_lt_LT.java,
        gnu/java/locale/LocaleInformation_lv.java,
        gnu/java/locale/LocaleInformation_lv_LV.java,
        gnu/java/locale/LocaleInformation_mk.java,
        gnu/java/locale/LocaleInformation_ml.java,
        gnu/java/locale/LocaleInformation_ml_IN.java,
        gnu/java/locale/LocaleInformation_mn.java,
        gnu/java/locale/LocaleInformation_mn_MN.java,
        gnu/java/locale/LocaleInformation_mr.java,
        gnu/java/locale/LocaleInformation_mr_IN.java,
        gnu/java/locale/LocaleInformation_ms.java,
        gnu/java/locale/LocaleInformation_ms_BN.java,
        gnu/java/locale/LocaleInformation_ms_MY.java,
        gnu/java/locale/LocaleInformation_mt.java,
        gnu/java/locale/LocaleInformation_mt_MT.java,
        gnu/java/locale/LocaleInformation_nb.java,
        gnu/java/locale/LocaleInformation_nb_NO.java,
        gnu/java/locale/LocaleInformation_nl.java,
        gnu/java/locale/LocaleInformation_nl_BE.java,
        gnu/java/locale/LocaleInformation_nl_NL.java,
        gnu/java/locale/LocaleInformation_nn.java,
        gnu/java/locale/LocaleInformation_nn_NO.java,
        gnu/java/locale/LocaleInformation_om.java,
        gnu/java/locale/LocaleInformation_om_ET.java,
        gnu/java/locale/LocaleInformation_om_KE.java,
        gnu/java/locale/LocaleInformation_or.java,
        gnu/java/locale/LocaleInformation_or_IN.java,
        gnu/java/locale/LocaleInformation_pa.java,
        gnu/java/locale/LocaleInformation_pa_IN.java,
        gnu/java/locale/LocaleInformation_pl.java,
        gnu/java/locale/LocaleInformation_pl_PL.java,
        gnu/java/locale/LocaleInformation_ps.java,
        gnu/java/locale/LocaleInformation_ps_AF.java,
        gnu/java/locale/LocaleInformation_pt.java,
        gnu/java/locale/LocaleInformation_pt_BR.java,
        gnu/java/locale/LocaleInformation_pt_PT.java,
        gnu/java/locale/LocaleInformation_ro.java,
        gnu/java/locale/LocaleInformation_ro_RO.java,
        gnu/java/locale/LocaleInformation_ru.java,
        gnu/java/locale/LocaleInformation_ru_RU.java,
        gnu/java/locale/LocaleInformation_ru_UA.java,
        gnu/java/locale/LocaleInformation_sa.java,
        gnu/java/locale/LocaleInformation_sa_IN.java,
        gnu/java/locale/LocaleInformation_sk.java,
        gnu/java/locale/LocaleInformation_sk_SK.java,
        gnu/java/locale/LocaleInformation_sl.java,
        gnu/java/locale/LocaleInformation_so.java,
        gnu/java/locale/LocaleInformation_so_DJ.java,
        gnu/java/locale/LocaleInformation_so_ET.java,
        gnu/java/locale/LocaleInformation_so_KE.java,
        gnu/java/locale/LocaleInformation_so_SO.java,
        gnu/java/locale/LocaleInformation_sq.java,
        gnu/java/locale/LocaleInformation_sq_AL.java,
        gnu/java/locale/LocaleInformation_sr.java,
        gnu/java/locale/LocaleInformation_sr_Latn.java,
        gnu/java/locale/LocaleInformation_sv.java,
        gnu/java/locale/LocaleInformation_sv_FI.java,
        gnu/java/locale/LocaleInformation_sv_SE.java,
        gnu/java/locale/LocaleInformation_sw.java,
        gnu/java/locale/LocaleInformation_sw_KE.java,
        gnu/java/locale/LocaleInformation_sw_TZ.java,
        gnu/java/locale/LocaleInformation_ta.java,
        gnu/java/locale/LocaleInformation_ta_IN.java,
        gnu/java/locale/LocaleInformation_te.java,
        gnu/java/locale/LocaleInformation_te_IN.java,
        gnu/java/locale/LocaleInformation_th.java,
        gnu/java/locale/LocaleInformation_th_TH.java,
        gnu/java/locale/LocaleInformation_ti.java,
        gnu/java/locale/LocaleInformation_ti_ER.java,
        gnu/java/locale/LocaleInformation_ti_ET.java,
        gnu/java/locale/LocaleInformation_tr.java,
        gnu/java/locale/LocaleInformation_tr_TR.java,
        gnu/java/locale/LocaleInformation_tt.java,
        gnu/java/locale/LocaleInformation_tt_RU.java,
        gnu/java/locale/LocaleInformation_uk.java,
        gnu/java/locale/LocaleInformation_uk_UA.java,
        gnu/java/locale/LocaleInformation_ur.java,
        gnu/java/locale/LocaleInformation_uz.java,
        gnu/java/locale/LocaleInformation_uz_AF.java,
        gnu/java/locale/LocaleInformation_vi.java,
        gnu/java/locale/LocaleInformation_zh.java,
        gnu/java/locale/LocaleInformation_zh_CN_Hans.java,
        gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
        gnu/java/locale/LocaleInformation_zh_Hant.java,
        gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
        gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
        gnu/java/locale/LocaleInformation_zh_TW_Hant.java:
        Regenerated with current gnu.localegen.

2005-05-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/reference.c
	(referenceObjectFinalizer): Really remove the object from the
	hash and free it.
	(referenceFinalizer): If the entry has already been freed just
	finalize the object.

	Reported by Michael Koch <konqueror@gmx.de>

2005-05-11  Guilhem Lavaux  <guilhem@kaffe.org>,
	Helmer Krämer <hkraemer@freenet.de>

	* config/alpha/osf/md.c
	(init_md): Initialize explicitly the static lock.

	* config/i386/jit3-icode.h
	(HAVE_mon_enter, HAVE_mon_exit): Disabled.
	
	* include/errors.h
	(errorInfo): Use a const modifier for mess.

	* kaffe/kaffevm/baseClasses.c
	(initialiseKaffe): Call sub-system initializers.

	* kaffe/kaffevm/classMethod.c: Removed all iLockRoot. Use
	*StaticMutex functions because classEntry has now a static lock.
	
	* kaffe/kaffevm/classMethod.h
	(classEntry): Changed dynamic lock "lock" into static lock
	"slock".

	* kaffe/kaffevm/classPool.c: Removed all iLockRoot. Use
	*StaticMutex functions for class entries.
	(KaffeVM_initClassPool): New initializer.

	* kaffe/kaffevm/exception.c
	(dispatchException): Updated to new lock API.

	* kaffe/kaffevm/external.c,
	kaffe/kaffevm/findInJar.c,
	kaffe/kaffevm/lookup.c,
	kaffe/kaffevm/reference.c,
	kaffe/kaffevm/string.c,
	kaffe/kaffevm/utf8const.c,
	kaffe/kaffevm/boehm-gc/gc2.c,
	kaffe/kaffevm/jit/native-wrapper.c,
	kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	kaffe/kaffevm/kaffe-gc/gc-mem.c: Removed iLockRoot. Upgraded to new
	static lock API.

	* kaffe/kaffevm/jar.[ch]: Likewise. Use also a static lock for jarFile.
	(KaffeVM_initJarCache): New initializer.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c: Likewise.
	(KaffeGC_initRefs): New initializer.
	
	* kaffe/kaffevm/ksem.[ch]: Updated to match true semaphore behaviour.
	
	* kaffe/kaffevm/gcFuncs.c
	(walkObject, walkClass, walkRefArray): Mark the heavy lock if it
	has been allocated.
	(initCollector): Changed KGC_ALLOC_LOCK into garbage-collected memory.
	
	* kaffe/kaffevm/locks.c, kaffe/kaffevm/locks.h: New
	implementation for heavy locks and thin locks.

	* kaffe/kaffevm/thread.c: Reduced the number of
	KTHREAD(get_data). Removed iLockRoot.

	* kaffe/kaffevm/support.h: Added initEngine().

	* libraries/clib/net/InetAddressImpl.c: Removed iLockRoot. Updated
	to the new lock interface.
	(initInetLock, initNsLock): New initializer to take care of
	concurrent initialization of the static locks.

	* kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit3/machine.c: Updated to new lock interface.
	(initEngine): New initializer.

	* kaffe/xprof/debugFile.c, kaffe/xprof/feedback.c,
	kaffe/xprof/sectionFile.c: Removed iLockRoot.

2005-03-11  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Tom Tromey  <tromey@redhat.com>

        * java/net/URLClassLoader.java (addURLImpl): Reset 'thisString'.
        (toString): Synchronize.

2005-03-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/channels/FileChannelImpl.java
	(FileChannelImpl(Sting, int)): Removed.
	(FileChannelImpl(File, int)) Added. Check if opened file is a directory.

	* libraries/javalib/java/io/FileInputStream.java (FileInputStream):
	Fixed javadocs. Call FileChannelImpl(File, int).

	* libraries/javalib/java/io/FileOutputStream.java (FileInputStream):
	Call FileChannelImpl(File, int).

	* libraries/javalib/java/io/RandomAccessFile.java (RandomAccessFile):
	Call FileChannelImpl(File, int). Switched constructors around.

	Resynced with GNU Classpath.

	2005-03-03  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/FileInputStream.java (FileInputStream(File)),
        java/io/FileOutputStream.java (FileOutputStream(File)):
        Removed unnecessary File.isDirectory() check.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Michael Koch  <konqueror@gmx.de>

        * org/omg/CORBA/ARG_IN.java,
        org/omg/CORBA/ARG_INOUT.java,
        org/omg/CORBA/ARG_OUT.java,
        org/omg/CORBA/Any.java,
        org/omg/CORBA/AnyHolder.java,
        org/omg/CORBA/BAD_CONTEXT.java,
        org/omg/CORBA/BAD_INV_ORDER.java,
        org/omg/CORBA/BAD_OPERATION.java,
        org/omg/CORBA/BAD_PARAM.java,
        org/omg/CORBA/BAD_TYPECODE.java,
        org/omg/CORBA/BooleanHolder.java,
        org/omg/CORBA/BooleanSeqHolder.java,
        org/omg/CORBA/Bounds.java,
        org/omg/CORBA/ByteHolder.java,
        org/omg/CORBA/COMM_FAILURE.java,
        org/omg/CORBA/CharHolder.java,
        org/omg/CORBA/CharSeqHolder.java,
        org/omg/CORBA/CompletionStatus.java,
        org/omg/CORBA/Context.java,
        org/omg/CORBA/ContextList.java,
        org/omg/CORBA/DATA_CONVERSION.java,
        org/omg/CORBA/DoubleHolder.java,
        org/omg/CORBA/DoubleSeqHolder.java,
        org/omg/CORBA/FREE_MEM.java,
        org/omg/CORBA/FixedHolder.java,
        org/omg/CORBA/FloatHolder.java,
        org/omg/CORBA/FloatSeqHolder.java,
        org/omg/CORBA/IDLEntity.java,
        org/omg/CORBA/IMP_LIMIT.java,
        org/omg/CORBA/INITIALIZE.java,
        org/omg/CORBA/INTERNAL.java,
        org/omg/CORBA/INTF_REPOS.java,
        org/omg/CORBA/INVALID_TRANSACTION.java,
        org/omg/CORBA/INV_FLAG.java,
        org/omg/CORBA/INV_IDENT.java,
        org/omg/CORBA/INV_OBJREF.java,
        org/omg/CORBA/INV_POLICY.java,
        org/omg/CORBA/IntHolder.java,
        org/omg/CORBA/LongHolder.java,
        org/omg/CORBA/LongLongSeqHolder.java,
        org/omg/CORBA/LongSeqHolder.java,
        org/omg/CORBA/MARSHAL.java,
        org/omg/CORBA/NO_IMPLEMENT.java,
        org/omg/CORBA/NO_MEMORY.java,
        org/omg/CORBA/NO_PERMISSION.java,
        org/omg/CORBA/NO_RESPONSE.java,
        org/omg/CORBA/NamedValue.java,
        org/omg/CORBA/OBJECT_NOT_EXIST.java,
        org/omg/CORBA/OBJ_ADAPTER.java,
        org/omg/CORBA/ORB.java,
        org/omg/CORBA/Object.java,
        org/omg/CORBA/OctetSeqHolder.java,
        org/omg/CORBA/PERSIST_STORE.java,
        org/omg/CORBA/Principal.java,
        org/omg/CORBA/ShortHolder.java,
        org/omg/CORBA/ShortSeqHolder.java,
        org/omg/CORBA/StringHolder.java,
        org/omg/CORBA/SystemException.java,
        org/omg/CORBA/TCKind.java,
        org/omg/CORBA/TRANSACTION_REQUIRED.java,
        org/omg/CORBA/TRANSACTION_ROLLEDBACK.java,
        org/omg/CORBA/TRANSIENT.java,
        org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/TypeCodeHolder.java,
        org/omg/CORBA/TypeCodePackage/BadKind.java,
        org/omg/CORBA/TypeCodePackage/Bounds.java,
        org/omg/CORBA/ULongLongSeqHolder.java,
        org/omg/CORBA/ULongSeqHolder.java,
        org/omg/CORBA/UNKNOWN.java,
        org/omg/CORBA/UShortSeqHolder.java,
        org/omg/CORBA/UserException.java,
        org/omg/CORBA/WCharSeqHolder.java,
        org/omg/CORBA/portable/IDLEntity.java,
        org/omg/CORBA/portable/InputStream.java,
        org/omg/CORBA/portable/OutputStream.java,
        org/omg/CORBA/portable/Streamable.java:
        Use our standard copyright header.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Michael Koch  <konqueror@gmx.de>

        * org/omg/CORBA/AnyHolder.java: Added missing import.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-09  Robert Schuster <thebohemian@gmx.net>

        * java/awt/AWTEvent.java (toString): Added case
        for source not being an AWT component.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-08 David Gilbert <david.gilbert@object-refinery.com>

        * java/awt/Font.java (decode): Handle null argument and allow
        space as delimiter.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-07  Chris Burdess  <dog@gnu.org>

        * gnu/java/net/protocol/https/Handler.java: New file.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-07  Jeroen Frijters  <jeroen@frijters.net>

        * java/net/URI.java (AUTHORITY_REGEXP): Corrected regexp.
        (AUTHORITY_USERINFO_GROUP,AUTHORITY_HOST_GROUP,AUTHORITY_PORT_GROUP):
        Adjusted to match new regexp.

2005-03-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-07  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/DataInputStream.java (ignoreInitialNewline): Removed
        (readLine): Changed newline handling.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-04  Roman Kennke  <roman@ontographics.com>

        * javax/swing/text/rtf/ControlWordToken.java: New file.
        * javax/swing/text/rtf/RTFEditorKit.java: New file.
        * javax/swing/text/rtf/RTFParseException.java: New file.
        * javax/swing/text/rtf/RTFParser.java: New file.
        * javax/swing/text/rtf/RTFScanner.java: New file.
        * javax/swing/text/rtf/TextToken.java: New file.
        * javax/swing/text/rtf/Token.java: New file.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-08  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/BooleanHolder.java,
        org/omg/CORBA/ByteHolder.java,
        org/omg/CORBA/CharHolder.java,
        org/omg/CORBA/DoubleHolder.java,
        org/omg/CORBA/FixedHolder.java,
        org/omg/CORBA/FloatHolder.java,
        org/omg/CORBA/IntHolder.java,
        org/omg/CORBA/LongHolder.java,
        org/omg/CORBA/ShortHolder.java,
        org/omg/CORBA/StringHolder.java,
        org/omg/CORBA/TypeCodeHolder.java:
        Fixing the _read method.

	2005-03-08  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/NamedValue.java,
        org/omg/CORBA/ARG_IN.java,
        org/omg/CORBA/ARG_OUT.java,
        org/omg/CORBA/ARG_INOUT.java:
        New files.

	2005-03-08  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/.java: New file.

	2005-03-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * gnu/CORBA/primitiveArrayTypeCode.java:
        Moved from org.omg.CORBA.
        * gnu/CORBA/primitiveTypeCode.java: Likewise.
        * org/omg/CORBA/BooleanHolder.java,
        org/omg/CORBA/ByteHolder.java,
        org/omg/CORBA/CharHolder.java,
        org/omg/CORBA/DoubleHolder.java,
        org/omg/CORBA/FixedHolder.java,
        org/omg/CORBA/FloatHolder.java,
        org/omg/CORBA/IntHolder.java,
        org/omg/CORBA/LongHolder.java,
        org/omg/CORBA/ShortHolder.java,
        org/omg/CORBA/StringHolder.java,
        org/omg/CORBA/TypeCodeHolder.java:
        Added necessary imports.
        * org/omg/CORBA/BooleanSeqHolder.java,
        org/omg/CORBA/CharSeqHolder.java,
        org/omg/CORBA/DoubleSeqHolder.java,
        org/omg/CORBA/FloatSeqHolder.java,
        org/omg/CORBA/LongLongSeqHolder.java,
        org/omg/CORBA/LongSeqHolder.java,
        org/omg/CORBA/OctetSeqHolder.java,
        org/omg/CORBA/ShortSeqHolder.java,
        org/omg/CORBA/ULongLongSeqHolder.java,
        org/omg/CORBA/ULongSeqHolder.java,
        org/omg/CORBA/UShortSeqHolder.java,
        org/omg/CORBA/WCharSeqHolder.java:
        Likewise and changed direct value
        assignments to setValue calls.

	2005-03-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * org/omg/CORBA/CompletionStatus.java,
        org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/primitiveTypeCode.java:
        Fix references to Bounds and add implementations
        of IDLEntity.

	2005-03-06  Audrius Meskauskas  <audriusa@bluewin.ch>
        * org/omg/CORBA/TypeCodePackage/BadKind.java,
        org/omg/CORBA/SystemException.java,
        org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/UserException.java,
        org/omg/CORBA/CompletionStatus.java:
        Documenting that serialVersionUID is from v1.4.

	2005-04-06  Audrius Meskauskas  <audriusa@bluewin.ch>
        * org/omg/CORBA/Context.java,
        org/omg/CORBA/ContextList.java: New files.

	2005-04-06  Audrius Meskauskas  <audriusa@bluewin.ch>
        * org/omg/CORBA/TCKind.java: Making fields final.

	2005-04-06  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/Any.java,
        org/omg/CORBA/Principal.java,
        org/omg/CORBA/TypeCodePackage/Bounds.java,
        org/omg/CORBA/TypeCodePackage/package.html: New files.

	2005-03-06 Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/ULongSeqHolder.java,
        org/omg/CORBA/UShortSeqHolder.java,
        org/omg/CORBA/WCharSeqHolder.java,
        org/omg/CORBA/BooleanSeqHolder.java,
        org/omg/CORBA/CharSeqHolder.java,
        org/omg/CORBA/DoubleSeqHolder.java,
        org/omg/CORBA/FloatSeqHolder.java,
        org/omg/CORBA/LongLongSeqHolder.java,
        org/omg/CORBA/LongSeqHolder.java,
        org/omg/CORBA/OctetSeqHolder.java,
        org/omg/CORBA/ShortSeqHolder.java,
        org/omg/CORBA/ULongLongSeqHolder.java: New files.

	2005-03-06  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/IntHolder.java,
        org/omg/CORBA/LongHolder.java,
        org/omg/CORBA/ShortHolder.java,
        org/omg/CORBA/StringHolder.java,
        org/omg/CORBA/TypeCodeHolder.java,
        org/omg/CORBA/BooleanHolder.java,
        org/omg/CORBA/ByteHolder.java,
        org/omg/CORBA/CharHolder.java,
        org/omg/CORBA/DoubleHolder.java,
        org/omg/CORBA/FixedHolder.java,
        org/omg/CORBA/FloatHolder.java,
        org/omg/CORBA/primitiveTypeCode.java,
        org/omg/CORBA/primitiveArrayTypeCode.java: New files.

	2005-03-06  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/portable/InputStream.java,
        org/omg/CORBA/portable/OutputStream.java,
        org/omg/CORBA/portable/IDLEntity.java,
        org/omg/CORBA/portable/Streamable.java: New files.
        * org/omg/CORBA/Object.java,
        org/omg/CORBA/ORB.java: New files (just to keep code compilable).

	2005-03-06  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/TypeCodePackage/BadKind.java,
        org/omg/CORBA/SystemException.java,
        org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/UserException.java,
        org/omg/CORBA/CompletionStatus.java:
        Replacing serialVersionUID v1.2 into v1.4.

	2005-03-06  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/TypeCodePackage/BadKind.java,
        org/omg/CORBA/SystemException.java,
        org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/UserException.java,
        org/omg/CORBA/CompletionStatus.java: Adding serialVersionUID.

	2005-03-05  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/BAD_OPERATION.java: Formatting change
        (replacing CR CR LF by CR LF).

	2005-03-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * org/omg/CORBA/Bounds.java: New file.
        * org/omg/CORBA/TypeCode.java: Commented
        out Any to fix build.
        From Audrius Meskauskas:
        * org/omg/CORBA/BAD_OPERATION.java: New file.

	2005-03-05  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/INV_POLICY.java,
        org/omg/CORBA/NO_PERMISSION.java,
        org/omg/CORBA/BAD_INV_ORDER.java,
        org/omg/CORBA/INTF_REPOS.java,
        org/omg/CORBA/INV_IDENT.java,
        org/omg/CORBA/NO_IMPLEMENT.java,
        org/omg/CORBA/UNKNOWN.java,
        org/omg/CORBA/INV_FLAG.java,
        org/omg/CORBA/BAD_TYPECODE.java,
        org/omg/CORBA/NO_MEMORY.java,
        org/omg/CORBA/INVALID_TRANSACTION.java,
        org/omg/CORBA/INTERNAL.java,
        org/omg/CORBA/COMM_FAILURE.java,
        org/omg/CORBA/PERSIST_STORE.java,
        org/omg/CORBA/BAD_CONTEXT.java,
        org/omg/CORBA/INV_OBJREF.java,
        org/omg/CORBA/TRANSACTION_REQUIRED.java,
        org/omg/CORBA/TRANSACTION_ROLLEDBACK.java,
        org/omg/CORBA/FREE_MEM.java,
        org/omg/CORBA/OBJECT_NOT_EXIST.java,
        org/omg/CORBA/TRANSIENT.java,
        org/omg/CORBA/OBJ_ADAPTER.java,
        org/omg/CORBA/IMP_LIMIT.java,
        org/omg/CORBA/INITIALIZE.java,
        org/omg/CORBA/NO_RESPONSE.java,
        org/omg/CORBA/DATA_CONVERSION.java,
        org/omg/CORBA/MARSHAL.java: New files.

	2005-03-02  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/TypeCode.java,
        org/omg/CORBA/UserException.java,
        org/omg/CORBA/TypeCodePackage/BadKind.java: New files.

	2005-03-02  Audrius Meskauskas  <audriusa@bluewin.ch>

        * org/omg/CORBA/TCKind.java,
        org/omg/CORBA/BAD_PARAM.java,
        org/omg/CORBA/CompletionStatus.java,
        org/omg/CORBA/IDLEntity.java,
        org/omg/CORBA/SystemException.java: New files.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-03  Roman Kennke  <roman@ontographics.com>

        * javax/swing/BoxLayout.java:
        (preferredLayoutSize,minimumLayoutSize,maximumLayoutSize,
        layoutContainer): Make these methods and thereby the
        BoxLayout respect the insets (like borders) of the
        component that is laid out.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-03  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/InheritableThreadLocal.java
        (threadMap): Removed.
        (InheritableThreadLocal): Removed code.
        (newChildThread): Changed to use locals map in Thread.
        * java/lang/Thread.java
        (locals): New field.
        (die): Clear locals field.
        (getThreadLocals): New method.
        * java/lang/ThreadLocal.java
        (value): Removed.
        (valueMap): Removed.
        (get,set): Changed to use locals map in Thread.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/security/OID.java,
        gnu/java/security/der/DERReader.java,
        gnu/java/security/provider/CollectionCertStoreImpl.java,
        gnu/java/security/provider/DSAParameterGenerator.java,
        gnu/java/security/provider/DefaultPolicy.java,
        gnu/java/security/provider/EncodedKeyFactory.java,
        gnu/java/security/provider/GnuDHPublicKey.java,
        gnu/java/security/provider/GnuDSAPrivateKey.java,
        gnu/java/security/provider/GnuDSAPublicKey.java,
        gnu/java/security/provider/GnuRSAPrivateKey.java,
        gnu/java/security/provider/GnuRSAPublicKey.java,
        gnu/java/security/provider/PKIXCertPathValidatorImpl.java,
        gnu/java/security/provider/RSA.java,
        gnu/java/security/provider/SHA1PRNG.java,
        gnu/java/security/provider/SHA1withRSA.java,
        gnu/java/security/provider/X509CertificateFactory.java,
        gnu/java/security/x509/GnuPKIExtension.java,
        gnu/java/security/x509/X500DistinguishedName.java,
        gnu/java/security/x509/X509CRL.java,
        gnu/java/security/x509/X509CRLEntry.java,
        gnu/java/security/x509/X509CertPath.java,
        gnu/java/security/x509/X509CertSelectorImpl.java,
        gnu/java/security/x509/X509Certificate.java,
        gnu/java/security/x509/ext/AuthorityKeyIdentifier.java,
        gnu/java/security/x509/ext/BasicConstraints.java,
        gnu/java/security/x509/ext/CRLNumber.java,
        gnu/java/security/x509/ext/CertificatePolicies.java,
        gnu/java/security/x509/ext/ExtendedKeyUsage.java,
        gnu/java/security/x509/ext/Extension.java,
        gnu/java/security/x509/ext/GeneralNames.java,
        gnu/java/security/x509/ext/IssuerAlternativeNames.java,
        gnu/java/security/x509/ext/KeyUsage.java,
        gnu/java/security/x509/ext/PolicyConstraint.java,
        gnu/java/security/x509/ext/PolicyMappings.java,
        gnu/java/security/x509/ext/PrivateKeyUsagePeriod.java,
        gnu/java/security/x509/ext/ReasonCode.java,
        gnu/java/security/x509/ext/SubjectAlternativeNames.java,
        gnu/java/security/x509/ext/SubjectKeyIdentifier.java:
        Reworked import statments to match our style.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/Buffers.java,
        gnu/java/awt/ComponentDataBlitOp.java,
        gnu/java/awt/EmbeddedWindowSupport.java,
        gnu/java/awt/image/ImageDecoder.java,
        gnu/java/awt/image/XBMDecoder.java,
        gnu/java/awt/peer/ClasspathFontPeer.java,
        gnu/java/beans/IntrospectionIncubator.java,
        gnu/java/io/EncodingManager.java,
        gnu/java/io/decode/DecoderUTF8.java,
        gnu/java/io/encode/EncoderEightBitLookup.java,
        gnu/java/io/encode/EncoderUTF8.java,
        gnu/java/lang/ClassHelper.java,
        gnu/java/lang/MainThread.java,
        gnu/java/lang/reflect/TypeSignature.java,
        gnu/java/locale/LocaleHelper.java,
        gnu/java/net/CRLFInputStream.java,
        gnu/java/net/EmptyX509TrustManager.java,
        gnu/java/net/HeaderFieldHelper.java,
        gnu/java/net/LineInputStream.java,
        gnu/java/net/PlainSocketImpl.java,
        gnu/java/net/URLParseError.java,
        gnu/java/net/protocol/file/Connection.java,
        gnu/java/net/protocol/file/Handler.java,
        gnu/java/net/protocol/ftp/ActiveModeDTP.java,
        gnu/java/net/protocol/ftp/BlockInputStream.java,
        gnu/java/net/protocol/ftp/CompressedInputStream.java,
        gnu/java/net/protocol/ftp/DTP.java,
        gnu/java/net/protocol/ftp/DTPInputStream.java,
        gnu/java/net/protocol/ftp/FTPConnection.java,
        gnu/java/net/protocol/ftp/FTPURLConnection.java,
        gnu/java/net/protocol/ftp/PassiveModeDTP.java,
        gnu/java/net/protocol/ftp/StreamInputStream.java,
        gnu/java/net/protocol/http/ChunkedInputStream.java,
        gnu/java/net/protocol/http/HTTPConnection.java,
        gnu/java/net/protocol/http/HTTPURLConnection.java,
        gnu/java/net/protocol/http/Headers.java,
        gnu/java/net/protocol/http/Request.java,
        gnu/java/net/protocol/jar/Connection.java,
        gnu/java/net/protocol/jar/Handler.java,
        gnu/java/nio/ChannelInputStream.java,
        gnu/java/nio/ChannelOutputStream.java,
        gnu/java/nio/InputStreamChannel.java,
        gnu/java/nio/OutputStreamChannel.java,
        gnu/java/nio/SelectorProviderImpl.java,
        gnu/java/rmi/RMIMarshalledObjectInputStream.java,
        gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
        gnu/java/rmi/dgc/DGCImpl.java,
        gnu/java/rmi/registry/RegistryImpl.java,
        gnu/java/rmi/server/ProtocolConstants.java,
        gnu/java/rmi/server/RMIDefaultSocketFactory.java,
        gnu/java/rmi/server/RMIIncomingThread.java,
        gnu/java/rmi/server/RMIObjectInputStream.java,
        gnu/java/rmi/server/RMIObjectOutputStream.java,
        gnu/java/rmi/server/RMIVoidValue.java,
        gnu/java/rmi/server/UnicastConnectionManager.java,
        gnu/java/rmi/server/UnicastRef.java,
        gnu/java/rmi/server/UnicastRemoteCall.java,
        gnu/java/rmi/server/UnicastRemoteStub.java,
        gnu/java/rmi/server/UnicastServerRef.java:
        Reorganized import statments and fixed some @author tags and html
        usage in javadocs.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/color/CieXyzConverter.java,
        gnu/java/awt/color/ClutProfileConverter.java,
        gnu/java/awt/color/ColorLookUpTable.java,
        gnu/java/awt/color/ColorSpaceConverter.java,
        gnu/java/awt/color/GrayProfileConverter.java,
        gnu/java/awt/color/GrayScaleConverter.java,
        gnu/java/awt/color/LinearRGBConverter.java,
        gnu/java/awt/color/ProfileHeader.java,
        gnu/java/awt/color/PyccConverter.java,
        gnu/java/awt/color/RgbProfileConverter.java,
        gnu/java/awt/color/SrgbConverter.java,
        gnu/java/awt/color/TagEntry.java,
        gnu/java/awt/color/ToneReproductionCurve.java:
        Use standard copyright header.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-03-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/color/package.html,
        gnu/java/awt/image/package.html,
        gnu/java/awt/package.html,
        gnu/java/awt/peer/package.html,
        gnu/java/beans/decoder/package.html,
        gnu/java/beans/editors/package.html,
        gnu/java/beans/package.html,
        gnu/java/io/decode/package.html,
        gnu/java/io/encode/package.html,
        gnu/java/io/package.html,
        gnu/java/lang/package.html,
        gnu/java/lang/reflect/package.html,
        gnu/java/locale/package.html,
        gnu/java/math/package.html,
        gnu/java/net/package.html,
        gnu/java/net/protocol/file/package.html,
        gnu/java/net/protocol/http/event/package.html,
        gnu/java/net/protocol/jar/package.html,
        gnu/java/nio/channels/package.html,
        gnu/java/nio/charset/package.html,
        gnu/java/nio/package.html,
        gnu/java/rmi/dgc/package.html,
        gnu/java/rmi/package.html,
        gnu/java/rmi/registry/package.html,
        gnu/java/rmi/server/package.html,
        gnu/java/security/action/package.html,
        gnu/java/security/ber/package.html,
        gnu/java/security/der/package.html,
        gnu/java/security/package.html,
        gnu/java/security/pkcs/package.html,
        gnu/java/security/provider/package.html,
        gnu/java/security/util/package.html,
        gnu/java/security/x509/ext/package.html,
        gnu/java/security/x509/package.html,
        gnu/java/text/package.html,
        gnu/java/util/package.html,
        gnu/java/util/prefs/package.html,
        java/lang/annotation/package.html:
        New files.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

        * kaffe/scripts/serialver.in:
	Use gnu.classpath.tools.serialver.SerialVer.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/classpath/tools/serialver/SerialVer.java:
	New file, taken from GNU Classpath tools project.

        * libraries/javalib/kaffe/tools/serialver/SerialVer.java:
	Removed.

2005-03-08  Dalibor Topic  <robilad@kaffe.org>

        * kaffe/scripts/rmic.in:
	Use gnu.classpath.tools.rmi.rmic.RMIC.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/classpath/tools/rmi/rmic/Compile_gcj.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/Compile_jikes.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/Compile_kjc.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/Compiler.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/CompilerProcess.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/RMIC.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/RMICException.java,
        libraries/javalib/gnu/classpath/tools/rmi/rmic/TabbedWriter.java:
	New files, taken from GNU Classpath tools project.

        * libraries/javalib/gnu/java/rmi/rmic/Compile_gcj.java,
        libraries/javalib/gnu/java/rmi/rmic/Compile_jikes.java,
        libraries/javalib/gnu/java/rmi/rmic/Compile_kjc.java,
        libraries/javalib/gnu/java/rmi/rmic/Compiler.java,
        libraries/javalib/gnu/java/rmi/rmic/CompilerProcess.java,
        libraries/javalib/gnu/java/rmi/rmic/RMIC.java,
        libraries/javalib/gnu/java/rmi/rmic/RMICException.java,
        libraries/javalib/gnu/java/rmi/rmic/TabbedWriter.java:
	Removed.

2005-03-08  Jim Huang  <jserv@kaffe.org>

	* WHATSNEW:
	Add Xlib AWT i18n support and Eclipse success.

2005-03-03  Dalibor Topic  <robilad@kaffe.org>

        * kaffe/scripts/native2ascii.in: 
	Use gnu.classpath.tools.native2ascii.Native2Ascii.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/classpath/tools/native2ascii/Native2ASCII.java:
	New file taken from GNU Classpath tools project.

        * libraries/javalib/kaffe/tools/native2ascii/Native2ASCII.java:
	Removed.

2005-03-03  Dalibor Topic  <robilad@kaffe.org>

        * THIRDPARTY: Added gnu.bytecode and cp-tools javap.

        * developers/gdbinit (pStr): fixed field name.

        * kaffe/scripts/javap.in: Use gnu.classpath.javap.JavapMain.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/bytecode/Access.java,
        libraries/javalib/gnu/bytecode/ArrayClassLoader.java,
        libraries/javalib/gnu/bytecode/ArrayType.java,
        libraries/javalib/gnu/bytecode/AttrContainer.java,
        libraries/javalib/gnu/bytecode/Attribute.java,
        libraries/javalib/gnu/bytecode/ClassFileInput.java,
        libraries/javalib/gnu/bytecode/ClassType.java,
        libraries/javalib/gnu/bytecode/ClassTypeWriter.java,
        libraries/javalib/gnu/bytecode/CodeAttr.java,
        libraries/javalib/gnu/bytecode/ConstantPool.java,
        libraries/javalib/gnu/bytecode/ConstantValueAttr.java,
        libraries/javalib/gnu/bytecode/CpoolClass.java,
        libraries/javalib/gnu/bytecode/CpoolEntry.java,
        libraries/javalib/gnu/bytecode/CpoolFloat.java,
        libraries/javalib/gnu/bytecode/CpoolNameAndType.java,
        libraries/javalib/gnu/bytecode/CpoolRef.java,
        libraries/javalib/gnu/bytecode/CpoolString.java,
        libraries/javalib/gnu/bytecode/CpoolUtf8.java,
        libraries/javalib/gnu/bytecode/CpoolValue1.java,
        libraries/javalib/gnu/bytecode/CpoolValue2.java,
        libraries/javalib/gnu/bytecode/ExceptionsAttr.java,
        libraries/javalib/gnu/bytecode/Field.java,
        libraries/javalib/gnu/bytecode/Filter.java,
        libraries/javalib/gnu/bytecode/IfState.java,
        libraries/javalib/gnu/bytecode/InnerClassesAttr.java,
        libraries/javalib/gnu/bytecode/Label.java,
        libraries/javalib/gnu/bytecode/LineNumbersAttr.java,
        libraries/javalib/gnu/bytecode/LocalVarsAttr.java,
        libraries/javalib/gnu/bytecode/Location.java,
        libraries/javalib/gnu/bytecode/Method.java,
        libraries/javalib/gnu/bytecode/MiscAttr.java,
        libraries/javalib/gnu/bytecode/ObjectType.java,
        libraries/javalib/gnu/bytecode/PrimType.java,
        libraries/javalib/gnu/bytecode/Scope.java,
        libraries/javalib/gnu/bytecode/SourceDebugExtAttr.java,
        libraries/javalib/gnu/bytecode/SourceFileAttr.java,
        libraries/javalib/gnu/bytecode/SwitchState.java,
        libraries/javalib/gnu/bytecode/TryState.java,
        libraries/javalib/gnu/bytecode/Type.java,
        libraries/javalib/gnu/bytecode/VarEnumerator.java,
        libraries/javalib/gnu/bytecode/Variable.java,
        libraries/javalib/gnu/bytecode/ZipArchive.java,
        libraries/javalib/gnu/bytecode/ZipLoader.java,
        libraries/javalib/gnu/bytecode/dump.java,
        libraries/javalib/gnu/bytecode/package.html:
	New files taken from gnu.bytecode from Kawa.

        * libraries/javalib/gnu/classpath/tools/Util.java,
        libraries/javalib/gnu/classpath/tools/javap/GnuByteCodeJavap.java,
        libraries/javalib/gnu/classpath/tools/javap/Javap.java,
        libraries/javalib/gnu/classpath/tools/javap/JavapMain.java:
	New files taken from GNU Classpath tools project.

        * libraries/javalib/kaffe/lang/PrimordialClassLoader.java:
	Added comments, and added explicit check to allow 
	gnu.classpath.tools.* classes to be loaded.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Chris Burdess  <dog@gnu.org>

        * gnu/java/net/protocol/file/Connection.java: Return correct content
        length for directory listing.
        * java/net/URLClassLoader.java: Correction for URLClassLoader, bug
        #11285: return valid URLs for directories.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Roman Kennke  <roman@ontographics.com>

        * javax/swing/JList.java
        (getPreferredScrollableViewportSize):
        The previous implementation was merely guessing the size,
        now it respects layoutOrientation, visibleRowCount
        and preferredSize.
        (getScrollableTracksViewportHeight):
        Reimplemented so that layoutOrientation, visibleRowCount
        and preferred size are respected.
        (getScrollableTracksViewportWidth):
        Reimplemented so that layoutOrientation, visibleRowCount
        and preferred size are respected.
        * javax/swing/plaf/basic/BasicListUI.java
        (getPreferredSize):
        Improved calculation of preferredSize when JList is
        set to HORIZONTAL_WRAP or VERTICAL_WRAP.
        (getCellBounds):
        The previous implementation assumed a layoutOrientation of
        JList.VERTICAL, now also ok with JList.HORIZONTAL_WRAP and
        JList.VERTICAL_WRAP.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Roman Kennke  <roman@ontographics.com>

        * javax/swing/CellRendererPane.java:
        implemented all methods of this class.
        reformatted all wrong formatted code.
        * javax/swing/plaf/basic/BasicListUI.java
        (paintCell): use CellRendererPane for painting the cells.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/JComboBox.java (constructors): selecting the
        first item if the box was constructed from the provided
        non - empty array or vector.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Roman Kennke  <roman@ontographics.com>

        * javax/swing/plaf/basic/BasicListUI:
        fixed modifiers of several fields, methods and inner
        classes to match the 'spec'.
        (getMaximumSize): removed. It's not in the spec and the
        implementations was superfluous.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Chris Burdess  <dog@gnu.org>

        * gnu/xml/aelfred2/JAXPFactory.java,
          gnu/xml/aelfred2/SAXDriver.java,
          gnu/xml/aelfred2/XmlParser.java,
          gnu/xml/aelfred2/XmlReader.java: Applied GNU Classpath source code
        formatting conventions. Replaced arrays of Object with struct-like
        classes for easier maintainability. Made SAXDriver.stringInterning
        package private to allow access from XmlParser inside the loop without
        a method call overhead.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-27  Roman Kennke  <roman@ontographics.com>

        * javax/swing/plaf/basic/BasicListUI:
        make BasicListUI capable of wrapping lists
        (layoutOrientation property of javax.swing.JList)

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-26  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/Timer.java: documenting and some
          formatting.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-26  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/JTextArea.java (replaceRange):
        Fixing doc.remove(start, length) misinterpretation.

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-26  Roman Kennke  <roman@ontographics.com>

        * javax/swing/plaf/basic/BasicListUI
        (updateLayoutState,paint): make BasicListUI aware of the
        width of the rendered JList

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-25  Sven de Marothy  <sven@physto.se>

        * java/net/InetAddress.java
        (toString): Don't print empty hostnames.
        Fixes bug #11956

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-24  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/Timer.java (constructor): assigning initialDelay

2005-03-02  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-24  Audrius Meskauskas  <audriusa@bluewin.ch>

        * javax/swing/Timer.java (Waker.run): firing the first action
        event.

2005-02-24  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (LIBDEBUG): Removed now useless classpath debug option.

	* libraries/javalib/gnu/classpath/Configuration.java.in
	(HAVE_NATIVE_GET_PROXY_CLASS, HAVE_NATIVE_GET_PROXY_DATA,
	HAVE_NATIVE_GENERATE_PROXY_CLASS): Removed.

	* libraries/javalib/java/lang/reflect/Proxy.java: Use VMProxy for 
	settings.

	* libraries/javalib/java/lang/reflect/VMProxy.java: new file.
	
2005-02-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/StrictMath.java (DEBUG): 
	new constant.
	(tan, cos, sin, scale, remPiOver2) Use internal debug switch.
	
	* libraries/javalib/java/io/ObjectInputStream.java (DEBUG):
	new constant.
	(ObjectInputStream, resolveClass) Use internal debug switch.

	* libraries/javalib/java/io/ObjectOutputStream.java (DEBUG):
	new constant.
	(ObjectOutputStream, writeObject) Use internal debug switch.
	
	* libraries/javalib/gnu/java/text/FormatCharacterIterator.java (DEBUG): 
	new constant.
	(debug, dumpTable) Use internal debug switch.
	
	* libraries/javalib/gnu/classpath/Configuration.java.in
	(DEBUG) Removed.

2005-02-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/Configuration.java.in
	(default_awt_peer_toolkit) Removed.

	* libraries/javalib/java/awt/Toolkit.java
	(default_awt_peer_toolkit) Set directly.

2005-02-24  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-24  Chris Burdess  <dog@gnu.org>

        * BASE64.java: Truncate encoded byte array.

2005-02-24  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-24  David Gilbert  <david.gilbert@object-refinery.com>

        * java/awt/font/TextAttribute.java: changed names to lower case;
        (readResolve): implemented.
        Added doc comments all over.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/text/SimpleDateFormat.java:
        Substitute StringBuilder for the original
        StringBuffer.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Michael Koch  <konqueror@gmx.de>

        * gnu/java/security/PolicyFile.java,
        gnu/java/security/pkcs/PKCS7SignedData.java,
        gnu/java/security/pkcs/SignerInfo.java:
        Fixed copyright header.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Roman Kennke <roman@ontographics.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Fixed Button left and right margin

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
        (button_to_awt_mods): Return BUTTON masks, not BUTTON_DOWN masks.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gthread-jni.c (throw):
        Call g_snprintf instead of snprintf.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (getWidth): New method.
        (getHeight): Likewise.
        (create): Remove width, height and insets parameters.  Move size
        setup ...
        (realize_cb): ... here.  New function.
        (connectSignals): Connect realize_cb.
        (request_frame_extents): Remove FIXME.  Move
        postInsetsChangedEvent lookup ...
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c (gtkInit):
        ... here.  Look up GtkWindowPeer getWidth and getHeight methods.
        * jni/gtk-peer/gtkpeer.h (postInsetsChangedEventID): Declare
        jmethodID.
        (windowGetWidthID): Likewise.
        (windowGetHeightID): Likewise.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Robot.java (waitForIdle): Call invokeAndWait on an
        empty Runnable.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Bryce McKinlay  <mckinlay@redhat.com>

        * java/io/ObjectInputStream.java (readClassDescriptor): Cache result
        of currentLoader() in callersClassLoader field. Check for primitive
        type Class names if resolveClass throws a ClassNotFoundException.
        (resolveClass): Call currentLoader() only if callersClassLoader is
        not set. Cache result of currentLoader(). Don't check for primitive
        type Class names here.
        (callersClassLoader): New field.
        * java/io/ObjectOutputStream.java (writeObject, callWriteMethod):
        Whitespace fixes.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Michael Koch  <konqueror@gmx.de>

        * java/awt/Checkbox.java
        (next_checkbox_number): New static variable.
        (generateName): New method.
        (getUniqueLong): Likewise.
        * java/awt/Window.java
        (next_window_number): New static variable.
        (generateName): New method.
        (getUniqueLong): Likewise.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Mark Wielaard  <mark@klomp.org>

        * java/util/jar/JarFile.java (verifyHashes): Check whether ZipEntry
        exists.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-22  Robert Schuster  <thebohemian@gmx.net>

        * java/io/InputStreamReader.java: Fixed compilation
        problem.

	2005-02-21  Robert Schuster  <thebohemian@gmx.net>

        * gnu/java/nio/ChannelReader: Fixed comments.

	2005-02-21  Robert Schuster  <thebohemian@gmx.net>

        * java/nio/channels/Channels: Added FIXMEs about
        stub method implementation.
        (newReader): Implemented.
        * java/io/InputStreamReader:
        (InputStreamReader(InputStream, Charset)): Implemented.
        (InputStreamReader(InputStream, CharsetDecoder)): Implemented.
        * gnu/java/nio/ChannelReader: New class.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Michael Koch  <konqueror@gmx.de>

        * java/lang/SecurityManager.java,
        java/net/URL.java:
        Formatting cleanups.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Michael Koch  <konqueror@gmx.de>

        * java/awt/Button.java,
        java/awt/Container.java,
        java/awt/Font.java,
        java/awt/Frame.java,
        java/text/CollationElementIterator.java,
        java/text/RuleBasedCollator.java,
        java/util/PropertyPermission.java:
        Fixed formatting issues all over.

2005-02-23  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/SecureRandomTest.java (SecureRandomTest): 
	Improved error message slightly.

	* libraries/javalib/gnu/java/security/provider/SHA1PRNG.java 
	(SEED_SIZE, DATA_SIZE): new constants.  Use them instead of
	magic numbers.
	(SHA1PRNG) Added documentation.

2005-02-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-21  Anthony Green  <green@redhat.com>

        * gnu/java/rmi/registry/RegistryImpl.java:
        Change year for '--version' to 2005.

2005-02-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        Merge of interfaces and exceptions to HEAD from
        the generics branch.

        * java/lang/StringBuilder.java: Serial version updated.
        * java/lang/annotation/AnnotationTypeMismatchException.java: Likewise.

        Changes from generics branch:

        2005-02-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/io/Closeable.java: Documented.
        * java/io/Flushable.java: Documented.
        * java/lang/Appendable.java: Corrected line overrun.
        * java/lang/Readable.java: Corrected indentation.
        * java/lang/TypeNotPresentException.java: Documented.
        * java/lang/annotation/AnnotationFormatError.java: Likewise.
        * java/lang/annotation/AnnotationTypeMismatchException.java: Likewise.
        * java/lang/reflect/GenericArrayType.java: Likewise.
        * java/lang/reflect/GenericSignatureFormatError.java: Likewise.
        * java/lang/reflect/ParameterizedType.java: Likewise.
        * java/lang/reflect/Type.java: Likewise.
        * java/lang/reflect/WildcardType.java: Likewise.

        2005-01-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/lang/annotation/AnnotationTypeMismatchException.java:
        Added import of java.lang.reflect.Method

        2004-08-26  Tom Tromey  <tromey@redhat.com>

        * java/lang/reflect/GenericSignatureFormatError.java: New file.
        * java/lang/reflect/WildcardType.java: New file.
        * java/lang/reflect/ParameterizedType.java: New file.
        * java/lang/reflect/GenericArrayType.java: New file.
        * java/lang/reflect/Type.java: New file.
        * java/io/Flushable.java: New file.
        * java/io/Closeable.java: New file.

        2004-08-07  Tom Tromey  <tromey@redhat.com>

        * java/lang/annotation/AnnotationFormatError.java: New file.
        * java/lang/annotation/AnnotationTypeMismatchException.java: New
        file.

        2004-08-06  Tom Tromey  <tromey@redhat.com>

        * java/lang/Readable.java: New file.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-20  Mark Wielaard  <mark@klomp.org>

        * java/util/SimpleTimeZone.java (getOffset): Calculate beforeEnd by
        taking dstSavings into account.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-20  Rutger Ovidius  <ovidr@users.sourceforge.net>

        * gnu/java/security/provider/Gnu.java (Gnu): Add SHA-160 alias.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-20  Sven de Marothy <sven@physto.se>

        * java/text/SimpleDateFormat.java,
        (parse): Set DST_OFFSET to the correct value.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-20  Mark Wielaard  <mark@klomp.org>

        * java/text/SimpleDateFormat.java
        (SimpleDateFormat(String, DateFormatSymbols)): Throw
        NullPointerException when formatData is null.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-19  Archie Cobbs  <archie@dellroad.org>

        * java/lang/Throwable.java: simplify initializing cause in constructor

2005-02-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/VMSystemProperties.java:
	Set java.version to 1.4.2 for jEdit.
	Set os.arch to i386 for jogl.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	* config/s390/sysdepCallMethod.h: Added missing semi-colon
	after DBG macro to fix failure on debian's s390 buildd.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Require -no-cpp-precomp if available
	to prevent Apple's gcc on old Darwin version to trip 
	over itself.

	Reported by:  Michael Franz <mvfranz@gmail.com>
	
2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	* developers/resync-classpath.sh: Added new
	script to simplyfy resyncing with GNU Classpath.

	* FAQ/FAQ.gnu-classpath: Small faq on GU Classpath
	merge.

	* Makefile.am (EXTRA_DIST) Added 
	developers/resync-classpath.sh and FAQ/FAQ.gnu-classpath.

2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java: Updated.
	* gnu/java/locale/LocaleInformation_az_Cyrl.java: New file.
	
2005-02-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_current): 
	(jthread_disable_stop, jthread_enable_stop, jthread_suspend,
	jthread_resume, jthread_from_data, jthread_get_usage): 
	Deinlined.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_current): 
	Deinlined.

2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-19  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JToggleButton.java: Removed empty line.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-18  Bryce McKinlay  <mckinlay@redhat.com>

	* java/util/LinkedHashMap (addEntry): Call remove() with key argument, 
	not the HashEntry. Reported by Jean-Marie White.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-18  Sven de Marothy <sven@physto.se>

	* java/util/TimeZone.java,
	(getDefaultDisplayName): Fix previous fix.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-18  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/font/TransformAttribute.java,
	(TransformAttribute(AffineTransform)): throw 
	IllegalArgumentException for null transform.
	(getTransform): return a copy of transform.
	Added doc comments to all.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-18  Sven de Marothy <sven@physto.se>

	* java/util/TimeZone.java,
	(getDefaultDisplayName): Don't print zero offsets.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-18  Robert Schuster <thebohemian@gmx.net>

	* java/nio/charset/Charset.java (forName): Throws
	IllegalArgumentException when argument is null
	and added documentation.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-17  Mark Wielaard  <mark@klomp.org>

	* java/util/SimpleTimeZone.java (checkRule): Throw
	IllegalArgumentException when month out of range.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-17  Sven de Marothy  <sven@physto.se>

	* java/util/GregorianCalendar.java,
	(add): Don't set fields directly anymore. Use set()
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-17  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/java/nio/channels/FileChannelImpl.java (write(ByteBuffer)):
	Move the position of the source buffer forward.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU inetlib.
	
	2005-02-17  Chris Burdess  <dog@gnu.org>
  	 
        * BASE64.java: Truncate encodedbyte array.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Andrew Haley  <aph@redhat.com>

	* javax/security/auth/Subject.java (doAsPrivileged): If acc is
	null, create a new AccessControlContext.
	* java/security/SecureClassLoader.java (protectionDomainCache):
	new field.
	(defineClass): Create a new protection domain and add it to our
	cache.

	* java/rmi/server/UnicastRemoteObject.java (exportObject): Call
	addStub() to keep track of the stub we've exported.
	(unexportObject): Call deleteStub().
	* java/rmi/server/RemoteObject.java (stubs): New field.
	(addStub): New method.
	(deleteStub): New method.
	(toStub): Rewrite.
	
	* java/security/Permissions.java (PermissionsHash.implies):
	Iterate over the collection and invoke implies() on each
	element.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Julian Scheid  <julian@sektor37.de>

	* gnu/java/nio/charset/UTF_8.java (decodeLoop): Set inPos to
	in.position().
	(encodeLoop): Likewise.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Locale.java
	Added two new String[] arrays for caching.
	(getLocale(String)): Documentation.
	(getLocale(String, String)): Documentation.
	(getLocale(String, String, String)): Documentation.
	(getISOCountries()): Now calls getISOStrings() and caches result.
	(getISOLanguages()): Now calls getISOStrings() and caches result.
	(getISOStrings(String)): Pulls all two-letter keys from the specified
	hashtable in our locale information.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Sven de Marothy  <sven@physto.se>

	* java/util/logging/LogManager.java 
	Reformatted.
        (readConfiguration): If a logger for a key is not found, create one.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GThreadNativeMethodRunner.java,
	gnu/java/awt/peer/gtk/GdkFontPeer.java,
	gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	gnu/java/awt/peer/gtk/GdkGraphics.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkGraphicsConfiguration.java,
	gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	gnu/java/awt/peer/gtk/GdkRobotPeer.java,
	gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java,
	gnu/java/awt/peer/gtk/GdkTextLayout.java,
	gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	gnu/java/awt/peer/gtk/GtkClipboard.java,
	gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFontPeer.java,
	gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	gnu/java/awt/peer/gtk/GtkToolkit.java,
	gnu/java/awt/peer/gtk/GtkWindowPeer.java:
	Made checkstyle clean.
	* gnu/java/awt/peer/gtk/package.html:
	New file.

2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Michael Koch  <konqueror@gmx.de>

	* javax/xml/XMLConstants.java,
	javax/xml/datatype/DatatypeConfigurationException.java,
	javax/xml/datatype/DatatypeConstants.java,
	javax/xml/datatype/DatatypeFactory.java,
	javax/xml/datatype/Duration.java,
	javax/xml/datatype/XMLGregorianCalendar.java,
	javax/xml/namespace/NamespaceContext.java,
	javax/xml/namespace/QName.java,
	javax/xml/parsers/DocumentBuilder.java,
	javax/xml/parsers/DocumentBuilderFactory.java,
	javax/xml/parsers/FactoryConfigurationError.java,
	javax/xml/parsers/ParserConfigurationException.java,
	javax/xml/parsers/SAXParser.java,
	javax/xml/parsers/SAXParserFactory.java,
	javax/xml/transform/ErrorListener.java,
	javax/xml/transform/OutputKeys.java,
	javax/xml/transform/Result.java,
	javax/xml/transform/Source.java,
	javax/xml/transform/SourceLocator.java,
	javax/xml/transform/Templates.java,
	javax/xml/transform/Transformer.java,
	javax/xml/transform/TransformerConfigurationException.java,
	javax/xml/transform/TransformerException.java,
	javax/xml/transform/TransformerFactory.java,
	javax/xml/transform/TransformerFactoryConfigurationError.java,
	javax/xml/transform/URIResolver.java,
	javax/xml/transform/dom/DOMLocator.java,
	javax/xml/transform/dom/DOMResult.java,
	javax/xml/transform/dom/DOMSource.java,
	javax/xml/transform/sax/SAXResult.java,
	javax/xml/transform/sax/SAXSource.java,
	javax/xml/transform/sax/SAXTransformerFactory.java,
	javax/xml/transform/sax/TemplatesHandler.java,
	javax/xml/transform/sax/TransformerHandler.java,
	javax/xml/transform/stream/StreamResult.java,
	javax/xml/transform/stream/StreamSource.java,
	javax/xml/validation/Schema.java,
	javax/xml/validation/SchemaFactory.java,
	javax/xml/validation/TypeInfoProvider.java,
	javax/xml/validation/Validator.java,
	javax/xml/validation/ValidatorHandler.java,
	javax/xml/xpath/XPathConstants.java,
	javax/xml/xpath/XPathException.java,
	javax/xml/xpath/XPathExpression.java,
	javax/xml/xpath/XPathExpressionException.java,
	javax/xml/xpath/XPathFactory.java,
	javax/xml/xpath/XPathFactoryConfigurationException.java,
	javax/xml/xpath/XPathFunction.java,
	javax/xml/xpath/XPathFunctionException.java,
	javax/xml/xpath/XPathFunctionResolver.java:
	Fixed usage of @author tag.
	
2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Michael Koch  <konqueror@gmx.de>

	* java/awt/geom/Ellipse2D.java,
	java/beans/PropertyDescriptor.java,
	java/net/NetworkInterface.java,
	java/nio/ByteBufferImpl.java,
	java/nio/DoubleBufferImpl.java,
	java/nio/FloatBufferImpl.java,
	java/nio/IntBufferImpl.java,
	java/nio/LongBufferImpl.java,
	java/nio/ShortBufferImpl.java,
	java/nio/channels/Channel.java,
	java/util/Calendar.java,
	java/util/Comparator.java,
	java/util/Date.java,
	java/util/SimpleTimeZone.java,
	java/util/logging/FileHandler.java,
	java/util/prefs/InvalidPreferencesFormatException.java,
	java/util/prefs/Preferences.java,
	javax/security/auth/callback/ConfirmationCallback.java,
	javax/security/sasl/Sasl.java,
	javax/security/sasl/SaslServerFactory.java,
	javax/swing/JComponent.java,
	javax/swing/JList.java,
	javax/swing/JProgressBar.java,
	javax/swing/JTree.java,
	javax/swing/text/JTextComponent.java:
	Fixed javadocs to contain valid (X)HTML.

2005-02-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-16  Michael Koch  <konqueror@gmx.de>

	* java/applet/Applet.java,
	java/beans/AppletInitializer.java,
	java/beans/ExceptionListener.java,
	java/beans/PropertyChangeEvent.java,
	java/beans/PropertyChangeListenerProxy.java,
	java/beans/PropertyChangeSupport.java,
	java/beans/PropertyDescriptor.java,
	java/beans/VetoableChangeListenerProxy.java,
	java/beans/VetoableChangeSupport.java,
	java/io/BufferedInputStream.java,
	java/io/BufferedReader.java,
	java/io/ByteArrayInputStream.java,
	java/io/ByteArrayOutputStream.java,
	java/io/CharArrayReader.java,
	java/io/CharArrayWriter.java,
	java/io/CharConversionException.java,
	java/io/DataInput.java,
	java/io/DataInputStream.java,
	java/io/DataOutput.java,
	java/io/DataOutputStream.java,
	java/io/EOFException.java,
	java/io/FileInputStream.java,
	java/io/FileNotFoundException.java,
	java/io/FileOutputStream.java,
	java/io/FilenameFilter.java,
	java/io/FilterInputStream.java,
	java/io/FilterOutputStream.java,
	java/io/FilterReader.java,
	java/io/FilterWriter.java,
	java/io/IOException.java,
	java/io/InputStream.java,
	java/io/InputStreamReader.java,
	java/io/InterruptedIOException.java,
	java/io/LineNumberInputStream.java,
	java/io/LineNumberReader.java,
	java/io/ObjectStreamException.java,
	java/io/OptionalDataException.java,
	java/io/OutputStream.java,
	java/io/OutputStreamWriter.java,
	java/io/PrintStream.java,
	java/io/PrintWriter.java,
	java/io/PushbackInputStream.java,
	java/io/PushbackReader.java,
	java/io/RandomAccessFile.java,
	java/io/Reader.java,
	java/io/SequenceInputStream.java,
	java/io/Serializable.java,
	java/io/StreamCorruptedException.java,
	java/io/StreamTokenizer.java,
	java/io/StringBufferInputStream.java,
	java/io/StringWriter.java,
	java/io/SyncFailedException.java,
	java/io/UTFDataFormatException.java,
	java/io/UnsupportedEncodingException.java,
	java/io/WriteAbortedException.java,
	java/io/Writer.java,
	java/lang/AbstractMethodError.java,
	java/lang/ArithmeticException.java,
	java/lang/ArrayIndexOutOfBoundsException.java,
	java/lang/ArrayStoreException.java,
	java/lang/AssertionError.java,
	java/lang/Boolean.java,
	java/lang/Byte.java,
	java/lang/ClassCastException.java,
	java/lang/ClassCircularityError.java,
	java/lang/ClassLoader.java,
	java/lang/ClassNotFoundException.java,
	java/lang/CloneNotSupportedException.java,
	java/lang/Cloneable.java,
	java/lang/Comparable.java,
	java/lang/Compiler.java,
	java/lang/Double.java,
	java/lang/Error.java,
	java/lang/Exception.java,
	java/lang/ExceptionInInitializerError.java,
	java/lang/Float.java,
	java/lang/IllegalAccessError.java,
	java/lang/IllegalAccessException.java,
	java/lang/IllegalArgumentException.java,
	java/lang/IllegalMonitorStateException.java,
	java/lang/IllegalStateException.java,
	java/lang/IllegalThreadStateException.java,
	java/lang/IncompatibleClassChangeError.java,
	java/lang/IndexOutOfBoundsException.java,
	java/lang/InheritableThreadLocal.java,
	java/lang/InstantiationError.java,
	java/lang/InstantiationException.java,
	java/lang/Integer.java,
	java/lang/InternalError.java,
	java/lang/InterruptedException.java,
	java/lang/LinkageError.java,
	java/lang/Long.java,
	java/lang/NegativeArraySizeException.java,
	java/lang/NoClassDefFoundError.java,
	java/lang/NoSuchFieldError.java,
	java/lang/NoSuchFieldException.java,
	java/lang/NoSuchMethodError.java,
	java/lang/NoSuchMethodException.java,
	java/lang/NullPointerException.java,
	java/lang/Number.java,
	java/lang/NumberFormatException.java,
	java/lang/OutOfMemoryError.java,
	java/lang/Process.java,
	java/lang/Runnable.java,
	java/lang/Runtime.java,
	java/lang/RuntimeException.java,
	java/lang/RuntimePermission.java,
	java/lang/SecurityException.java,
	java/lang/SecurityManager.java,
	java/lang/Short.java,
	java/lang/StackOverflowError.java,
	java/lang/StackTraceElement.java,
	java/lang/StringBuffer.java,
	java/lang/StringIndexOutOfBoundsException.java,
	java/lang/ThreadDeath.java,
	java/lang/ThreadGroup.java,
	java/lang/Throwable.java,
	java/lang/UnsatisfiedLinkError.java,
	java/lang/UnsupportedOperationException.java,
	java/lang/VerifyError.java,
	java/lang/VirtualMachineError.java,
	java/lang/reflect/AccessibleObject.java,
	java/lang/reflect/Array.java,
	java/lang/reflect/InvocationTargetException.java,
	java/lang/reflect/Member.java,
	java/lang/reflect/Modifier.java,
	java/lang/reflect/Proxy.java,
	java/lang/reflect/ReflectPermission.java,
	java/lang/reflect/UndeclaredThrowableException.java,
	java/math/BigInteger.java,
	java/nio/ByteBufferHelper.java,
	java/nio/channels/IllegalBlockingModeException.java,
	java/nio/charset/spi/CharsetProvider.java,
	java/security/AccessControlException.java,
	java/security/AllPermission.java,
	java/security/BasicPermission.java,
	java/security/DigestException.java,
	java/security/DigestInputStream.java,
	java/security/DigestOutputStream.java,
	java/security/GeneralSecurityException.java,
	java/security/Guard.java,
	java/security/GuardedObject.java,
	java/security/InvalidAlgorithmParameterException.java,
	java/security/InvalidKeyException.java,
	java/security/InvalidParameterException.java,
	java/security/Key.java,
	java/security/KeyException.java,
	java/security/KeyManagementException.java,
	java/security/KeyStoreException.java,
	java/security/MessageDigestSpi.java,
	java/security/NoSuchAlgorithmException.java,
	java/security/NoSuchProviderException.java,
	java/security/Permission.java,
	java/security/PermissionCollection.java,
	java/security/Permissions.java,
	java/security/Principal.java,
	java/security/PrivateKey.java,
	java/security/PrivilegedActionException.java,
	java/security/ProviderException.java,
	java/security/PublicKey.java,
	java/security/SecureRandom.java,
	java/security/SecureRandomSpi.java,
	java/security/SignatureException.java,
	java/security/SignatureSpi.java,
	java/security/SignedObject.java,
	java/security/Signer.java,
	java/security/UnrecoverableKeyException.java,
	java/security/UnresolvedPermission.java,
	java/security/acl/AclNotFoundException.java,
	java/security/acl/LastOwnerException.java,
	java/security/acl/NotOwnerException.java,
	java/security/cert/CertPath.java,
	java/security/cert/CertPathBuilderException.java,
	java/security/cert/CertPathValidatorException.java,
	java/security/cert/CertStoreException.java,
	java/text/BreakIterator.java,
	java/text/ChoiceFormat.java,
	java/text/CollationElementIterator.java,
	java/text/CollationKey.java,
	java/text/Collator.java,
	java/text/DateFormat.java,
	java/text/DateFormatSymbols.java,
	java/text/FieldPosition.java,
	java/text/Format.java,
	java/text/MessageFormat.java,
	java/text/ParseException.java,
	java/text/ParsePosition.java,
	java/text/StringCharacterIterator.java,
	java/util/AbstractCollection.java,
	java/util/AbstractList.java,
	java/util/AbstractMap.java,
	java/util/AbstractSequentialList.java,
	java/util/AbstractSet.java,
	java/util/ArrayList.java,
	java/util/Arrays.java,
	java/util/BitSet.java,
	java/util/Collection.java,
	java/util/Collections.java,
	java/util/Comparator.java,
	java/util/ConcurrentModificationException.java,
	java/util/EmptyStackException.java,
	java/util/Enumeration.java,
	java/util/EventListener.java,
	java/util/EventListenerProxy.java,
	java/util/EventObject.java,
	java/util/HashMap.java,
	java/util/HashSet.java,
	java/util/Hashtable.java,
	java/util/IdentityHashMap.java,
	java/util/Iterator.java,
	java/util/LinkedHashSet.java,
	java/util/LinkedList.java,
	java/util/List.java,
	java/util/ListIterator.java,
	java/util/ListResourceBundle.java,
	java/util/Map.java,
	java/util/MissingResourceException.java,
	java/util/NoSuchElementException.java,
	java/util/Observable.java,
	java/util/Observer.java,
	java/util/Properties.java,
	java/util/PropertyPermissionCollection.java,
	java/util/RandomAccess.java,
	java/util/Set.java,
	java/util/SortedMap.java,
	java/util/SortedSet.java,
	java/util/Stack.java,
	java/util/StringTokenizer.java,
	java/util/TooManyListenersException.java,
	java/util/TreeMap.java,
	java/util/TreeSet.java,
	java/util/Vector.java,
	java/util/logging/Level.java,
	java/util/prefs/BackingStoreException.java:
	Fixed @author tag all over.
	
2005-02-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-16  Michael Koch  <konqueror@gmx.de>

	* java/awt/AWTError.java,
	java/awt/AWTEvent.java,
	java/awt/AWTEventMulticaster.java,
	java/awt/AWTException.java,
	java/awt/AWTKeyStroke.java,
	java/awt/AWTPermission.java,
	java/awt/ActiveEvent.java,
	java/awt/Adjustable.java,
	java/awt/AlphaComposite.java,
	java/awt/AttributeValue.java,
	java/awt/BorderLayout.java,
	java/awt/BufferCapabilities.java,
	java/awt/Button.java,
	java/awt/Canvas.java,
	java/awt/CheckboxGroup.java,
	java/awt/CheckboxMenuItem.java,
	java/awt/Color.java,
	java/awt/ColorPaintContext.java,
	java/awt/Component.java,
	java/awt/ComponentOrientation.java,
	java/awt/Composite.java,
	java/awt/CompositeContext.java,
	java/awt/Container.java,
	java/awt/ContainerOrderFocusTraversalPolicy.java,
	java/awt/DefaultFocusTraversalPolicy.java,
	java/awt/Dialog.java,
	java/awt/Dimension.java,
	java/awt/DisplayMode.java,
	java/awt/FileDialog.java,
	java/awt/FontFormatException.java,
	java/awt/Graphics.java,
	java/awt/Graphics2D.java,
	java/awt/GraphicsConfigTemplate.java,
	java/awt/GraphicsConfiguration.java,
	java/awt/GraphicsDevice.java,
	java/awt/GridBagLayout.java,
	java/awt/GridBagLayoutInfo.java,
	java/awt/GridLayout.java,
	java/awt/HeadlessException.java,
	java/awt/IllegalComponentStateException.java,
	java/awt/Image.java,
	java/awt/Insets.java,
	java/awt/ItemSelectable.java,
	java/awt/JobAttributes.java,
	java/awt/KeyEventDispatcher.java,
	java/awt/KeyEventPostProcessor.java,
	java/awt/KeyboardFocusManager.java,
	java/awt/Label.java,
	java/awt/LayoutManager.java,
	java/awt/MenuBar.java,
	java/awt/MenuComponent.java,
	java/awt/MenuContainer.java,
	java/awt/PageAttributes.java,
	java/awt/Paint.java,
	java/awt/PaintContext.java,
	java/awt/Panel.java,
	java/awt/Point.java,
	java/awt/Polygon.java,
	java/awt/PrintGraphics.java,
	java/awt/PrintJob.java,
	java/awt/Rectangle.java,
	java/awt/RenderingHints.java,
	java/awt/Shape.java,
	java/awt/Stroke.java,
	java/awt/SystemColor.java,
	java/awt/Toolkit.java,
	java/awt/Transparency.java,
	java/awt/Window.java,
	java/awt/color/CMMException.java,
	java/awt/color/ColorSpace.java,
	java/awt/color/ICC_ColorSpace.java,
	java/awt/color/ICC_Profile.java,
	java/awt/color/ProfileDataException.java,
	java/awt/datatransfer/FlavorTable.java,
	java/awt/datatransfer/MimeTypeParseException.java,
	java/awt/datatransfer/Transferable.java,
	java/awt/datatransfer/UnsupportedFlavorException.java,
	java/awt/dnd/Autoscroll.java,
	java/awt/dnd/DnDConstants.java,
	java/awt/dnd/DragGestureListener.java,
	java/awt/dnd/DragSourceAdapter.java,
	java/awt/dnd/DragSourceDropEvent.java,
	java/awt/dnd/DragSourceListener.java,
	java/awt/dnd/DragSourceMotionListener.java,
	java/awt/dnd/DropTargetAdapter.java,
	java/awt/dnd/DropTargetContext.java,
	java/awt/dnd/DropTargetListener.java,
	java/awt/dnd/InvalidDnDOperationException.java,
	java/awt/dnd/MouseDragGestureRecognizer.java,
	java/awt/dnd/peer/DropTargetContextPeer.java,
	java/awt/event/AWTEventListener.java,
	java/awt/event/AWTEventListenerProxy.java,
	java/awt/event/ActionEvent.java,
	java/awt/event/AdjustmentEvent.java,
	java/awt/event/AdjustmentListener.java,
	java/awt/event/ComponentAdapter.java,
	java/awt/event/ComponentEvent.java,
	java/awt/event/ComponentListener.java,
	java/awt/event/ContainerAdapter.java,
	java/awt/event/ContainerEvent.java,
	java/awt/event/ContainerListener.java,
	java/awt/event/FocusAdapter.java,
	java/awt/event/FocusEvent.java,
	java/awt/event/FocusListener.java,
	java/awt/event/InputEvent.java,
	java/awt/event/InputMethodEvent.java,
	java/awt/event/InputMethodListener.java,
	java/awt/event/InvocationEvent.java,
	java/awt/event/ItemEvent.java,
	java/awt/event/ItemListener.java,
	java/awt/event/KeyAdapter.java,
	java/awt/event/KeyEvent.java,
	java/awt/event/KeyListener.java,
	java/awt/event/MouseAdapter.java,
	java/awt/event/MouseEvent.java,
	java/awt/event/MouseListener.java,
	java/awt/event/MouseMotionAdapter.java,
	java/awt/event/MouseMotionListener.java,
	java/awt/event/MouseWheelEvent.java,
	java/awt/event/MouseWheelListener.java,
	java/awt/event/PaintEvent.java,
	java/awt/event/TextEvent.java,
	java/awt/event/TextListener.java,
	java/awt/event/WindowAdapter.java,
	java/awt/event/WindowEvent.java,
	java/awt/event/WindowFocusListener.java,
	java/awt/event/WindowListener.java,
	java/awt/event/WindowStateListener.java,
	java/awt/font/TextHitInfo.java,
	java/awt/geom/CubicCurve2D.java,
	java/awt/geom/Dimension2D.java,
	java/awt/geom/Ellipse2D.java,
	java/awt/geom/IllegalPathStateException.java,
	java/awt/geom/Line2D.java,
	java/awt/geom/NoninvertibleTransformException.java,
	java/awt/geom/PathIterator.java,
	java/awt/geom/Point2D.java,
	java/awt/geom/QuadCurve2D.java,
	java/awt/geom/RectangularShape.java,
	java/awt/geom/RoundRectangle2D.java,
	java/awt/im/InputContext.java,
	java/awt/im/InputMethodHighlight.java,
	java/awt/im/InputMethodRequests.java,
	java/awt/im/InputSubset.java,
	java/awt/im/spi/InputMethod.java,
	java/awt/im/spi/InputMethodDescriptor.java,
	java/awt/image/BandCombineOp.java,
	java/awt/image/BandedSampleModel.java,
	java/awt/image/ByteLookupTable.java,
	java/awt/image/ComponentSampleModel.java,
	java/awt/image/DataBuffer.java,
	java/awt/image/DataBufferByte.java,
	java/awt/image/DataBufferDouble.java,
	java/awt/image/DataBufferFloat.java,
	java/awt/image/DataBufferInt.java,
	java/awt/image/DataBufferShort.java,
	java/awt/image/DataBufferUShort.java,
	java/awt/image/ImagingOpException.java,
	java/awt/image/Kernel.java,
	java/awt/image/LookupTable.java,
	java/awt/image/MultiPixelPackedSampleModel.java,
	java/awt/image/PackedColorModel.java,
	java/awt/image/PixelInterleavedSampleModel.java,
	java/awt/image/RGBImageFilter.java,
	java/awt/image/Raster.java,
	java/awt/image/RasterFormatException.java,
	java/awt/image/SampleModel.java,
	java/awt/image/ShortLookupTable.java,
	java/awt/image/SinglePixelPackedSampleModel.java,
	java/awt/image/WritableRaster.java,
	java/awt/print/PrinterAbortException.java,
	java/awt/print/PrinterException.java,
	java/awt/print/PrinterIOException.java:
	Fixed @author tag all over.

2005-02-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-16  Michael Koch  <konqueror@gmx.de>

        * java/awt/EventQueue.java: Reworked import statements.
        * java/lang/StringBuilder.java
        (DEFAULT_CAPACITY): Reordered modifiers.
        * java/text/SimpleDateFormat.java: Reworked import statements.
        Fixed one littel formatting issue.
        (formatData): Removed a useless comment.
        * javax/imageio/ImageIO.java: Reworked import statements.
        * javax/swing/text/StringContent.java: Likewise.
        * javax/swing/JTextField.java: Likewise.
        (notifyAction): Added javadoc.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.h: (METHOD_CODE_START) 
	Removed macro.

	* kaffe/kaffevm/classMethod.c (setMethodCodeStart) 
	(getMethodCodeStart): New functions.

	* kaffe/kaffevm/methodCache.c (makeMethodInactive) 
	(makeMethodActive),
	kaffe/kaffevm/intrp/methodcalls.c (engine_callMethod),
	kaffe/kaffevm/intrp/native-wrapper.c (engine_create_wrapper): 
	Use new functions for setting and getting metthod code.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/support.c (lookupClassMethod): 
	Split assert and clarified.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-15  Mark Wielaard  <mark@klomp.org>

        * java/util/jar/Attributes.java (Name.CLASS_PATH): Document that
        file path elements are separated by spaces.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h (jthread_extract_stack): 
	Deinlined.
	
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_extract_stack): 
	Moved over here.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-15  Mark Wielaard  <mark@klomp.org>

        * javax/net/ssl/SSLContext.java (getInstance): Add exception message
        and/or cause before throwing.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-15  Mark Wielaard  <mark@klomp.org>

        * java/net/URLClassLoader.java (JarURLLoader.JarURLLoader): Just use
        space for parsing CLASS_PATH attribute.

	2005-02-15  Andrew Haley  <aph@redhat.com>

        * java/net/URLClassLoader.java
        (URLLoader.getClassPath): New method.
        (JarURLLoader.JarURLLoader): Read mainfest to parse "Class-Path"
        attribute and add URLs for each entry.
        (JarURLLoader.classPath): New field.
        (JarURLLoader.getClassPath): New method.
        (addURLImpl): Scan through the list of extraUrls in the new
        loader, adding them to our urlinfos.
        (definePackage, findURLResource, findResources): Use
        urlinfos.size(), not urls.size().

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-14  Mark Wielaard  <mark@klomp.org>

        * java/net/URLClassLoader.java (findClass): Throw
        ClassNotFoundExceptions including urls, plus parent using toString().
        (thisString): New field.
        (toString): New method.

        * java/lang/ClassLoader (defaultGetSystemClassLoader): Only install
        ExtensionClassLoader when there are actual extension URLs.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-14  Tom Tromey  <tromey@redhat.com>

        * java/net/URLClassLoader.java (URLLoader(URLClassLoader, URL,
        URL)): New constructor.

2005-02-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU inetlib.

	2005-02-14  Kai Mueller  <kai@faldal.mine.nu>

        * SMTPConnection.java: Define SP as character 0x20.

2005-02-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffe/main.c
	(main2): If an exception happens, exit with a non-null value.

2005-02-15  Jim Huang  <jserv@kaffe.org>

	* include/jawt.h,
	include/jawt_md.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtk_jawt.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/jawt.c,
	libraries/clib/classpath/classpath_jawt.h:
	New files.
	Merge GCJ's AWT Native Interface implementation, which
	was brought by Thomas Fitzsimmons <fitzsim@redhat.com>.

	* include/Makefile.am,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	Add jawt headers and implementation.

	* include/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in:
	Regenerated.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-14  Sven de Marothy  <sven@physto.se>

        * javax/swing/SpinnerDateModel.java: Implemented.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-14  Sven de Marothy  <sven@physto.se>

        * java/util/Calendar.java 
        (Calendar): Constructor should clear fields.

	2005-02-14  Sven de Marothy  <sven@physto.se>

        * java/util/Calendar.java 
        (clear): Dates should clear to local time.

        * java/util/GregorianCalendar.java      
        (computeTime): Fix priority problem with DAY_OF_WEEK,
        Handle non-sunday-startig weeks and minimumDaysInFirstWeek.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-13  Mark Wielaard  <mark@klomp.org>

	* java/awt/AWTKeyStroke.java (getAWTKeyStroke(String)): Throw
	IllegalArgumentException when the given String is null.

	* javax/swing/KeyStroke.java (getKeyStroke(String)): Return null
	when given keystoke sequence cannot be parsed.

	* javax/swing/JRootPane.java (setJMenuBar): Remove current menubar
	if one is installed. Only install the given menubar is not null.

	* javax/swing/JViewport.java (getViewSize): Return an empty
	Dimension when the view isn't set or preferred component size when
	no viewSize is set.

	* javax/swing/ViewportLayout.java (preferredLayoutSize): Return an
	empty Dimension when there is no view set.
	(minimumLayoutSize): Likewise.
	(layoutContainer): Don't try to layout when there is no view.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-13  Mark Wielaard  <mark@klomp.org>

	# Fixes bug #11957
	* java/io/ObjectInputStream.java (resolveClass): Don't check "void"
	twice.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-13  Tom Tromey  <tromey@redhat.com>

	* gnu/xml/aelfred2/SAXDriver.java: Ensure that null is returned when
	attribute index is out of bounds.
	
2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-12  Mark Wielaard  <mark@klomp.org>

	Fixes bug #11949
	* java/awt/BasicStroke.java (hashCode): Check for null dash.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/awt/color/ClutProfileConverter.java,
	gnu/java/awt/peer/ClasspathTextLayoutPeer.java,
	gnu/java/awt/peer/gtk/GdkFontPeer.java,
	gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	gnu/java/awt/peer/gtk/GdkRobotPeer.java,
	gnu/java/awt/peer/gtk/GdkTextLayout.java,
	gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFontPeer.java,
	gnu/java/awt/peer/gtk/GtkFramePeer.java,
	gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	gnu/java/awt/peer/gtk/GtkToolkit.java,
	gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	gnu/java/io/EncodingManager.java,
	gnu/java/io/decode/DecoderUTF8.java,
	gnu/java/net/protocol/file/Connection.java,
	gnu/java/net/protocol/ftp/ActiveModeDTP.java,
	gnu/java/net/protocol/ftp/BlockInputStream.java,
	gnu/java/net/protocol/ftp/BlockOutputStream.java,
	gnu/java/net/protocol/ftp/CompressedOutputStream.java,
	gnu/java/net/protocol/ftp/StreamInputStream.java,
	gnu/java/net/protocol/ftp/StreamOutputStream.java,
	gnu/java/net/protocol/http/Cookie.java,
	gnu/java/net/protocol/http/HTTPConnection.java,
	gnu/java/net/protocol/http/HTTPDateFormat.java,
	gnu/java/net/protocol/http/Request.java,
	gnu/java/nio/SelectorImpl.java,
	gnu/java/rmi/dgc/DGCImpl.java,
	gnu/java/rmi/server/UnicastConnectionManager.java,
	gnu/java/security/pkcs/SignerInfo.java,
	gnu/java/security/provider/EncodedKeyFactory.java,
	gnu/java/security/provider/GnuDHPublicKey.java,
	gnu/java/security/provider/PKIXCertPathValidatorImpl.java,
	gnu/java/security/x509/X500DistinguishedName.java,
	gnu/java/security/x509/X509CRL.java,
	gnu/java/security/x509/X509CRLEntry.java,
	gnu/java/security/x509/X509Certificate.java,
	gnu/java/security/x509/ext/AuthorityKeyIdentifier.java,
	gnu/java/security/x509/ext/CertificatePolicies.java,
	gnu/java/security/x509/ext/PolicyConstraint.java,
	gnu/xml/aelfred2/SAXDriver.java,
	gnu/xml/dom/Consumer.java,
	gnu/xml/dom/DomCharacterData.java,
	gnu/xml/dom/DomDocument.java,
	gnu/xml/dom/DomDocumentBuilder.java,
	gnu/xml/dom/DomIterator.java,
	gnu/xml/dom/DomNode.java,
	gnu/xml/dom/DomXPathExpression.java,
	gnu/xml/dom/DomXPathResult.java,
	gnu/xml/dom/JAXPFactory.java,
	gnu/xml/dom/ls/DomLSException.java,
	gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
	gnu/xml/libxmlj/dom/GnomeXPathNodeList.java,
	gnu/xml/libxmlj/sax/GnomeXMLReader.java,
	gnu/xml/libxmlj/transform/GnomeTransformer.java,
	gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
	gnu/xml/libxmlj/util/XMLJ.java,
	gnu/xml/pipeline/CallFilter.java,
	gnu/xml/pipeline/DomConsumer.java,
	gnu/xml/pipeline/LinkFilter.java,
	gnu/xml/pipeline/NSFilter.java,
	gnu/xml/pipeline/TeeConsumer.java,
	gnu/xml/pipeline/ValidationConsumer.java,
	gnu/xml/pipeline/WellFormednessFilter.java,
	gnu/xml/pipeline/XIncludeFilter.java,
	gnu/xml/pipeline/XsltFilter.java,
	gnu/xml/transform/ApplyImportsNode.java,
	gnu/xml/transform/Bindings.java,
	gnu/xml/transform/DocumentFunction.java,
	gnu/xml/transform/FormatNumberFunction.java,
	gnu/xml/transform/NodeNumberNode.java,
	gnu/xml/transform/NumberNode.java,
	gnu/xml/transform/Stylesheet.java,
	gnu/xml/transform/SystemPropertyFunction.java,
	gnu/xml/transform/Template.java,
	gnu/xml/transform/TemplatesImpl.java,
	gnu/xml/transform/TransformerImpl.java,
	gnu/xml/transform/ValueOfNode.java,
	gnu/xml/transform/XSLURIResolver.java,
	gnu/xml/util/DoParse.java,
	gnu/xml/util/Resolver.java,
	gnu/xml/xpath/Expr.java,
	gnu/xml/xpath/FunctionCall.java,
	gnu/xml/xpath/RelationalExpr.java,
	gnu/xml/xpath/Selector.java,
	gnu/xml/xpath/XPathParser.java,
	java/beans/XMLDecoder.java,
	java/text/SimpleDateFormat.java,
	javax/swing/JPopupMenu.java,
	javax/swing/JSpinner.java,
	javax/swing/SortingFocusTraversalPolicy.java,
	javax/swing/SwingUtilities.java,
	javax/swing/plaf/basic/BasicComboBoxEditor.java,
	javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	javax/swing/tree/DefaultMutableTreeNode.java,
	javax/xml/parsers/DocumentBuilder.java,
	javax/xml/parsers/DocumentBuilderFactory.java,
	javax/xml/transform/sax/SAXTransformerFactory.java,
	vm/reference/java/security/VMAccessController.java:
	Removed unused imports and expanded starred
	imports.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-12  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphicsConfiguration.java: Add.

	2005-02-12  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GdkFontPeer.java
	(getGlyphVector):
	(getFontMetrics):
	(getTextMetrics): New native methods.
	* gnu/java/awt/peer/gtk/GdkFontMetrics.java: Remove native parts.
	* gnu/java/awt/peer/gtk/GdkGlyphVector.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java: 
	Hold reference to GtkToolkit.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(cairoSetFont):
	(cairoDrawGdkTextLayout):
	(cairoDrawString): 
	(getPeerTextMetrics):
	(getPeerFontMetrics): Remove.
	(setFont): Don't call cairoSetFont.
	(cairoDrawGlyphVector): Accept font peer argument.
	(drawGlyphVector): Pass font peer to cairoDrawGlyphVector.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java:
	(finalize): Call finish from here.
	(produce): Not from here.
	* gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java:
	Hold reference to GdkGraphicsEnvironment.
	* gnu/java/awt/peer/gtk/GtkToolkit.java:
	(getFontMetrics): Change locking.
	(getBounds): New method.
	(getLocalGraphicsEnvironment): Pass reference to this.

	* include/Makefile.am: Remove entries for GdkFontMetrics, GdkGlyphVector.
	* include/gnu_java_awt_peer_gtk_GdkFontMetrics.h: Remove.
	* include/gnu_java_awt_peer_gtk_GdkFontPeer.h: Regenerate.
	* include/gnu_java_awt_peer_gtk_GdkGlyphVector.h: Remove.
	* include/gnu_java_awt_peer_gtk_GdkGraphics2D.h: Regenerate.

	* native/jni/gtk-peer/Makefile.am
	Remove entries for GdkFontMetrics, GdkGlyphVector.
	* native/jni/gtk-peer/gdkfont.h: Add #defines, remove struct glyphvec.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(ensure_metrics_cairo):
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoSetFont):
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoDrawString):
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_getPeerFontMetrics):
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_getPeerTextMetrics):
	(metrics_cairo):
	(metrics_surface): Remove.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoDrawGlyphVector):
	Pass and install font peer.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c:
	Release GDK lock while performing upcalls.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c: Remove.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_getGlyphVector):
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_getFontMetrics): 
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_getTextMetrics): New methods.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c: Remove.
	
2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-11  Craig Black  <craig.black@aonix.com>

        * gnu/java/awt/peer/gtk/GtkCheckboxMenuItem.java
        (postMenuActionEvent): Implement to notify ItemListeners.
        * java/awt/CheckboxMenuItem.java
        (dispatchEventImpl): Update state on ItemEvent.
        * java/awt/MenuItem.java
        (processActionEvent): Retarget event source.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c (create):
        Use GTK's built-in file system backend.  Use GTK_RESPONSE_ACCEPT.
        (handle_response): Use GTK_RESPONSE_ACCEPT.

2005-02-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Michael Koch  <konqueror@gmx.de>

        * configure.ac: Define GTK_CAIRO in config.h
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
        (gtkInit): Compile Graphics2D stuff conditionally.

2005-02-14  Jim Huang  <jserv@kaffe.org>

	* configure.ac: Fix typo.

	* FAQ/FAQ.awt:
	Updated Graphics2D implementation and DirectFB kawt
	information.

	* kaffe/scripts/Makefile.am:
	The appletviewer script would not be installed if the
	native AWT backends are disabled.
	NOTE: we must introduce a better way to let appletviewer
	switches different AWT backends, and use gcjwebplugin
	later.

	* configure,
	kaffe/scripts/Makefile.in:
	Regenerated.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Chris Burdess  <dog@gnu.org>

        * gnu/xml/dom/DomAttr.java,
        gnu/xml/dom/DomCDATA.java,
        gnu/xml/dom/DomCDATASection.java,
        gnu/xml/dom/DomCharacterData.java,
        gnu/xml/dom/DomDOMException.java,
        gnu/xml/dom/DomDoctype.java,
        gnu/xml/dom/DomDocument.java,
        gnu/xml/dom/DomDocumentConfiguration.java,
        gnu/xml/dom/DomDocumentFragment.java,
        gnu/xml/dom/DomElement.java,
        gnu/xml/dom/DomEx.java,
        gnu/xml/dom/DomFragment.java,
        gnu/xml/dom/DomImpl.java,
        gnu/xml/dom/DomIterator.java,
        gnu/xml/dom/DomNamedNodeMap.java,
        gnu/xml/dom/DomNode.java,
        gnu/xml/dom/DomNsNode.java,
        gnu/xml/dom/DomPI.java,
        gnu/xml/dom/DomProcessingInstruction.java,
        gnu/xml/dom/DomText.java,
        gnu/xml/dom/DomLSEx.java,
        gnu/xml/dom/DomLSException.java,
        gnu/xml/dom/DomLSParser.java,
        gnu/xml/dom/DomLSSerializer.java: Refactoring of exception and DOM
        implementation class names to conform to Classpath guidelines. Make
        DomLSException use JDK 1.4+ exception chaining.
        * gnu/xml/util/SAXNullTransformerFactory.java,
        gnu/xml/xpath/Predicate.java: Use constants relative to declaring
        class or interface.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JTabbedPane.java
        (Page.setDisplayedMnemonicIndex): Handle empty menmonic.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Graydon Hoare  <graydon@redhat.com>

        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
        Release GDK lock during upcalls.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Michael Koch  <konqueror@gmx.de>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c:
        Merged file header from java-gui-20050128-branch.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Michael Koch  <konqueror@gmx.de>

        * java/awt/Container.java (paramString):
        If layoutMgr is null just return result of super.paramString().

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-10  Jeroen Frijters  <jeroen@frijters.net>

        * java/text/Collator.java (getInstance(Locale)):
        Added default collation pattern to handle case when resource
        is missing and throw InternalError instead of returning null
        should parsing fail.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-09  Mark Wielaard  <mark@klomp.org>

        * gnu/java/net/protocol/jar/Connection.java (getJarFile):
        Rename jar_file to jf.

	2005-02-09  Tom Tromey  <tromey@redhat.com>

        * gnu/java/net/protocol/jar/Connection.java (getJarFile): Open
        jar file with OPEN_DELETE.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-09  Michael Koch  <konqueror@gmx.de>

        * java/awt/Scrollbar.java: Reformatted.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-08  Tom Tromey  <tromey@redhat.com>

        * java/net/URI.java (AUTHORITY_REGEXP): Handle case where user
        name or port is missing.
        (AUTHORITY_USERINFO_GROUP, AUTHORITY_HOST_GROUP,
        AUTHORITY_PORT_GROUP): Updated.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-08  Craig Black  <craig.black@aonix.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
        (copyState): Pass a JNI global reference to signal handler.
        (realize_cb): Use and free JNI global reference.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
        (create): Pass a JNI global reference to signal handler.
        (selection_changed): Match declaration.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c
        (dispose): Do not remove entries from state tables until after widget is
        destroyed.

2005-02-13  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake,
	configure.ac,
	developers/autogen.sh:
	Updated to automake 1.9.5 and libtool 1.5.14.

	* libraries/javalib/Makefile.am.in:
	Removed bootstrap.

2005-02-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(finaliserMan): Splitted into finaliserMan and finaliserJob.
	(clearStack): Removed.
	(gcMarkAddress): Removed debug printf.
	
	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(jthread_condwait): Removed debug printf.
	
2005-02-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/sparc/sysdepCallMethod.h
	(sysdepCallMethod): Removed special cases 'C', 'B', 'Z' and 'S'
	because all integers must be stored in the 32 bits format internally.
	This reverts an old patch.

	* configure.ac: Check for strtouq and strtoull.

	* Makefile.am
	(BUILD_ENVIRONMENT): Append the new directory to the old
	LD_LIBRARY_PATH and DYLD_LIBRARY_PATH.

	* test/internal/jitBasic.c
	(field2values): Use either strtouq or strtoull.
	
	* config/config.h.in, Makefile.in, configure: Regenerated.
	
2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/Configuration.java.in: New file.
	Taken from GNU Classpath.

	* libraries/javalib/gnu/classpath/Configuration.java: Removed.

	* configure.ac: Added a few configure switches from GNU Classpath,
	needed to generate gnu/classpath/Configure.java.

	* libraries/javalib/Makefile.am.in: Added generated 
	gnu/classpath/Configure.java to compiler's parameters.

	* libraries/javalib/all.files: Removed gnu/classpath/Configure.java, 
	as it is no longer a part of the source files.

	That setup is absolutely ugly, actually, because it's amazingly hard 
	to make sure that a java compiler builds both the generated file 
	and the normal, non-generated sources in the same time invocation,
	without using all sorts of undocumented tricks and cheats.

	But the necessity to commit this comes from GNU Classpath, as it has 
	become mandatory in order to merge in the latest cairo detection code.

	My only hope is that this split source setup will only have to hang 
	around in Kaffe for the little remaining time till we're fully merged with 
	Classpath.

	* FAQ/FAQ.classlibrary-compile: Removed section on bootstrapping with kjc.

	* include/Makefile.am,
	libraries/javalib/rebuildLib.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am:
	Removed references to Klasses.jar.bootstrap.

	2005-02-08  Michael Koch  <konqueror@gmx.de>

        * configure.ac: Define substition variable GTK_CAIRO_ENABLED.
        Fix handling of GTK_CAIRO conditional.
        * gnu/classpath/Configuration.java.in (GTK_CAIRO_ENABLED):
        New constant.
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (static):
        Throw error when Cairo support was not enabled during configure time.	

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-08  Michael Koch  <konqueror@gmx.de>

        * javax/swing/tree/DefaultMutableTreeNode.java:
        Reworked Javadocs all over.
        (getPathToRoot): Fixed direction of result array initialization.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-08  Michael Koch  <konqueror@gmx.de>

        * native/jni/java-nio/java_nio_VMDirectByteBuffer.c
        (NIOGetPointer): Handle case of pointer size != 32 bit.
        (NIOGetRawData): Likewise.
        (Java_java_nio_VMDirectByteBuffer_init): Likewise.
        Fixed asking for primitive type 'long'.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-07  Mark Wielaard  <mark@klomp.org>

        * java/util/ResourceBundle.java (getObject): Clarify
        MissingResourceException detailed message.
        (tryBundle(String,ClassLoader)): Likewise.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-07  Craig Black  <craig.black@aonix.com>

        * native/jni/classpath/native_state.c
        (add_node): Update head pointer when moving node to front of list.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-06  Mark Wielaard  <mark@klomp.org>

        Reported by Timo Lindfors <timo.lindfors@iki.fi>
        java/util/regex/Matcher.java (lookingAt): Set position when match
        found.
        (matches): Implemented through lookingAt().

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-06  Mark Wielaard  <mark@klomp.org>

        Fix suggested by Timo Lindfors <timo.lindfors@iki.fi>
        * java/util/regex/Pattern.java (split(CharSequence,int)):
        Fix while empties > 0 loops.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Thread.java (sleep): Improved
	exception messages.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Class.java (newInstance): 
	Improved exception messages.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/net/PlainSocketImpl.c (gnu_java_net_PlainSocketImpl_socketAccept): 
	Improved debug code.

2005-02-10  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c (jthreadedAccept): 
	Fixed accept again for the case that select was interrupted.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/compat/javac.in: Switched to use jikes
	with correct bootclasspath.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* config/s390/sysdepCallMethod.h: Added missing semicolon.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use a single AC_CHECK_HEADERS macro
	to reduce the bloat in the configure script.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/javac.in,
	kaffe/scripts/javakey.in,
	kaffe/scripts/jdb.in,
	kaffe/scripts/kjc.in,
	kaffe/scripts/kopi.in:
	Removed unused scripts or scripts using sun.* classes.

	* kaffe/scripts/Makefile.am,
 	configure.ac: Removed the deleted files.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac: Added PTHREAD_CFLAGS to CFLAGS back. 
	That fixes FreeBSD again. 'make CFLAGS=-Wall' still works now,
	though.

	* kaffe/kaffevm/Makefile.am (libkaffevm_la_LDFLAGS):
	Added PTHREAD_CFLAGS.

	* kaffe/kaffevm/systems/unix-pthreads/Makefile.am (libkthread_la_LDFLAGS):
	Added PTHREAD_CFLAGS.

	Reported by:  Ito Kazumitsu  <kaz@maczuka.gcd.org>

2005-02-08  Jim Huang  <jserv@kaffe.org>

	* WHATSNEW: Add some successes.
	
	* FAQ/FAQ.awt: Add entry to Nano-X AWT backend.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Updated.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Updated.

2005-02-08  Dalibor Topic  <robilad@kaffe.org>

	Fixed make distcheck. Removed remaining jar files from tarball.

	N.B. We should ship kaffe-1.1.5-rt.jar separately for people that
	can't build it on their boxes (ps2linux). Not shipping the 
	prebuilt jar files reduces the size of the tarball by about 
	7M, down to 9M.

	* Makefile.am (dist-hook): Removed support for precompiled rt.jar.
	
	* configure.ac: Adapted accordingly.

	* libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am (EXTRA_DIST): Don't
	put the compiled JAR file into the distribution tarball.
	(clean-local): Remove compiled classes and JAR files.

	* test/internal/Makefile.am,
	test/regression/Makefile.am,
	test/regression/compiler/Makefile.am:
	(CLEANFILES): Added missing files.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* test/awt/Calc/Calc.java,
	test/awt/Calc/Calc.sh,
	test/awt/TextEdit/README,
	test/awt/TextEdit/TextEdit.jar,
	test/awt/TextEdit/TextEdit.sh,
	test/awt/TextEdit/copyright.txt,
	test/awt/Unico/README,
	test/awt/Unico/Unico.class,
	test/awt/Unico/readme.txt,
	test/awt/Unico/unico.jar,
	test/awt/Unico/unico.sh:
	Removed tests without included source code.

	* test/awt/WidgetsDemo/DemoImageDict.java: Removed unused file.

	* test/Makefile.am (EXTRA_DIST) Removed deleted files.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* libraries/extensions/comm/javalib/Makefile.am,
	libraries/extensions/microsoft/javalib/Makefile.am,
	libraries/extensions/pjava/javalib/Makefile.am,
	libraries/extensions/servlet/javalib/Makefile.am:
	(EXTRA_DIST) Removed the compiled jar files from
	distributed source tarball.

	Reported by:  David Walluck <walluck@mandrake.org>

	* libraries/extensions/comm/javalib/comm.jar,
	libraries/extensions/microsoft/javalib/microsoft.jar,
	libraries/extensions/pjava/javalib/pjava.jar,
	libraries/extensions/servlet/javalib/servlet.jar:
	Removed JAR files from CVS.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Updated to reflect removal of java & javac 
	configure detection macros.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/dgux/jit-md.h: Fixed compilation error.

	* test/Makefile.am (EXTRA_DIST): Added missing logo, 
	removed Transvirtual logo. Fixes make dist gain.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* m4/ac_prog_antlr.m4: Simplified. No longer needs
	java or javac. 

	*m4/ac_prog_java.m4,
	m4/ac_prog_java_works.m4,
	m4/ac_prog_javac.m4,
	m4/ac_prog_javac_works.m4: Removed.

	Reported by:  Fernando Lozano  <fernando@lozano.eti.br>

	* kaffe/scripts/javadoc.in, 
	kaffe/scripts/compat/javadoc.in: Use installed antlr.

	* tools/gjdoc/javalib/Makefile.am (toolslib_DATA):
	Don't copy antlr.jar around.

	Reported by:  Arnaud Vandyck  <avdyk@gnu.org>

	* tools/gjdoc/javalib/dtd/dbcentx.mod,
	tools/gjdoc/javalib/dtd/ent/iso-amsa.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsb.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsc.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsn.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amso.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsr.ent,
	tools/gjdoc/javalib/dtd/ent/iso-box.ent,
	tools/gjdoc/javalib/dtd/ent/iso-cyr1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-cyr2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-dia.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk3.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk4.ent,
	tools/gjdoc/javalib/dtd/ent/iso-lat1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-lat2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-num.ent,
	tools/gjdoc/javalib/dtd/ent/iso-pub.ent,
	tools/gjdoc/javalib/dtd/ent/iso-tech.ent,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/AbstractDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/CssClass.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/Driver.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Main.java,
	tools/gjdoc/javalib/gnu/classpath/tools/java2xhtml/Java2xhtml.java,
	tools/gjdoc/javalib/htmldoclet/HtmlDoclet.properties,
	tools/gjdoc/javalib/htmldoclet/gjdoc.js,
	tools/gjdoc/javalib/htmldoclet/gjdochtml-clean-color1.css,
	tools/gjdoc/javalib/htmldoclet/gjdochtml-clean-layout.css,
	tools/gjdoc/javalib/htmldoclet/help.xhtml:
	Resynced with gjdoc.

	2005-02-07  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: make
	links to classes on index page work correctly.

	2005-02-06  Julian Scheid  <julian@sektor37.de>

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: fix
	navigation bar wrapping problem.

	2005-02-06  Julian Scheid  <julian@sektor37.de>

	* README: replaced usage with latest output.

	* src/gnu/classpath/tools/gjdoc/Main.java: add -s and
	-addstylesheet to usage. Reword `path of' in usage to `path to'.
	
	2005-02-06  Julian Scheid  <julian@sektor37.de>

	* README: replaced usage with latest output; added -nocomment and
	-serialwarn to Missing Features and adjusted wording re: command
	line compatibility.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: accept `-s'
	as an alias for `-sourcepath'.

	* src/gnu/classpath/tools/gjdoc/Main.java: accept `-s' as an alias
	for `-sourcepath'; accept `--help' as an alias for `-help'. add
	option '-all'; rearrange usage; remove
	[ignored] from usage for option -locale; fix typos in usage;

	* src/gnu/classpath/tools/java2xhtml/Java2xhtml.java: factor out
	CSS class names; rename CSS classes for brevity.

	* src/resources/htmldoclet/gjdochtml-clean-color1.css: CSS class
	name refactoring.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	option -addstylesheet; fix option -stylesheetfile;

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: have
	beginPage() accept a list of stylesheets.

	2005-02-05  Mark Wielaard  <mark@klomp.org>

	* README: Add last two lines of usage message.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* README:
	* TROUBLESHOOTING:
	* src/gnu/classpath/tools/gjdoc/Main.java:
	applied documentation update patch by Mark Wielaard.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	fixed bottom navigation bar on use pages.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: make
	-xmlonly the default mode.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: collect
	"implemented by" usage information for interfaces.
	
	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	"implemented by" information and summary description to use pages.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	new classes for use pages.

	* src/resources/htmldoclet/HtmlDoclet.properties: add text for
	"implemented by" usage category.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: add layout
	for usage summary description.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* ChangeLog: correction.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: fix
	typo in output.

	2005-02-05  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: more
	information for uses pages; fixed bugs in navigation bar; add
	decoration for source code page; link to next/previous index
	letter; add message for empty use pages; several minor
	improvements and bugfixes.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: add
	method getFile().
	
	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	new CSS styles.

	* src/gnu/classpath/tools/java2xhtml/Java2xhtml.java: better tag
	nesting for line anchor.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css:
	* src/resources/htmldoclet/gjdochtml-clean-color1.css: 
	improved stylesheets.

	2005-02-04  Julian Scheid  <julian@sektor37.de>

	* configure.ac: bump version to 0.7.1.

	* README: update to reflect changes since previous release.

	* Makefile.am: generate version.properties at compile-time and add
	to jars and native executable.

	* src/gnu/classpath/tools/gjdoc/Main.java: use version string from
	generated /version.properties.
	
	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	message to deprecated page if there are no deprecated API
	elements; make space between parameter type and parameter name
	non-breaking; add meta-equiv keywords to class and package pages;
	fix bug on deprecated page; add next/prev links and shortcuts to
	navigation bar; improve formatting of method/constructor synopsis
	in detail section; add "throws" information to method/constructor
	synopsisl; use version string from /version.properties; remove
	help page from output for now.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: move
	getDocletVersion() to HtmlDoclet.java.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	new CSS classes; change tag for detail synopsis to "pre".

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	support keyword output.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: some
	polishing.

	* src/resources/htmldoclet/help.xhtml: friendlier "no help
	available" message.

	* src/resources/htmldoclet/gjdoc.js: remove stylesheet-related
	hacks for now.
	
	2005-02-03  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java: recognize option
	-bootclasspath; output warning if -bootclasspath is specified.

	2005-02-03  Andrew Overholt  <overholt@redhat.com>

	* Makefile.am: Add java-expression.g to EXTRA_DIST.  Add fixes for
	distcheck.  Add necessary include to AM_GCJFLAGS for the
	antlr-generated files.

	2005-02-03  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java: add support for option
	--version.

	2005-02-02  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java
	(printPackageTreeRec): add parameter parentNode; don't output tree
	parent in package interface tree implements list; prefix
	implements list with "also implements:" for interfaces; remove
	bogus whitespace in output.
	(printClassTree, printInterfaceTree): pass parameter parentNode.
	
	2005-02-02  Julian Scheid  <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java (getCollator):
	gracefully handle null return values from
	Collator.getCollator(Locale); add documentation.

	2005-02-01  Andrew Overholt  <overholt@redhat.com>

	* configure.ac: Add --enable-xmldoclet option (default to no).

	* Makefile.am: Add required logic for above.  Minor tweaks for antlr.

	2005-01-14  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	add missing table row tags and table end tag on usage page.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Method.c
	(Java_java_lang_reflect_Method_invoke0) Use a jmethodID
	when invoking JNI functions instead of Method *. Fixes
	21 compiler warnings.

2005-02-07  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.c (vmExcept_isJNIFrame,
	vmExcept_setSyncObj, vmExcept_getSyncObj, vmExcept_setPC,
	vmExcept_getPC): Clarified asserts.
	(vmExcept_JNIContains, vmExcept_setJNIFrame) Use
	JNIFrameAddress type.

	* kaffe/kaffevm/exception.h (JNIFrameAddress): New type.
	(VmExceptHandler, vmExcept_setJNIFrame) Use JNIFrameAddress. 

	That fixes 210 warnings on powerpc-linux-intrp.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.c (vmExcept_isJNIFrame,
	vmExcept_JNIContains, vmExcept_setJNIFrame,
	vmExcept_jumpToHandler, vmExcept_setSyncObj,
	vmExcept_getSyncObj, vmExcept_setPC,
	vmExcept_getPC): Moved over here from 
	kaffe/kaffevm/exception.h, and made static when 
	appropriate.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/java_lang_ref_Reference.c
	(Java_java_lang_ref_Reference_create):
	Removed unused variables.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Runtime.c
	(java_lang_Runtime_linkLibrary): 
	Removed unused variable.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gcFuncs.c (destroyClass, walkClass, 
	finalizeObject): Removed unused variables.

2005-02-06  Jim Huang  <jserv@kaffe.org>

	* test/awt/WidgetsDemo/WidgetsDemo.java,
	test/awt/WidgetsDemo/kaffe_powered.png:
	Replace Transvirtual's logo with the new one "Powered
	By Kaffe".

	* test/awt/WidgetsDemo/tvt.jpg:
	Remove.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.c
	(userLoadClass): Removed unused variable.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/DateFormat.c,
	libraries/clib/native/Arrays.c:
	Removed unused files.

	* libraries/clib/native/Makefile.am:
	Removed DateFormat.c and Arrays.c.

	* include/Makefile.am:
	Don't create headers for DateFormat and Arrays.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/aix/md.c,
	config/powerpc/linux/md.c,
	config/powerpc/machten/md.c:
	Removed unused thread_dummy function
	from old Kaffe days.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/locks.c (dumpObjectLocks):
	Removed unused empty function.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Runtime.c 
	(java_lang_Runtime_getLibPrefix, 
	java_lang_Runtime_getLibSuffix): ANSI-fied prototypes.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gcFuncs.c: Replaced 'index' by 'objIndex' to 
	fix compiler warnings about shadowed symbols.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-base.c (KaffeJNI_ParseUserProperty):
	Factored out of KaffeJNI_ParseArgs to fix compiler warning,
	and simplify code a bit. Added comments.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/intrp/machine.c
	(getEngine): ANSI-fied prototype.

2005-02-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(setBlockState): De-inlined to fix compiler warnings
	with gcc 3.4 on powerpc-linux.

2005-02-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Setup SEMAPHORE_LIB correctly. Force enable_mips2 to
	yes if omitted.

	* m4/semaphore.m4: Use the pthread flags to check semaphore functions.

2005-02-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(nullException): Better handling of stack overflows though we
	would need a stack switch here.
	
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_exit): Awake the first thread and exits there.
	
	* test/regression/SystemLoaderTest.java
	(l, k): Use another name to avoid conflicts with ArrayForName.

	* test/regression/WaitTest.java: Synchronize then start the thread
	to be sure the notification is sent after the first thread is
	going into wait.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	Attempt to fix up the FreeeBSD x86 tinderbox build.

	* kaffe/kaffevm/Makefile.am (libkaffevm_la_CFLAGS,
	libkaffevm_la_LDFLAGS): Added PTHREAD_CFLAGS and 
	PTHREAD_LIBS.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-04  Chris Burdess  <dog@gnu.org>

        * gnu/xml/aelfred2/SAXDriver.java: Corrected implementation of
        isDeclared methods. Improved performance of isSpecified methods.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-04  Michael Koch  <konqueror@gmx.de>

        * javax/swing/SortingFocusTraversalPolicy.java
        (getSortedCycle): Fixed initialization of set.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-03  Robert Schuster  <thebohemian@gmx.net>

        * gnu/java/nio/charset/ISO_8859_1.java,
        gnu/java/nio/charset/US_ASCII.java,
        gnu/java/nio/charset/UTF_16.java,
        gnu/java/nio/charset/UTF_16_LE.java,
        gnu/java/nio/charset/UTF_16_BE.java,
        gnu/java/nio/charset/UTF_8.java: Fixed canonical names
         and aliases according to
         "http://www.iana.org/assignments/character-sets",
         "http://java.sun.com/j2se/1.5.0/docs/guide/intl/encoding.doc.html"
         and "http://oss.software.ibm.com/cgi-bin/icu/convexp?s=ALL".
        * gnu/java/nio/charset/Provider.java: Made charset lookup
         case-insensitive which fixes bug #11740.

2005-02-05  Sven de Marothy  <sven@physto.se>

	* java/text/SimpleDateFormat.java
	(parse): Tweak handling of 2-year dates
	* java/util/Calendar.java
	(clear): Clear fields to correct value.
	* java/util/GregorianCalendar.java
	(computeTime): Correct handling of time zones.
	Correct field minimum values.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Don't add PTHREAD_CFLAGS to CFLAGS.
	That fixes 'make CFLAGS="-Wall"' again.

	* kaffe/kaffevm/Makefile.am (SUBDIRS): Build threads
	before gc, because gc depends on them.

	* kaffe/kaffevm/kaffe-gc/Makefile.am 
	(libkaffegc_la_DEPENDENCIES): Added dependency on threads.

	* kaffe/kaffevm/systems/unix-pthreads/Makefile.am
	(libkthread_la_CFLAGS): Set to PTHREAD_CFLAGS.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_yield): Moved over here.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_yield): Removed. Fixes numerous compiler warnings.

	* libraries/clib/libxmlj/Makefile.am (libxmlj_la_LDFLAGS):
	Added PTHREAD_LIBS.
	(libxmlj_la_CFLAGS): Added PTHREAD_CFLAGS.

2005-02-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni.c
	(Kaffe_ExceptionOccured): Do not add the exception to the local
	reference pool if it is NULL.
	(KaffeJNI_EnsureLocalCapacity): Ensure the local JNI frame has
	sufficient capacity.
	(KaffeJNI_addJNIref): Call FatalError with a right JNI
	environment.

	* kaffe/kaffe/main.c
	(checkException): Delete the local reference to the retrieved
	exception.

	* libraries/clib/native/UNIXProcess.c
	(forkAndExec): Delete local references to the elements in the
	array.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h:
	Removed spurious jthread_get_stack_limits.
	
2005-02-05  Jim Huang  <jserv@kaffe.org>

	* configure.ac,
	kaffe/kaffe/Makefile.am,
	kaffe/kaffe/main.c,
	libraries/clib/awt/Makefile.am,
	libraries/clib/awt/nano-X/awt_const.h,
	libraries/clib/awt/nano-X/clipboard.
	libraries/clib/awt/nano-X/color.c,
	libraries/clib/awt/nano-X/event.c,
	libraries/clib/awt/nano-X/font.c,
	libraries/clib/awt/nano-X/graphics.c,
	libraries/clib/awt/nano-X/handler.c,
	libraries/clib/awt/nano-X/image.c,
	libraries/clib/awt/nano-X/keymap.h,
	libraries/clib/awt/nano-X/Makefile.am,
	libraries/clib/awt/nano-X/toolkit.c,
	libraries/clib/awt/nano-X/toolkit.h,
	libraries/clib/awt/nano-X/window.c:
	Initial implementation of Nano-X AWT backend.
	The work is based on the progress of Sinby Corporatin in
	2001, and performs some bug-fixes. Currently, it is proven
	to work well with Nano-X 0.90.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-03  Michael Koch  <konqueror@gmx.de>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        Fix includes for cairo 0.3.0 snappshot.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/gnu_classpath_VMSystemProperties.c
	Use UNUSED instead of using the gcc attribute explicitely.

2005-02-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.h: Removed explicit
	prototypes for the inline functions.

	* kaffe/kaffevm/external.h: Added missing include.

	* kaffe/kaffevm/intrp/icode.h (UNINITIALIZED_STACK_SLOT):
	New contant (available for debug code).
	(check_array_index) Added additional asserts in debug 
	mode.

	* kaffe/kaffevm/intrp/machine.c (engine_name): Made const.
	(check_null) Use EXPLICIT_CHECK_NULL in debug mode.
	(virtualMachine) Use UNINITIALIZED_STACK_SLOT.

	* kaffe/kaffevm/systems/unix-pthreads/jsignal.h
	(detectStackBoundaries) : Removed redundant prototype.

	* libraries/clib/native/gnu_classpath_VMSystemProperties.c
	(Java_gnu_classpath_VMSystemProperties_getKaffeLibraryPath):
	Simplified.

2005-02-04  Jim Huang  <jserv@kaffe.org>

	* FAQ/FAQ.awt:
	Update FAQ of current AWT implementations to adapt the
	peerful GTK+-based AWT/Swing merged from GNU Classpath.

2005-02-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/intrp/icode.h (check_array_index):
	Turned into a proper static inline funtion. Cleaned up
	and documented. Made it throw an ArrayIndexOutOfBounds
	exception for negative index values. That fixes a 
	problem detected by OfBiz 3 on powerpc-linux-intrp.

2005-02-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.c (retry):
	Removed unused variables.

	* kaffe/kaffevm/findInJar.c (discoveredClassHome):
	Only compile in if binreloc is enabled.
	
	* kaffe/kaffevm/classPool.c,
	kaffe/kaffevm/intrp/methodcalls.c,
	kaffe/kaffevm/intrp/machine.h:
	Added missing includes.

	* kaffe/kaffevm/jni/jni.c (Kaffe_DestroyJavaVM)
	Removed NONRETURNING attribute.

	* kaffe/kaffevm/jni/jni_i.h (Kaffe_DestroyJavaVM)
	Removed prototype.
	
2005-02-03  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-02  Mark Wielaard  <mark@klomp.org>

	* gnu/java/net/protocol/jar/Connection.java (is_trying): Removed
	field.
	(get): Don't use or set is_trying.

2005-02-03  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-02  Robert Schuster  <thebohemian@gmx.net>

        * gnu/java/beans/decoder/GrowableArrayContext.java: Fixed
        assignment behavior by using java.lang.reflect.Array.set()
        directly.
	
2005-02-03  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-02-02  Sven de Marothy  <sven@physto.se>

	* java/util/Calendar.java 
	(set) Invalidate all fields on first call to set().

	2005-02-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/SimpleDateFormat.java
	Lots of documentation updates.
	(readObject(java.io.ObjectInputStream)): Wraps
	IllegalArgumentException as specified.
	(compileFormat(String)): Uses standardChars
	rather than the local pattern characters.
	Throws IllegalArgumentException rather than
	storing a -1 field.
	(toString()): Extended to include all variables
	in a better format.
	(translateLocalizedPattern(String, String, String)):
	Renamed to better define the use of this method.

	2005-02-01  Sven de Marothy  <sven@physto.se>
	
	* java/util/GregorianCalendar.java
        (computeTime): Fixed handling of time zones.

	2005-02-01  Sven de Marothy  <sven@physto.se>
	
	* java/util/Calendar.java
        (clear): Set values to Epoch instead of zero.
        (set): Set isSet to the relevant field pattern instead of just the
	field.
        * java/util/GregorianCalendar.java
        (getBundle): Removed.
        (getDayOfYear): Removed.
        (getFirstDayOfMonth): New private method.
        (nonLeniencyCheck): New private method.
        (computeTime): Correct handling of insufficient data.
	
2005-02-03  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Abort if zip can't be found.

2005-02-03  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/Makefile.am.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.am,
        libraries/javalib/gmp-math/Makefile.am,
        tools/gjdoc/javalib/Makefile.am:
	Removed bootstrap parts for using kaffe's jar on
	freshly bootstrapped kaffe instead of zip.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2005-02-02  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/gnu/regexp/RE.java,
        libraries/javalib/java/io/ObjectInputStream.java,
        libraries/javalib/java/io/ObjectStreamClass.java,
        libraries/javalib/java/lang/Math.java,
        libraries/javalib/java/lang/SecurityManager.java,
        libraries/javalib/java/security/AllPermission.java,
        libraries/javalib/java/security/BasicPermission.java,
        libraries/javalib/java/security/Permissions.java,
        libraries/javalib/java/text/MessageFormat.java,
        libraries/javalib/java/util/AbstractList.java:
	Made 'inner' classes real public static inner classes,
	and made them final where possible.

2005-02-02  Jim Huang  <jserv@kaffe.org>

	* kaffe/kaffe/Makefile.am,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffe/main.c,
	po/fr.po,
	po/kaffe.pot,
	po/zh_TW.po:
	Remove redundant Kaffe xlib and qt AWT implementation options.

2005-02-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/security/auth/callback/Callback.java,
	libraries/javalib/javax/security/auth/callback/CallbackHandler.java,
	libraries/javalib/javax/security/auth/callback/ChoiceCallback.java,
	libraries/javalib/javax/security/auth/callback/ConfirmationCallback.java,
	libraries/javalib/javax/security/auth/callback/LanguageCallback.java,        
	libraries/javalib/javax/security/auth/callback/NameCallback.java,
	libraries/javalib/javax/security/auth/callback/PasswordCallback.java,        
	libraries/javalib/javax/security/auth/callback/TextInputCallback.java,
	libraries/javalib/javax/security/auth/callback/TextOutputCallback.java,
	libraries/javalib/javax/security/auth/callback/UnsupportedCallbackException.java,
	libraries/javalib/javax/security/auth/login/AccountExpiredException.java,
	libraries/javalib/javax/security/auth/login/AppConfigurationEntry.java,
	libraries/javalib/javax/security/auth/login/CredentialExpiredException.java,
	libraries/javalib/javax/security/auth/login/FailedLoginException.java,
	libraries/javalib/javax/security/auth/login/LoginException.java,
        libraries/javalib/javax/security/cert/CertificateEncodingException.java:
	Resynced with GNU Classpath: fixed the diffs caused by 
	classpath's coding style.

2005-02-02  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/javax/security/auth/AuthPermission.java,
	libraries/javalib/javax/security/auth/DestroyFailedException.java,
        libraries/javalib/javax/security/auth/Destroyable.java,
        libraries/javalib/javax/security/auth/Policy.java,
	libraries/javalib/javax/security/auth/RefreshFailedException.java,
        libraries/javalib/javax/security/auth/Refreshable.java,
	libraries/javalib/javax/security/auth/SubjectDomainCombiner.java,
        libraries/javalib/javax/security/auth/callback/Callback.java,
	libraries/javalib/javax/security/auth/callback/CallbackHandler.java,
	libraries/javalib/javax/security/auth/callback/ChoiceCallback.java,
	libraries/javalib/javax/security/auth/callback/ConfirmationCallback.java,
	libraries/javalib/javax/security/auth/callback/LanguageCallback.java,        
	libraries/javalib/javax/security/auth/callback/NameCallback.java,
	libraries/javalib/javax/security/auth/callback/PasswordCallback.java,        
	libraries/javalib/javax/security/auth/callback/TextInputCallback.java,
	libraries/javalib/javax/security/auth/callback/TextOutputCallback.java,
	libraries/javalib/javax/security/auth/callback/UnsupportedCallbackException.java,
	libraries/javalib/javax/security/auth/login/AccountExpiredException.java,
	libraries/javalib/javax/security/auth/login/AppConfigurationEntry.java,
	libraries/javalib/javax/security/auth/login/CredentialExpiredException.java,
	libraries/javalib/javax/security/auth/login/FailedLoginException.java,
	libraries/javalib/javax/security/auth/login/LoginException.java,
        libraries/javalib/javax/security/cert/Certificate.java,
	libraries/javalib/javax/security/cert/CertificateEncodingException.java,
	libraries/javalib/javax/security/cert/CertificateException.java,
	libraries/javalib/javax/security/cert/CertificateExpiredException.java,
	libraries/javalib/javax/security/cert/CertificateNotYetValidException.java,        
	libraries/javalib/javax/security/cert/CertificateParsingException.java:
	Resynced with GNU Classpath.

	Reported by:  Mark Wielaard  <mark@klomp.org>

2005-02-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/regexp/CharIndexedReader.java,
	libraries/javalib/gnu/regexp/REFilterReader.java,
	libraries/javalib/java/awt/TextBuffer.java:
	Removed redundant classes.

2005-02-01  Nektarios K. Papadopoulos  <npapadop@inaccessnetworks.com>

	* FAQ.classlibrary-compile: Added missing information about
	paths to class library profiles.

2005-02-01  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-02-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * javax/security/auth/callback/Callback.java,
        javax/security/auth/callback/CallbackHandler.java,
        javax/security/auth/callback/ChoiceCallback.java,
        javax/security/auth/callback/ConfirmationCallback.java,
        javax/security/auth/callback/LanguageCallback.java,
        javax/security/auth/callback/NameCallback.java,
        javax/security/auth/callback/PasswordCallback.java,
        javax/security/auth/callback/TextInputCallback.java,
        javax/security/auth/callback/TextOutputCallback.java,
        javax/security/auth/callback/UnsupportedCallbackException.java:
        Removed CVS version tags.

2005-01-31  Patryk Laurent  <patryk@pakl.net>

	* FAQ/FAQ.ps2linux: Updated.

2005-01-31  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-31  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/locale/LocaleHelper.java:
	New utility class.
	(getLocalizedString(java.util.Locale,
	String, String, boolean, boolean)):
	More generic version of what was
	java.util.Locale.getDisplayString, now
	available to all classes.
	* gnu/java/locale/LocaleInformation.java,
	gnu/java/locale/LocaleInformation_aa.java,
	gnu/java/locale/LocaleInformation_aa_ET.java,
	gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_am_ET.java,
	gnu/java/locale/LocaleInformation_ar.java,
	gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_az.java,
	gnu/java/locale/LocaleInformation_be.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_bn.java,
	gnu/java/locale/LocaleInformation_byn.java
	gnu/java/locale/LocaleInformation_byn_ER.java
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_dv.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_dz_BT.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BE.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_MT.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fo.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gez.java
	gnu/java/locale/LocaleInformation_gez_ER.java
	gnu/java/locale/LocaleInformation_gez_ET.java
	gnu/java/locale/LocaleInformation_gl.java,
	gnu/java/locale/LocaleInformation_gu.java,
	gnu/java/locale/LocaleInformation_gv.java,
	gnu/java/locale/LocaleInformation_haw.java
	gnu/java/locale/LocaleInformation_haw_US.java
	gnu/java/locale/LocaleInformation_he.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_iu.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_kk.java,
	gnu/java/locale/LocaleInformation_kl.java,
	gnu/java/locale/LocaleInformation_km.java,
	gnu/java/locale/LocaleInformation_kn.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_kok.java
	gnu/java/locale/LocaleInformation_kok_IN.java
	gnu/java/locale/LocaleInformation_kw.java,
	gnu/java/locale/LocaleInformation_ky.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_ml.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_mn_MN.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_ms_BN.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_om.java,
	gnu/java/locale/LocaleInformation_om_ET.java,
	gnu/java/locale/LocaleInformation_or.java,
	gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_ps.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_sa.java,
	gnu/java/locale/LocaleInformation_sid.java
	gnu/java/locale/LocaleInformation_sid_ET.java
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_so.java,
	gnu/java/locale/LocaleInformation_so_DJ.java,
	gnu/java/locale/LocaleInformation_so_ET.java,
	gnu/java/locale/LocaleInformation_so_SO.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sr_Latn.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_syr.java
	gnu/java/locale/LocaleInformation_syr_SY.java
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_te.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_ti.java,
	gnu/java/locale/LocaleInformation_ti_ER.java,
	gnu/java/locale/LocaleInformation_ti_ET.java,
	gnu/java/locale/LocaleInformation_tig.java
	gnu/java/locale/LocaleInformation_tig_ER.java
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_tt.java,
	gnu/java/locale/LocaleInformation_uk.java,
	gnu/java/locale/LocaleInformation_ur.java,
	gnu/java/locale/LocaleInformation_uz.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_wal.java
	gnu/java/locale/LocaleInformation_wal_ET.java
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java,
	gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
	gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
	Locales updated with re-ordered zone strings,
	new separator ('|' replaced with \u00A6) and updated
	data from the latest CLDR CVS (including 16 new
	locales).
	* java/util/Currency.java:
	 (currencySymbol): Removed.
	(getCurrencyCode()): Rewritten to call
	getCurrencyCode(Locale.getDefault()).
	(getCurrencyCode(java.util.Locale)): Rewritten to
	lookup localized currency symbol from our locale data.
	* java/util/Locale.java:
	(getDisplayLanguage(java.util.Locale)): Now calls
	method in LocaleHelper.
	(getDisplayCountry(java.util.Locale)): Likewise.
	(getDisplayVariant(java.util.Locale)): Likewise.
	(getDisplayString()): Rewritten in LocaleHelper.
	
2005-01-31  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-29  Quentin Anciaux  <quentin.anciaux@advalvas.be>

	* gnu/classpath/SystemProperties.java (static): Add all aliases
	for UTF8, UTF16 and UTF32 (Little and Big Endian), US-ASCII,
	iso-8859-[1-9], iso-8859-13, iso-8859-15, cp-1250, cp-1252 and
	cp1047 to defaultProperties.
	* gnu/java/io/decode/Decoder8859_13.java: New class.
	* gnu/java/io/decode/Decoder8859_15.java: Likewise.
	* gnu/java/io/decode/Decoder8859_6.java: Likewise.
	* gnu/java/io/decode/Decoder8859_7.java: Likewise.
	* gnu/java/io/decode/Decoder8859_8.java: Likewise.
	* gnu/java/io/decode/Decoder8859_9.java: Likewise.
	* gnu/java/io/decode/DecoderASCII.java: Likewise.
	* gnu/java/io/decode/DecoderCp1047.java: Likewise.
	* gnu/java/io/decode/DecoderEBCDIC_XML_US.java: Likewise.
	* gnu/java/io/decode/DecoderUTF16BE.java: Likewise.
	* gnu/java/io/decode/DecoderUTF16LE.java: Likewise.
	* gnu/java/io/decode/DecoderUTF32BE.java: Likewise.
	* gnu/java/io/decode/DecoderUTF32LE.java: Likewise.
	* gnu/java/io/decode/DecoderWindows1250.java: Likewise.
	* gnu/java/io/decode/DecoderWindows1252.java: Likewise.
	* gnu/java/io/encode/Encoder8859_13.java: Likewise.
	* gnu/java/io/encode/Encoder8859_15.java: Likewise.
	* gnu/java/io/encode/Encoder8859_6.java: Likewise.
	* gnu/java/io/encode/Encoder8859_7.java: Likewise.
	* gnu/java/io/encode/Encoder8859_8.java: Likewise.
	* gnu/java/io/encode/Encoder8859_9.java: Likewise.
	* gnu/java/io/encode/EncoderASCII.java: Likewise.
	* gnu/java/io/encode/EncoderCp1047.java: Likewise.
	* gnu/java/io/encode/EncoderEBCDIC_XML_US.java: Likewise.
	* gnu/java/io/encode/EncoderUTF16BE.java: Likewise.
	* gnu/java/io/encode/EncoderUTF16LE.java: Likewise.
	* gnu/java/io/encode/EncoderUTF32BE.java: Likewise.
	* gnu/java/io/encode/EncoderUTF32LE.java: Likewise.
	* gnu/java/io/encode/EncoderWindows1250.java: Likewise.
	* gnu/java/io/encode/EncoderWindows1252.java: Likewise.

2005-01-30  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Turn jikes error messages into warnings
	about building tests if kaffe is configured to use
	a precompiled rt.jar.

	Reported by:  Riccardo Mottola <zuse@libero.it>

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/ksem.c: Include debug.h for dprintf.

	* kaffe/kaffevm/debug.c
	kaffe/kaffevm/debug.h:
	Added debug identifiers for ksem and references.

	* kaffe/kaffevm/baseClasses.c,
	kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/reference.c,
	kaffe/kaffevm/thread.c,
	kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/jni/jni-base.c:
	Added guards for dprintf invocations.

	Reported by:  Michael Franz <mvfranz@gmail.com>

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

	* developers/autogen.sh:
	Set locale to C tp avoid different locales interfering 
	with sorting of class lists.

	Reported by:  Guilhem Lavaux  <guilhem@kaffe.org>

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/Makefile.am (EXTRA_DIST): Added 
	HelloWorldApp.class.
	(CLEANFILES) Removed *.class.

2005-01-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* include/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	libraries/clib/native/Makefile.in,
	test/regression/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in: Regenerated.
		
	* include/Makefile.am: Build java_lang_ref_Reference.h.

	* include/native.h
	(Hjava_lang_Object): Added finalizer_call.

	* kaffe/kaffevm/Makefile.am: Added reference.[ch].

	* kaffe/kaffevm/locks.c
	(slowUnlockMutex): Clear holder if heavylock is static.
	
	* kaffe/kaffevm/baseClasses.c
	(javaLangRefReference, javaLangRefSoftReference,
	javaLangRefWeakReference, javaLangRefPhantomReference): New static
	classes.
	(initBaseClasses): Invoke KaffeVM_referenceInit.

	* kaffe/kaffevm/baseClasses.h: Likewise.

	* kaffe/kaffevm/reference.c, kaffe/kaffevm/reference.h: New files
	to handle java references.
	
	* kaffe/kaffevm/classMethod.c
	(processClass): Do not use JNI anymore.
	(userLoadClass): Set retval to NULL if an exception is raised.

	* kaffe/kaffevm/classMethod.h:
	(Hjava_lang_Class): New field finalizer_call to handle different
	type of object finalizing whether it is referenced or not.

	* kaffe/kaffevm/exception.h: Fixed documentation.

	* kaffe/kaffevm/gcFuncs.c
	(finalizeObject): Invoke finalizer_call for finalization process.

	* kaffe/kaffevm/intrp/machine.c:
	(virtualMachine) Updated function prefix.

	* kaffe/kaffevm/jit/native-wrapper.c:
	(startJNIcall) Always handle JNI references now.
	(Kaffe_wrapper) Updated function prefix and handle JNI references.

	* kaffe/kaffevm/intrp/method-calls.c
	(startJNIcall, finishJNIcall): Copied from jit/method-calls.c.
	(engine_callMethod): Use startJNIcall and finishJNIcall.
	
	* kaffe/kaffevm/jni/jni-base.c
	(JNI_CreateJavaVM): Build a JNI reference table for the invoking
	thread.

	* kaffe/kaffevm/jni/jni-callmethod.c: Updated function prefix.

	* kaffe/kaffevm/jni.c
	(KaffeJNI_addJNIref, KaffeJNI_removeJNIref): Fixed and activated
	JNI references counting.

	* kaffe/kaffevm/jni/jni_i.h: Externalized addJNIref and
	removeJNIref.

	* kaffe/kaffevm/jni/jnirefs.h: Updated to handle multiple frames
	by thread.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c: Protected the access to the
	weaek and strong reference lists.

	* kaffe/kaffevm/object.c:
	(newObjectChecked, newClass, newArrayChecked): Set the finalizer type
	to the newly created object.

	* kaffe/kaffevm/support.c,
	kaffe/kaffevm/support.h
	(KaffeVM_safeCallMethodA, KaffeVM_safeCallMethodV): New functions.
	(KaffeVM_callMethodA, KaffeVM_callMethodV): Renamed.
	
	* kaffe/kaffevm/thread.c
	(linkNativeAndJavaThread): Initialize jnireferences.

	* kaffe/kaffevm/threadData.h
	(jnireferences): New field.

	* kaffe/kaffevm/utf8const.c
	(utfLockRoot): Initialize it to NULL.

	* libraries/clib/native/Makefile.am: Added new file
	java_lang_ref_Reference.c.

	* libraries/clib/native/java_lang_ref_Reference.c:
	New file.

	* libraries/javalib/bootstrap.classlist: Updated.

	* libraries/javalib/java/lang/ref/PhantomReference.java,
	libraries/javalib/java/lang/ref/Reference.java,
	libraries/javalib/java/lang/ref/ReferenceQueue.java,
	libraries/javalib/java/lang/ref/SoftReference.java,
	libraries/javalib/java/lang/ref/WeakReference.java:
	Imported from GNU Classpath.

	* test/regression/Makefile.am: Added new regression test RefTest.

	* test/regression/RefTest.java: New test.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.am (EXTRA_DIST): Added 
	powerpc/linux/sigcontextinfo.h to fix make dist on ppc-linux.

2005-01-29  Jim Huang  <jserv@kaffe.org>

	* po/zh_TW.po:
	Updated translation and its encoding converted from Big5 to UTF-8.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-29  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/text/SimpleDateFormat.java:
	(parse): Set the DST offset to 0 when parsing
	GMT offset timezones.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Chris Burdess  <dog@gnu.org>

	* gnu/xml/DomNode: Correct implementation of getElementsByTagName
	etc to return a NodeList that returns consistent results from item
	and getLength methods.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Mark Wielaard  <mark@klomp.org>

	* java/util/jar/Attributes.java (Attributes.Name): Add documentation
	to describe attributes without a constant field value in this class.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SwingUtilities.java
	(getFontMetrics): Removed.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/Container.java
	(paramString): Implemented.
	* javax/swing/AbstractButton.java
	(paramString): Implemented.
	* javax/swing/JComponent.java
	(paramString): Implemented.
	* javax/swing/JMenu.java
	(paramString): Implemented.
	* javax/swing/JMenuBar.java
	(paramString): Implemented.
	* javax/swing/JMenuItem.java
	(paramString): Implemented.
	* javax/swing/JPopupMenu.java
	(paramString): Implemented.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JMenu.java
	(uiClassID): Removed.
	(JMenu): Set invoker on popup menu.
	(getUIClassID): Return id directly.
	(getItemCount): Simply return getMenuComponentCount().
	Fixed javadoc.
	(isTopLevelMenu): Simplified.
	* javax/swing/JMenuItem.java
	(uiClassID): Removed.
	(getUIClassID): Return id directly.
	* javax/swing/JPopupMenu.java
	(uiClassID): Removed.
	(JPopupMenu): Always initialize correctly.
	(getSubElements): Only return components implementing MenuElement
	interface.
	(HeavyWeightPopup.hide): Removed.
	
2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Michael Koch  <konqueror@gmx.de>

	* java/util/jar/Attributes.java
	(CREATED_BY, JAVA_BEAN, MAGIC): Removed.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/ReplicateScaleFilter.java
	(replicatePixels): Made private.
	* javax/swing/colorchooser/DefaultRGBChooserPanel.java
	(DefaultRGBChooserPanel): Made package private.
	* javax/swing/colorchooser/DefaultSwatchChooserPanel.java
	(RecentSwatchPanel): Likewise.
	* javax/swing/event/MouseInputAdapter.java: Reformatted.
	(MouseInputAdapter): Made abstract.
	* javax/swing/tree/DefaultMutableTreeNode.java
	(random): Removed.
	(growTree): Likewise.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-27  Michael Koch  <konqueror@gmx.de>

	* java/util/GregorianCalendar.java (getLeniarDay): 
	Made private.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-27  Michael Koch  <konqueror@gmx.de>

	* java/awt/dnd/DropTarget.java (addDropTargetListener):
	Clarified comments.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-27  Graydon Hoare  <graydon@redhat.com>

	* java/awt/dnd/DropTarget.java
	(addDropTargetListener): Despite documentation, do not throw.
	* javax/swing/JComponent.java: Set a default DropTarget.

2005-01-29  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am (NOINSTALL_JNI_DERIVED_HDRS): Only create
	classpath AWT, alsa, esd or libxmlj headers if the native libraries
	for them should be built.

	Reported by:  Nektarios K. Papadopoulos  <npapadop@inaccessnetworks.com>

2005-01-28  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Added COND_NATIVE_SOUND conditional.

	* libraries/clib/Makefile.am (SUBDIRS): Only descend into sound subdir
	if native sound support should be built.

	Reported by:  Nektarios K. Papadopoulos  <npapadop@inaccessnetworks.com>
	
2005-01-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/Makefile.am (SUBDIRS): Only descend into awt subdir
	if native AWT should be built.

	Reported by:  Kiyo Inaba  <inaba@src.ricoh.co.jp>

2005-01-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/ftp/FTPURLConnection.java:
	Use gnu.java.security.action.GetPropertyAction.

	* libraries/javalib/gnu/java/net/GetSystemPropertyAction.java:
	Removed.

2005-01-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java:
	Removed unused class.

2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/gnu/java/rmi/dgc/DGCImpl_Skel.java,
          libraries/javalib/gnu/java/rmi/dgc/DGCImpl_Stub.java,
          libraries/javalib/gnu/java/rmi/registry/RegistryImpl_Skel.java,
          libraries/javalib/gnu/java/rmi/registry/RegistryImpl_Stub.java:
        Reverted the files back to Classpath's version since they are generated.
	It would be cool to fix rmic to not generate such files, though, to
	avoid the jikes warnings in generated code.

2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* javax/swing/SwingUtilities.java:
	(getAccessibleAt(java.awt.Component, java.awt.Point)):
	Implemented and documented.
	(getAccessibleChild(java.awt.Component, int)): Likewise.
	(getAccessibleChildrenCount(java.awt.Component)): Likewise.
	(getAccessibleIndexInParent(java.awt.Component)): Likewise.
	(getAccessibleStateSet(java.awt.Component)): Likewise.
	
2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractAction.java
	(ENABLED_PROPERTY): Removed.
	(setEnabled): Replaced constant with real string.
	* javax/swing/AbstractButton.java
	(createActionPropertyChangeListener.propertyChange): Likewise.
	* javax/swing/JComboBox.java
	(DEFAULT_MAXIMUM_ROW_COUNT): Made private.
	(EDITABLE_CHANGED_PROPERTY): Removed.
	(MAXIMUM_ROW_COUNT_CHANGED_PROPERTY):Likewise.
	(ENABLED_CHANGED_PROPERTY):Likewise.
	(RENDERER_CHANGED_PROPERTY):Likewise.
	(EDITOR_CHANGED_PROPERTY):Likewise.
	(MODEL_CHANGED_PROPERTY):Likewise.
	(uiClassID):Likewise.
	(getUIClassID): Replaced constant with real string.
	(setModel):Likewise.
	(setEditable):Likewise.
	(setMaximumRowCount):Likewise.
	(setRenderer):Likewise.
	(setEditor):Likewise.
	(setEnabled):Likewise.
	* javax/swing/JLabel.java
	(DISABLED_ICON_CHANGED_PROPERTY): Removed.
	(DISPLAYED_MNEMONIC_CHANGED_PROPERTY): Likewise.
	(DISPLAYED_MNEMONIC_INDEX_CHANGED_PROPERTY): Likewise.
	(HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY): Likewise.
	(HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY): Likewise.
	(ICON_CHANGED_PROPERTY): Likewise.
	(ICON_TEXT_GAP_CHANGED_PROPERTY): Likewise.
	(LABEL_FOR_CHANGED_PROPERTY): Likewise.
	(TEXT_CHANGED_PROPERTY): Likewise.
	(VERTICAL_ALIGNMENT_CHANGED_PROPERTY): Likewise.
	(VERTICAL_TEXT_POSITION_CHANGED_PROPERTY): Likewise.
	(setText): Replaced constant with real string.
	(setIcon): Likewise.
	(setDisabledIcon): Likewise.
	(setDisplayedMnemonic): Likewise.
	(setIconTextGap): Likewise.
	(setVerticalAlignment): Likewise.
	(setHorizontalAlignment): Likewise.
	(setVerticalTextPosition): Likewise.
	(setHorizontalTextPosition): Likewise.
	(setLabelFor): Replaced constant with real string.
	Fire property change event after property got changed.
	* javax/swing/JList.java
	(CELL_RENDERER_PROPERTY_CHANGED): Likewise.
	(FIXED_CELL_HEIGHT_PROPERTY_CHANGED): Likewise.
	(FIXED_CELL_WIDTH_PROPERTY_CHANGED): Likewise.
	(LAYOUT_ORIENTATION_PROPERTY_CHANGED): Likewise.
	(MODEL_PROPERTY_CHANGED): Likewise.
	(PROTOTYPE_CELL_VALUE_PROPERTY_CHANGED): Likewise.
	(SELECTION_BACKGROUND_PROPERTY_CHANGED): Likewise.
	(SELECTION_FOREGROUND_PROPERTY_CHANGED): Likewise.
	(SELECTION_MODEL_PROPERTY_CHANGED): Likewise.
	(setFixedCellWidth): Reimplemented.
	(setFixedCellHeight): Exit if new value is identical.
	Replaced constant with real string.
	(setSelectionBackground): Likewise.
	(setSelectionForeground): Likewise.
	(setPrototypeCellValue): Likewise.
	(setCellRenderer): Replaced constant with real string.
	(setModel): Likewise.
	(setSelectionModel): Likewise.
	* javax/swing/JMenuBar.java
	(BORDER_PAINTED_CHANGED_PROPERTY): Removed.
	(MODEL_CHANGED_PROPERTY): Likewise.
	(MARGIN_CHANGED_PROPERTY): Likewise.
	(setBorderPainted): Reimplemented.
	(setMargin): Likewise.
	(setSelectionModel): Replaced constant with real string.
	* javax/swing/JPopupMenu.java
	(LABEL_CHANGED_PROPERTY): Removed.
	(VISIBLE_CHANGED_PROPERTY): Likewise.
	(borderPainted): Likewise.
	(setLabel): Replaced constant with real string.
	(setVisible): Exit if new value is identical.
	Replaced constant with real string.
	* javax/swing/JProgressBar.java
	(BORDER_PAINTED_CHANGED_PROPERTY): Removed.
	(ORIENTATION_CHANGED_PROPERTY): Likewise.
	(STRING_CHANGED_PROPERTY): Likewise.
	(STRING_PAINTED_CHANGED_PROPERTY): Likewise.
	(INDETERMINATE_CHANGED_PROPERTY): Likewise.
	(setOrientation): Replaced constant with real string.
	(setStringPainted): Likewise.
	(setString): Likewise.
	(setBorderPainted): Likewise.
	(setIndeterminate): Likewise.
	* javax/swing/JScrollBar.java
	(BLOCK_INCREMENT_CHANGED_PROPERTY): Removed.
	(MODEL_CHANGED_PROPERTY): Likewise.
	(ORIENTATION_CHANGED_PROPERTY): Likewise.
	(setOrientation): Replaced constant with real string.
	(setModel): Likewise.
	(setUnitIncrement): Likewise.
	(setBlockIncrement): Likewise.
	* javax/swing/JScrollPane.java
	(COLUMN_HEADER_CHANGED_PROPERTY): Removed.
	(COMPONENT_ORIENTATION_CHANGED_PROPERTY): Likewise.
	(HORIZONTAL_SCROLLBAR_CHANGED_PROPERTY): Likewise.
	(HORIZONTAL_SCROLLBAR_POLICY_CHANGED_PROPERTY): Likewise.
	(LAYOUT_CHANGED_PROPERTY): Likewise.
	(ROW_HEADER_CHANGED_PROPERTY): Likewise.
	(VERTICAL_SCROLLBAR_CHANGED_PROPERTY): Likewise.
	(VERTICAL_SCROLLBAR_POLICY_CHANGED_PROPERTY): Likewise.
	(VIEWPORT_CHANGED_PROPERTY): Likewise.
	(VIEWPORT_BORDER_CHANGED_PROPERTY): Likewise.
	(WHEEL_SCROLLING_ENABLED_CHANGED_PROPERTY): Likewise.
	(setComponentOrientation): Replaced constant with real string.
	(setColumnHeader): Likewise.
	(setHorizontalScrollBar): Likewise.
	(setHorizontalScrollBarPolicy): Likewise.
	(setRowHeader): Likewise.
	(setVerticalScrollBar): Likewise.
	(setVerticalScrollBarPolicy): Likewise.
	(setWheelScrollingEnabled): Likewise.
	(setViewport): Likewise.
	(setViewportBorder): Likewise.
	* javax/swing/JSlider.java
	(INVERTED_CHANGED_PROPERTY): Removed.
	(LABEL_TABLE_CHANGED_PROPERTY): Likewise.
	(MAJOR_TICK_SPACING_CHANGED_PROPERTY): Likewise.
	(MINOR_TICK_SPACING_CHANGED_PROPERTY): Likewise.
	(MODEL_CHANGED_PROPERTY): Likewise.
	(ORIENTATION_CHANGED_PROPERTY): Likewise.
	(PAINT_LABELS_CHANGED_PROPERTY): Likewise.
	(PAINT_TICKS_CHANGED_PROPERTY): Likewise.
	(setModel): Replaced constant with real string.
	(setOrientation): Likewise.
	(setLabelTable): Likewise.
	(setInverted): Likewise.
	(setMajorTickSpacing): Likewise.
	(setMinorTickSpacing): Likewise.
	(setPaintTicks): Likewise.
	(setPaintLabels): Likewise.
	* javax/swing/JTabbedPane.java
	(MODEL_CHANGED_PROPERTY): Removed.
	(TAB_PLACEMENT_CHANGED_PROPERTY): Likewise.
	(TAB_LAYOUT_POLICY_CHANGED_PROPERTY): Likewise.
	(setModel): Replaced constant with real string.
	(setTabPlacement): Likewise.
	(setTabLayoutPolicy): Likewise.
	* javax/swing/JToolBar.java
	(ORIENTATION_CHANGED_PROPERTY): Removed.
	(FLOATABLE_CHANGED_PROPERTY): Likewise.
	(BORDER_PAINTED_CHANGED_PROPERTY): Likewise.
	(MARGIN_CHANGED_PROPERTY): Likewise.
	(ROLLOVER_CHANGED_PROPERTY): Likewise.
	(setRollover): Replaced constant with real string.
	(setMargin): Likewise.
	(setBorderPainted): Likewise.
	(setFloatable): Likewise.
	(setOrientation): Likewise.
	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicComboPopup.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicMenuBarUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicProgressBarUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicSliderUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(PropertyChangeHandler.propertyChange): Likewise.
	
2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultButtonModel.java
	(changeState): Made private.
	* javax/swing/DefaultDesktopManager.java
	(setWasIcon): Fixed second argument to be java.lang.Boolean.
	* javax/swing/JLayeredPane.java
	(layerToRange): Made private.
	(incrLayer): Likewise.
	(decrLayer): Likewise.
	* javax/swing/JTable.java
	(dragEnabled): Likewise.
	(preferredViewportSize): Renamed from preferredScrollableViewportSize.
	* javax/swing/KeyStroke.java
	(Keystroke): Made private.
	* javax/swing/TransferHandler.java
	(COMMAND_COPY): Likewise.
	(COMMAND_CUT): Likewise.
	(COMMAND_PASTE): Likewise.
	
2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java
	(postActionEvent): Use text in field when actionCommand is null.
	(getActionCommand): Removed.
	
2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractSet.java: Removed.
	
2005-01-27  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.
	
	2005-01-26  Michael Koch  <konqueror@gmx.de>

	* java/awt/Window.java
	(AccessibleWindow.getAccessibleStateSet): Fixed method name.
	* java/awt/dnd/DnDConstants.java
	(DnDConstants): New private constructor.
	
2005-01-27  David Tiller  <dtiller@captechventures.com>

	* Makefile.am (SUBDIRS): Move replace dir after include dir to
	make it pick up ifaddrs_compat.h if necessary.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/jit3-powerpc.def:
	Replace getLastEpilogueLabel by KaffeJIT3_getLastEpilogueLabel
	to fix powerpc-jit3 build again.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        * java/text/DecimalFormatSymbols.java: Resynced with GNU Classpath.

	Reported by:  Mark Wielaard  <mark@klomp.org>

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-25  Ito Kazumitsu  <kaz@maczuka.gcd.org>

        * java/text/SimpleDateFormat.java:
        (parse): Use offset to set ZONE_OFFSET
        rather than the DST_OFFSET, so that
        GMT offset timezones change the right
        one.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-25  Michael Koch  <konqueror@gmx.de>

        * javax/swing/DefaultCellRenderer.java: Removed.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-25  Michael Koch  <konqueror@gmx.de>

        * javax/swing/AbstractButton.java
        (fireItemStateChanged): Made protected.
        (fireActionPerformed): Likewise.
        (fireStateChanged): Likewise.
        * javax/swing/DefaultButtonModel.java
        (fireItemStateChanged): Likewise.
        (fireActionPerformed): Likewise.
        (fireStateChanged): Likewise.
        * javax/swing/JApplet.java
        (JApplet): Removed.
        (frameInit): Likewise.
        (setRootPane): Made protected.
        (createRootPane): Likewise.
        * javax/swing/JComponent.java
        (getClientProperty): Likewise.
        (putClientProperty): Likewise.
        * javax/swing/JEditorPane.java
        (getContentType): Likewise.
        (setContentType): Likewise.
        * javax/swing/JFrame.java
        (setRootPane): Likewise.
        (createRootPane): Likewise.
        * javax/swing/JInternalFrame.java
        (getFocusCycleRootAncestor): Made final. Added @since tag.
        (isFocusCycleRoot): Likewise.
        (getWarningString): Made final.
        * javax/swing/JScrollBar.java
        (changeListener): Removed.
        (changeEvent): Likewise.
        (createChangeListener): Likewise.
        (fireStateChanged): Likewise.
        (addChangeListener): Likewise.
        (removeChangeListener): Likewise.
        (getChangeListeners): Likewise.
        * javax/swing/JScrollPane.java
        (createViewport): Made protected.
        * javax/swing/JViewport.java
        (addImpl): Likewise.
        (setBorder): New method.
        * javax/swing/JWindow.java
        (setRootPane): Made protected.
        (createRootPane): Likewise.
        * javax/swing/plaf/basic/BasicButtonUI.java
        (installListeners): Likewise.
        (uninstallListeners): Likewise.
        * javax/swing/plaf/basic/BasicProgressBarUI.java
        (incrementAnimationIndex): Likewise.
        * javax/swing/plaf/basic/BasicTabbedPaneUI.java
        (createLayoutManager): Likewise.
        * javax/swing/table/DefaultTableCellRenderer.java
        (firePropertyChange): Likewise.
        * javax/swing/table/JTableHeader.java
        (AccessibleJTableHeaderEntry.AccessibleJTableHeaderEntry):
        New constructor.
        * javax/swing/text/PlainDocument.java
        (reindex): Made private.
        * javax/swing/text/PlainView.java
        (drawLine): Made protected.
        (getTabSize): Likewise.
        * javax/swing/text/View.java
        (setSize): Removed.
        (preferenceChanged): New method.
        (getBreakWeight): Likewise.
        (breakView): Likewise.
        (getViewIndex): Likewise.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-24  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JScrollPane.java
        (ScrollBar): Made class protected.
        * javax/swing/JSpinner.java
        (JSpinner): Added @since tag.
        (listenerList): Removed.
        * javax/swing/JTable.java
        (setValueAt): New method.
        (getColumn): Likewise.
        * javax/swing/JWindow.java
        (rootPaneCheckingEnabled): Renamed from checking.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-24  Michael Koch  <konqueror@gmx.de>

        * javax/swing/plaf/basic/BasicTextUI.java
        (RootView.modelToView): Made it public and return a java.awt.Shape.
        Handle null subview.
        (uninstall): Set textComponent to null when its not possible used
        anymore.
        * javax/swing/text/View.java
        (setParent): Use better argument name.
        (getContainer): Get parent via getParent().
        (getViewFactory): Likewise.
        (getAttributes): Get element via getElement().
        (getStartOffset): Likewise.
        (getEndOffset): Likewise.
        (getResizeWeight): New method.
        (getMaximumSpan): Likewise.
        (getMinimumSpan): Likewise.
        (setSize): Likewise.
        (getGraphics): Likewise.

2005-01-26  Dalibor Topic  <robilad@kaffe.org>

        Resynced with GNU Classpath.

	2005-01-24  Graydon Hoare  <graydon@redhat.com>
	            Michael Koch  <konqueror@gmx.de>

        * javax/swing/LayoutFocusTraversalPolicy.java,
        javax/swing/SortingFocusTraversalPolicy.java:
        New classes.

2005-01-24  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-23  Sven de Marothy <sven@physto.se>

        * java/util/Calendar.java: Invalidate ERA field on setting the YEAR.
        * java/util/SimpleTimeZone.java:
        (getDaysInMonth): Reimplemented.
        * java/util/GregorianCalendar.java:
        (getLinearTime): Removed.
        (isLeapYear(int,boolean)): Removed.
        (before(), after()): Removed.
        (computeTime): Reimplemented.

2005-01-24  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * gnu/java/locale/LocaleInformation.java:
        Extended localPatternChars string to match root.xml.
        * gnu/java/locale/LocaleInformation_en.java:
        Removed invalid localPatternChars string.
        * gnu/java/locale/LocaleInformation_nl.java:
        Likewise.
        * java/text/DateFormat.java:
        Documented pattern character offset constants and
        added new ones.
        (Field): Added new static fields for new pattern chars.
        * java/text/SimpleDateFormat.java:
        (CompiledField): Changed name of FieldSizePair class
        to CompiledField after adding the character as an
        attribute.  Changed fields to private and added
        accessors to give encapsulation.
        (CompiledField.CompiledField(int,int,char)): Extended
        with character field.
        (CompiledField.getField()): New accessor method.
        (CompiledField.getSize()): New acceessor method.
        (CompiledField.getCharacter()): New accessor method.
        (CompiledField.toString()): Added primarily for debugging.
        (standardChars): Now uses extended 24 character sequence.
        (compileFormat(String)): Changed to use CompiledField.
        (formatWithAttribute(java.util.Date, gnu.java.text.FormatBuffer,
        java.text.FieldPosition)): Changed to use CompiledField.
        New handler for RFC 822 timezones added.

2005-01-24  Dalibor Topic  <robilad@kaffe.org>

	* test/internal/Makefile.am (EXTRA_DIST): Added System.java.
	Small fix for make distcheck.

2005-01-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in (EXTRA_DIST, jarlib_DATA): 
	Added installed_properties.
	(installed_properties): Moved loggig.properties there.

	* configure.ac (AM_INIT_AUTOMAKE): Use new form of invoking it.
	Pass tar option to set support for long file names in tar archives.

2005-01-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/Makefile.am (SUBDIRS): Fix for make dist. Made
	libxmlj really be picked up.

2005-01-23  Dalibor Topic  <robilad@kaffe.org>

	* tools/gjdoc/javalib/Makefile.am (EXTRA_DIST): 
	Fix for make dist: Don't distribute gjdoc.jar, as it's optional.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Klasses.jar.bootstrap: Removed.
	
	* Makefile.am (SUBDIRS): reworked the build system to build the 
	class library first, then kaffeh, and then the rest of kaffe.
	(kaffe-build-order, all-local, install-exec-hook,
	install-data-hook, uninstall-hook, clean-local) Removed.

	* include/Makefile.am (KLASSES_JAR): Use rt.jar instead of 
	Klasses.jar.bootstrap.
	(NOINSTALL_JNI_DERIVED_HDRS) Added LIBTRITONUSALSA_JNI_HDRS, 
	LIBTRITONUSESD_JNI_HDRS, LIBXMLJ_JNI_HDRS and LIBGTKPEER_JNI_HDRS.
	(libtritonusalsa_headers, stamp-libtritonusalsa,
	libtritonusesd_headers, stamp-libtritonusesd,
	libxmlj_headers, stamp-libxmlj, libgtkpeer_headers,
	stamp-libgtkpeer) Removed.
	(CLEANFILES) Removed LIBTRITONUSALSA_JNI_HDRS, 
	LIBTRITONUSESD_JNI_HDRS and LIBXMLJ_JNI_HDRS.

	* kaffe/kaffe/Makefile.am (final-executable): Removed.

	* libraries/clib/Makefile.am (SUBDIRS): Added libxmlj.
	(DIST_SUBDIRS) Removed.
	Added coditional build for libxmlj.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am
	(libgtkpeer_headers): Removed.

	* libraries/clib/libxmlj/Makefile.am (libxmlj_headers): Removed.

	* libraries/clib/sound/alsa/Makefile.am (libtritonusalsa_headers):
	Removed.

	* libraries/clib/sound/esd/Makefile.am (libtritonusesd_headers):
	Removed.
	
	* Makefile.in, 
	include/Makefile.in,
	kaffe/kaffe/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>
	
	Resynced with GNU Classpath.
	
	2005-01-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Checkbox.java:
	(AccessibleAWTCheckbox()): Added public constructor
	to call superclass.
	* java/awt/Choice.java:
	(AccessibleAWTChoice): Added class documentation.
	(AccessibleAWTChoice()): Added public constructor
	to call superclass.
	(AccessibleAWTChoice.getAccessibleAction()): Documented.
	(AccessibleAWTChoice.getAccessibleRole()): Documented,
	and changed role to COMBO_BOX.
	(AccessibleAWTChoice.getAccessibleActionCount()): Documented.
	(AccessibleAWTChoice.getAccessibleActionDescription(int)): Documented.
	(AccessibleAWTChoice.doAccessibleAction(int)): Documented.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/SimpleDateFormat.java:
	(parse(String, java.text.ParsePosition)):
	Changed 'E' and 'M' cases to use both
	short and long names.  Extended 'z'
	case to also handle 'Z', and deal
	with simple GMT offsets such as +0100.
	(computeOffset(String)): New private method,
	which converts a GMT offset specification,
	such as GMT-0500 to a numeric offset in
	milliseconds.
	* java/util/TimeZone.java:
	(timezones()): Added "CEST", the daylight
	savings time version of "CET", or Central
	European Time.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-21  Sven de Marothy <sven@physto.se>

	* java/util/Calendar.java: Reformatted.
	* java/util/GregorianCalendar.java: Reformatted.
	* java/util/SimpleTimeZon.java: Reformatted.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SwingUtilities.java
	(findFocusOwner): New method.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DebugGraphics.java: Mostly implemented.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DefaultEditorKit.java
	(read): Added '\n' after each line.
	* javax/swing/text/PlainView.java
	(modelToView): Update metrics.
	(drawLine): Use offsets from element.
	(paint): Update metrics. Draw all lines.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Michael Koch  <konqueror@gmx.de>

	* java/awt/print/PrinterJob.java
	(pageDialog): Throws java.awt.HeadlessException.
	(printDialog): Likewise.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/standard/Chromaticity.java
	(serialVersionUID): Fixed value.
	* javax/print/attribute/standard/Destination.java
	(serialVersionUID): Fixed value.
	* javax/print/attribute/standard/MediaPrintableArea.java,
	javax/print/attribute/standard/MediaSize.java:
	New files.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Currency.java:
	Added new countryMap which maps country codes
	to international currency codes.  The cache
	has been altered to map currency codes to
	Currency objects.
	(getInstance(java.util.Locale)): adds to both
	caches and attempts initial lookup from country map
	(getInstance(java.lang.String)): attempts to
	use code -> currency map first

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Checkbox.java:
	(AccessibleAWTCheckbox): Added class documentation
	* java/awt/Scrollbar.java:
	(AccessibleAWTScrollBar): typo corrected and docs added
	(AccessibleAWTScrollBar.getAccessibleRole()): documented
	(AccessibleAWTScrollBar.getAccessibleStateSet()): likewise
	(AccessibleAWTScrollBar.getAccessibleValue()): likewise
	(AccessibleAWTScrollBar.getCurrentAccessibleValue()): likewise
	(AccessibleAWTScrollBar.setCurrentAccessibleValue(java.lang.Number)): likewise
	(AccessibleAWTScrollBar.getMinimumAccessibleValue()): likewise
	(AccessibleAWTScrollBar.getMaximumAccessibleValue()): likewise
	(getAccessibleContext()): name of accessible class corrected
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Mark Wielaard  <mark@klomp.org>

	* java/util/Currency.java (Currency(Locale)): Clarify
	IllegalArgumentException message.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Mark Wielaard  <mark@klomp.org>

	* java/awt/BasicStroke.java (hashCode): Implement.
	(equals): Document.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-20  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(getValueAt): New method.
	* javax/swing/table/JTableHeader.java
	(columnAtPoint): New method.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java
	(actions): New field.
	(static): Initalize actions field.
	(getActions): New method.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Mark Wielaard  <mark@klomp.org>

	* javax/naming/directory/BasicAttributes.java (equals): Compare to any
	Attributes and attribute order doesn't matter.
	(BasicAttributesEnumeration.where): Initialize to zero.
	(BasicAttributesEnumeration.nextElement): Update and compare where
	appropriately (zero based).

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gtkpeer.h (gdk_env): Fix prototype.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Graydon Hoare  <graydon@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
	(env_union): Use union to avoid type-punning warning.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Checkbox.java:
	(AccessibleAWTCheckbox): name capitalization corrected
	and serialization UID added.
	(AccessibleAWTCheckbox.itemStateChanged(java.awt.event.ItemEvent)):
	documented.
	(AccessibleAWTCheckbox.getAccessibleAction()): likewise
	(AccessibleAWTCheckbox.getAccessibleValue()): likewise
	(AccessibleAWTCheckbox.getAccessibleActionCount()): likewise
	(AccessibleAWTCheckbox.getAccessibleActionDescription(int)): likewise
	(AccessibleAWTCheckbox.doAccessibleAction(int)): likewise
	(AccessibleAWTCheckbox.getCurrentAccessibleValue()): likewise
	(AccessibleAWTCheckbox.setCurrentAccessibleValue(java.lang.Number)): likewise
	(AccessibleAWTCheckbox.getMinimumAccessibleValue()): likewise
	(AccessibleAWTCheckbox.getMaximumAccessibleValue()): likewise
	(AccessibleAWTCheckbox.getAccessibleRole()): likewise
	(AccessibleAWTCheckbox.getAccessibleStateSet()): implemented and
	documented
	(getAccessibleContext()): name of accessible class corrected
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Merge of java.lang.Appendable to HEAD from
	the generics branch.
	
	2004-08-06  Tom Tromey  <tromey@redhat.com>

	* java/lang/Appendable.java: New file.

	2004-09-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Appendable.java
	Documented this class.
	(append(CharSequence, int, int)): added.

	2004-10-31  Robert Schuster <thebohemian@gmx.net>

	* java/lang/Appendable.java (append):
	Throws IOException.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-19  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultListSelectionModel.java
	(clone): New method.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/ClasspathToolkit.java:
	Import statements reworked.
	(imageCache): Made it of type java.util.HashMap.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-19  Graydon Hoare  <graydon@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c:
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
	Rewrite uses of extern variable to be function calls.
	* native/jni/gtk-peer/gtkpeer.h (gdk_env): Change declaration to
	function, from extern variable.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
	(gdk_env): Remove variable, add new function.
	(java_vm): Add new variable.
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_gtkInit): Initialize
	java_vm rather than old gdk_env variable.
	
2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-18  Mark Wielaard  <mark@klomp.org>

	Fixes bug #11618.
	* java/io/ObjectInputStream.java (readClassDescriptor): Handle classes
	without a super class and us ObjectStreamClass.lookupForClassObject().
	(resolveClass): Check for primitive types.
	(lookupClass): Return null when argument is null.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Merge of java.lang.Appendable to HEAD from
	the generics branch.
	
	2004-08-06  Tom Tromey  <tromey@redhat.com>

	* java/lang/Appendable.java: New file.

	2004-09-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Appendable.java
	Documented this class.
	(append(CharSequence, int, int)): added.

	2004-10-31  Robert Schuster <thebohemian@gmx.net>

	* java/lang/Appendable.java (append):
	Throws IOException.

2005-01-22  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-18 David Gilbert <david.gilbert@object-refinery.com>

	* javax/swing/DefaultListModel.java
	(add): fire correct event,
	(addElement): corrected interval indices in event,
	(clear): corrected upper bound for interval, only fire event if
	list is not empty,
	(setSize): fire appropriate event.
	
2005-01-20  Kiyo Inaba  <inaba@src.ricoh.co.jp>

	* kaffe/kaffevm/jit/funcs.c,
	kaffe/kaffevm/jit3/funcs.c: Remove unused macro 'ALIGN' or
	'ALIGN_CODEPC'. The former is not compatible with OpenBSD
	anyway.
	* FAQ/FAQ.jit3: Update description of ?OUT macro and remove
	description of ALIGN_CODEPC.

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* config/arm/linux/config.frag (CFLAGS):
	Added -fno-omit-frame-pointer.

	Reported by:  Jari Korva <jpkorva@iki.fi>

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* config/arm/jit-arm.def,
	config/arm/jit3-arm.def,
	config/mips/jit3-mips.def,
	config/powerpc/jit3-powerpc.def,
	kaffe/kaffevm/jit/labels.c,
	kaffe/kaffevm/jit3/labels.c:
	Finished prefixing setEpilogueLabel with KaffeJIT(3).

	Reported by:  Kiyo Inaba  <inaba@src.ricoh.co.jp>

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/InnerTest.java, 
	test/regression/TestSerialFields.java,
	test/regression/TestSerialPersistent.java,
	test/regression/TestSerialVersions.java:
	Adapated expected output to match the one from jikes.

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/TestScript.in, 
	Makefile.am (BUILD_ENVIRONMENT-make): Removed JAVAX_CRYPTO_JAR.	

	* test/regression/TestScript.in: Use jikes for regression tests as well.
	
2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile: Changed recommended version of jikes 
	to jikes 1.21.

	* Makefile.am (BUILD_ENVIRONMENT-make): Remove kjc.jar from 
	BOOTCLASSPATH.

	* kaffe/scripts/kaffe.in: Removed kjc.jar from bootclasspath.

	* libraries/javalib/Makefile.am.in (toolsjar_DATA): Removed.

	* configure.ac: Use jikes by default. Abort if no compiler found.

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY (kjc): Removed section.

2005-01-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/kjc.jar: Removed.
	
2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-18  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/Externalizable.java,
	java/io/Serializable.java
	(serialVersionUID): Removed.
	* java/rmi/server/RemoteObject.java,
	java/rmi/server/UID.java
	(serialVersionUID): Made private.
	* java/rmi/server/RemoteRef.java,
	java/rmi/server/ServerRef.java
	(serialVersionUID): Set proper value.
	* java/security/interfaces/DSAPrivateKey.java,
	java/security/interfaces/DSAPublicKey.java,
	java/security/interfaces/RSAMultiPrimePrivateCrtKey.java,
	java/security/interfaces/RSAPrivateCrtKey.java,
	java/security/interfaces/RSAPrivateKey.java,
	java/security/interfaces/RSAPublicKey.java,
	javax/crypto/SecretKey.java
	(serialVersionUID): Added.

2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-18  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkToolkit.java: Likewise.
	* java/awt/EventQueue.java (getNextEvent):
	Adjust event loop to switch to native mode after 100ms.
	* javax/swing/Timer.java (drainEvents): Reuse Runnable.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkGenericPeer_dispose):
	Wake up event thread.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_iterateNativeQueue):
	Adjust event loop to switch to java mode after 100ms.

2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-17  Tom Tromey  <tromey@redhat.com>

	* java/text/MessageFormat.java (scanString): Changed how quoting
	is handled.
	(scanFormatElement): Likewise.

2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-17  Michael Koch  <konqueror@gmx.de>

	PR libgcj/19444
	* java/net/URI.java
	(AUTHORITY_REGEXP): New regexp constant.
	(AUTHORITY_USERINFO_GROUP): New constant.
	(AUTHORITY_HOST_GROUP): Likewise.
	(AUTHORITY_PORT_GROUP): Likewise.
	(port): Changed default value to -1.
	(parseURI): Parse authority part and initialize host,
	port and userInfo.

2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-17  Jerry Quinn  <jlquinn@optonline.net>

	* javax/imageio/metadata/IIOMetadataNode.java:
	Implemented.
	* javax/imageio/metadata/IIOAttr.java,
	javax/imageio/metadata/IIONamedNodeMap.java,
	javax/imageio/metadata/IIONodeList.java:
	New files

2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-17  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/standard/Chromaticity.java,
	javax/print/attribute/standard/Destination.java:
	New files.
	
2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Currency.java:
	(getInstance(String)): catch IllegalArgumentException
	for locales without countries
	
2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-16  Mark Wielaard  <mark@klomp.org>

	Reported by Christian Thalinger <twisti@complang.tuwien.ac.at>
	* java/lang/ClassLoader.java (getExtClassLoaderUrls): Add check for
	null returned from getFiles().
	
2005-01-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/SimpleDateFormat.java:
	(getDateFormatSymbols()): return a copy
	(setDateFormatSymbols(java.text.DateFormatSymbols)):
	throw exception on null input
	(clone()): implemented to clone internal fields
	
2005-01-17  Dalibor Topic  <topic@notebox>

	* config/powerpc/threads.h (THREADSTACKSIZE): Double stack size
	for kjc.

2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-15  Mark Wielaard  <mark@klomp.org>

	Reported by Martin Platter <motse@complang.tuwien.ac.at>
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkFileDialogPeer_nativeSetFile):
	Correct method signature of gtkSetFilename.
	
2005-01-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(gc_block_alloc): Fixed incorrect pointer arithmetic when adjusting
	blocks.

2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffeh/sigs.c (translateSig): Added missing default case.

	* kaffe/kaffeh/mem.c (GC_Ops): Added missing initializers.

2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-14  Sven de Marothy <sven@physto.se>

	* java/util/GregorianCalendar.java
	(GregorianCalendar): Update fields in the constructor
	
2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-14  Arnaud Vandyck  <avdyk@gnu.org>

	* javax/swing/text/StringContent.java: New file.

2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/SimpleDateFormat.java:
	(parse): extend try{} block so all illegal arguments
	are caught and returned as null
	
2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-13  Sven de Marothy <sven@physto.se>

	* java/text/SimpleDateFormat.java
	(parse): comparison should be case-insensitive, ignore null strings.

2005-01-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-13  Jeroen Frijters  <jeroen@frijters.net>

	* vm/reference/java/nio/channels/VMChannels.java: Class shouldn't
	be public.
	(newInputStream,newOutputStream): No need to be public.

2005-01-14  Jim Huang  <jserv@kaffe.org>

	* include/jvmpi.h:
	Add missing JVMPI version numbers.

	* kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiFillObjectAlloc):
	Use KGC_getObjectSize instead of GC_getObjectSize since the
	internal API changes.
	Retrive thread ID with vmThread with the directions from Guilhem
	Lavaux <guilhem@kaffe.org>.

	* kaffe/kaffevm/jit3/machine.c
	(translate):
	Add casting in subtraction between ncode_end and ncode_start.

	* kaffe/kaffevm/jni/jni-base.c:
	Add JVMPI specific header.

2005-01-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiFillThreadStart): Updated to follow the new threadData
	structure.

	Reported by Jim Huang <jserv@kaffe.org>

2005-01-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/native/Object.c
	(VMThread.wait): Use vmThread and not sleeper to check whether we are
	sleeping.

	Reported by Jim Huang <jserv@kaffe.org>

2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-12  Michael Koch  <konqueror@gmx.de>

	* gnu/java/security/x509/X509Certificate.java
	(parse): Handle val == null case.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-12  Michael Koch  <konqueror@gmx.de>

	* java/nio/channels/Channels.java
	(newInputStream(ReadableByteChannel)):
	Call VMChannels.newInputStream(ReadableByteChannel).
	(newOutputStream(WritableByteChannel):
	Call VMChannels.newOutputStream(WritableByteChannel).
	(newInputStream(FileChannelImpl)): Removed.
	(newOutputStream(FileChannelImpl)): Likewise.
	* vm/reference/java/nio/channels/VMChannels.java: Nw file.
	* native/jni/java-nio/Makefile.am:
	* native/jni/java-nio/java_nio_channels_Channels.c,
	include/java_nio_channels_Channels.h: Removed.
	* include/Makefile.am: Don't generate java_nio_channels_Channels.h.
	Removed java_nio_channels_Channels.c.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-12  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkWindowPeer_nativeSetVisible):
	Removed setting of gdk_env.
	
	2005-01-12  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c
	(mouseWheel): Call XFlush.
	(keyPress): Likewise.
	(keyRelease): Likewise.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIDefaults.java (UIDefaults):
	Fixed typo in javadoc (Thanks to Thomas Zander for reporting)
	Fixed HTML entity and removed a redundant comma.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java
	(registerImageIOSpis): New method.
	* gnu/java/awt/image/ImageDecoder.java
	(imageDecoder): New constructor using InputStream
	(startProduction): Handle existing InputStream.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(findSimpleIntegerArray): Make public and static.
	(updateBufferedImage): Set each pixel, in a loop.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java:
	Implement ImageIO SPI classes.
	(createBufferedImage): Rewrite in terms of SPI classes.
	* gnu/java/awt/peer/gtk/GtkToolkit.java
	(registerImageIOSpis): New method.
	* java/lang/reflect/natMethod.cc
	(_Jv_CallAnyMethodA): Borrow a patch from aph, applied to trunk,
	which lets JNI call interface methods properly.
	* javax/imageio/ImageIO.java
	(WriterFormatFilter.filter): Fix copy-and-paste typos.
	(WriterMIMETypeFilter.filter): Likewise.
	(ImageReaderIterator): Pass extension argument through to SPI.
	(getReadersByFilter): Likewise.
	(getWritersByFilter): Likewise.
	(getImageReadersByFormatName): Likewise.
	(getImageReadersByMIMEType): Likewise.
	(getImageReadersBySuffix): Likewise.
	(getImageWritersByFormatName): Likewise.
	(getImageWritersByMIMEType): Likewise.
	(getImageWritersBySuffix): Likewise.
	(read): Implement.
	(write): Implement.
	* javax/imageio/ImageReader.java
	(progressListeners): Initialize.
	(setInput): Implement.
	* javax/imageio/ImageWriter.java
	(progressListeners): Initialize.
	(warningListeners): Likewise.
	(warningLocales): Likewise.
	(setOutput): Test "isInstance" rather than class equality.
	* javax/imageio/spi/IIORegistry.java
	(static): Add reader and writer SPIs.
	(IIORegistry): Call ClasspathToolkit.registerImageIOSpis.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
	(query_formats): New function.
	(save_to_stream): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_streamImage): Likewise.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* configure.ac: Check for gdk-pixbuf-2.0.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* java/net/URL.java (URL): Handle specs like
	"/redir?http://domain2.com/index.html" which start with a slash.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-11  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java
	(nativeQueueEmpty)
	(wakeNativeQueue)
	(iterateNativeQueue): New methods.
	* gnu/java/awt/peer/gtk/GtkMainThread.java: Remove.
	* gnu/java/awt/peer/gtk/GtkToolkit.java
	(gtkInit): Absorb from defunct GtkMainThread class.
	(static): Run gtkInit in static startup block.
	(GtkToolkit): Remove construction of GtkMainThread and queue.
	(getSystemEventQueueImpl): Construct queue when requested.
	(nativeQueueEmpty)
	(wakeNativeQueue)
	(iterateNativeQueue): New methods.
	* java/awt/Component.java (removeNotify): Remove race.
	* java/awt/EventDispatchThread.java
	(EventDispatchThread): Don't start on construction.
	(run): Remove isInterrupted check.
	* java/awt/EventQueue.java (shutdown): New flag.
	(isShutdown): New method checking J2SE shutdown condition.
	(setShutdown): New method.
	(getNextEvent): Restructure to use ClasspathToolkit.
	(postEvent): Activate new thread on posting, wake thread on
	post of possible shutdown condition event.
	* java/awt/Frame.java
	(Frame): Call noteFrame in all constructors.
	(fireDummyEvent): New helper method.
	(addNotify): Fire a dummy event to wake up queue.
	(removeNotify): Fire a dummy event to wake up queue.
	(noteFrame): New method.
	(weakFrames): New static field.
	(getFrames): Implement.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c:
	Remove.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c:
	Move everything from GtkMainThread into this file
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_iterateNativeQueue)
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_wakeNativeQueue)
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_nativeQueueEmpty):
	New functions to implement single-threaded queue semantics.

	2005-01-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java: Replace direct
	references to event queue q with method call q().
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkScrollbarPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkTextComponentPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkGenericPeer.java: Likewise.
	(q): New method.

	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/Makefile.am:
	Removed gnu_java_awt_peer_gtk_GtkMainThread.c.
	* include/Makefile.am:
	Don't generate gnu_java_awt_peer_gtk_GtkMainThread.h
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DefaultEditorKit.java
	(deinstall): Removed.
	(install): Likewise.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIDefaults.java (put): Handle value of null.

2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-11  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPConnection.java: Use correct form of
	Host header when using a non-default port number.

	2005-01-11  Chris Burdess  <dog@gnu.org>

	* javax/net/ssl/HttpsURLConnection.java: Do not request SSLv3
	provider during class initialization.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* java/awt/Robot.java,
	java/awt/Scrollbar.java,
	java/awt/print/PrinterJob.java,
	javax/swing/JTable.java,
	javax/swing/text/AbstractDocument.java:
	Reworked import statements.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-11  Michael Koch  <konqueror@gmx.de>

	* java/beans/XMLDecoder.java: Reworked imports, fixed class javadoc.
	* java/io/File.java,
	java/net/Inet4Address.java,
	java/util/Currency.java,
	java/util/ResourceBundle.java: Reworked imports.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-10  Tom Tromey  <tromey@redhat.com>

	* java/io/BufferedInputStream.java: Fixed indentation.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-10  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JEditorPane.java
	(read): Implemented.
	(write): Likewise.
	* javax/swing/text/DefaultEditorKit.java
	(page): Renamed from page_url. Made private.
	(editorKit): Renamed from kit. Made private.
	(ctype): Removed.
	(JEditorPane): All constructors reimplemented.
	(getContentType): Use content type from editor kit.
	(getEditorKit): Return editorKit.
	(getEditorKitForContentType):Likewise.
	(getPage): Return page.
	(setContentType): Reimplemented.
	(setEditorKit): Likewise.
	(setEditorKitForContentType): Removed wrong implementation.
	(setPage): Implemented.
	
2005-01-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-10  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c
	(nativeSetIconImageFromData): Re-add native implementation.

2005-01-12  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/clib/native/ByteToCharIconv.c
	(Java_kaffe_io_ByteToCharIconv_convert):
	Check buffer overflow in the same way I did in CharToByteIconv.c.

2005-01-12  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/clib/native/CharToByteIconv.c
	(Java_kaffe_io_CharToByteIconv_convert):
	Check whether errno == EILSEQ.

	* libraries/javalib/all.files:
	Add kaffe/libraries/javalib/kaffe/io/KaffeCharset.java and
	kaffe/libraries/javalib/kaffe/io/KaffeCharsetProvider.java.

	* libraries/javalib/gnu/java/nio/channels/FileChannelImpl.java
	(write(ByteBuffer)): Move the position of the source buffer forward.

	* kaffe/libraries/javalib/kaffe/io/KaffeCharset.java:
	Initial bugs fixed.

2005-01-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/gnu/java/io/EncodingManager.java
	(getEncoder, getDecoder): Clarified the true origin of the error in
	the encoding manager.

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

2005-01-11  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-09  Mark Wielaard  <mark@klomp.org>

	* java/security/AlgorithmParameterGenerator.java (getInstance):
	Mention provider when throwing NoSuchProviderException.
	* java/security/AlgorithmParameters.java (getInstance): Likewise.
	* java/security/KeyFactory.java (getInstance): Likewise.
	* java/security/KeyStore.java (getInstance): Likewise.
	* java/security/SecureRandom.java (getInstance): Likewise.
	* java/security/cert/CertificateFactory.java (getInstance): Likewise.
	
2005-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* Makefile.am: Fixed BUILD_ENVIRONMENT generation.

	* Makefile.in: Regenerated.

2005-01-10  Ito Kazumitsu  < kaz@maczuka.gcd.org>

	* kaffe/libraries/javalib/kaffe/io/KaffeCharset.java,
	kaffe/libraries/javalib/kaffe/io/KaffeCharsetProvider.java:
	New files.

2005-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/external.c
	(loadNativeLibrary): Removed verbose code as it produces wrong error
	on many systems.

	* libraries/clib/native/Runtime.c
	(linkLibrary): Do not throw exception anymore. The java library will
	take care of it.

2005-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit3/machine.c
	(finishInsnSequence): Align the constant pool on 8 bytes (sizeof(union
	_constpoolval)). On sparc, a misalignment causes a SIGBUS in
	establishConstants.

2005-01-09  Guilhem Lavaux  <guilhem@kaffe.org>

	* Makefile.am
	(BUILD_ENVIRONMENT): Add classpath to (DY)LD_LIBRARY_PATH.

	* libraries/javalib/Makefile.am.in: Do not build LD_LIBRARY_PATH.

	* Makefile.in, libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in: Regenerated.

	* libraries/javalib/bootstrap.classlist: Added java.util.Currency.

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/beans/GenericBeanInfo.java:
	Removed. No loger necessary.
	
2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Process.java:
	Replaced by implementation from GNU Classpath.
	
2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Package.java:
	Replaced by implementation from GNU Classpath.
	
2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/reflect/Proxy.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/lang/reflect/Proxy.java: Improved javadocs.
	
	2004-10-15  Michael Koch  <konqueror@gmx.de>
	
	* java/lang/reflect/Proxy.java:
	Reworked import statements.
	
	2004-10-11  Jeroen Frijters  <jeroen@frijters.net>
	
	* java/lang/reflect/Proxy.java
        (count): Removed useless initializer.
	
	2004-07-10  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/reflect/Proxy.java (getPackage, ClassFactory): Fixed
        handling of default package. (generate): Removed confused comments
        and code about making Method and Field accessible.
	
2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/String.java
	(valueOf): Replaced by implementation from GNU Classpath.

	* libraries/javalib/java/lang/Boolean.java,
	libraries/javalib/java/lang/Byte.java,
	libraries/javalib/java/lang/Character.java,
	libraries/javalib/java/lang/Integer.java,
	libraries/javalib/java/lang/Long.java,
	libraries/javalib/java/lang/Short.java:
	Replaced by implementation from GNU Classpath.

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java:
	Adapted output for changes.

	* libraries/javalib/java/io/ObjectOutputStream.java
	(getObjectField): Clarified error checking code, and
	improved exception messages.

	* libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.
	
2005-01-09  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/lang/Double.java (TYPE),
	libraries/javalib/java/lang/Float.java (TYPE):
	Use VMClassLoader.getPrimitiveType.
	
	* libraries/clib/native/Class.c
	(java_lang_Class_getPrimitiveClass): Removed.

	* libraries/javalib/java/lang/Class.java
	(getPrimitiveClass) Removed.

	* libraries/clib/native/ClassLoader.c
	(java_lang_VMClassLoader_getPrimitiveClass0): New function.

	* libraries/javalib/java/lang/VMClassLoader.java
	(getPrimitiveClass) Implemented.
	(getPrimitiveClass0) New method.

2005-01-09  Kiyo Inaba  <inaba@src.ricoh.co.jp>

        * config/m68k/jit-m68k.def,
        config/m68k/jit3-m68k.def: Adjusted calls to the new name of
        some JIT compiler symbols (for m68k).
	
2005-01-09  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/constpool.h: 
	(KaffeJIT3_getCurrConst, KaffeJIT3_getFirstConst): 
	Added prototypes.

	* kaffe/kaffevm/jit3/constpool.c (KaffeJIT3_getFirstConst) 
	(KaffeJIT3_getCurrConst): New functions.

	* config/powerpc/jit-labels.h 
	(FILL_LABEL_Lreg_s, FILL_LABEL_Lsavedregs, FILL_LABEL_Lframe),
	config/powerpc/jit3-powerpc.def (define_insn, define_insn):
	Replaced findConst and currConst by KaffeJIT3_getFirstConst and
	KaffeJIT3_getCurrConst.

	Reported by:  Michael Franz <mvfranz@gmail.com>
	
2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-08  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/nio/charset/Charset.java (providers):
	New method to make an array of CharsetProviders defined in
	META-INF/services/java.nio.charset.spi.CharsetProvider.
	(charsetForName, availableCharsets): Use the
	new method providers().
	
2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-08  Michael Koch  <konqueror@gmx.de>

	* java/util/SimpleTimeZone.java (checkRule):
	Throw IllegalArgumentException on invalid month values.

2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-08  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/HTTPConnection.java
	(newRequest): Use "/" as path if no path given in URL.

2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-07  Michael Koch  <konqueror@gmx.de>

	* java/nio/Buffer.java (address): New field.
	* java/nio/DirectByteBufferImpl.java (address): Removed.
	* java/nio/MappedByteBufferImpl.java (address): Likewise..
	* java/nio/CharViewBufferImpl.java (CharViewBufferImpl): Explicitely
	initialize Buffer.address if needed.
	* java/nio/DoubleViewBufferImpl.java (DoubleViewBufferImpl): Likewise.
	* java/nio/FloatViewBufferImpl.java (FloatViewBufferImpl): Likewise.
	* java/nio/IntViewBufferImpl.java (IntViewBufferImpl): Likewise.
	* java/nio/LongViewBufferImpl.java (LongViewBufferImpl): Likewise.
	* java/nio/ShortViewBufferImpl.java (ShortViewBufferImpl): Likewise.

2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-07  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JTable.java
	(columnAtPoint): New Method. Implemented.
	(rowAtPoint): Likewise.
	(countSelections): Fixed few small count errors.
	(getSelections): Likewise.
	(setSelectionMode): Set selection mode for column
	selection model in addition to row selection model.
	* javax/swing/plaf/basic/BasicTableUI.java:
	(getRowForPoint): Removed. Replaced by
	JTable.rowAtPoint().
	(getColForPoint): Removed. Replaced by
	JTable.columnAtPoint().
	(updateSelection): Updated to call JTable.columnAtPoint
	and JTable.rowAtPoint.
	* javax/swing/table/DefaultTableColumnModel.java:
	(getSelectedColumns): Implemented.
	(getSelectedColumnCount): Implemented.

	2005-01-07  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/DefaultTableModel.java
	(DefaultTableModel()): Added Javadocs.
	(DefaultTableModel(int, int)): Fixed implementation.
	(DefaultTableModel(Vector, int)): Throw IllegalArgumentException
	for negative rowCount.
	(DefaultTableModel(Object[], int)): Added Javadocs.
	(DefaultTableModel(Vector, Vector)): Likewise.
	(DefaultTableModel(Object[][], Object[])): Likewise.
	(getDataVector): Likewise.
	(setDataVector(Vector, Vector)): Likewise.
	(setDataVector(Object[][], Object[])): Likewise.
	(newDataAvailable): Likewise.
	(newRowsAdded): Likewise.
	(rowsRemoved): Likewise.
	(setColumnIdentifiers(Vector)): Allow for null argument.
	(setColumnIdentifiers(Object[])): Added Javadocs.
	(setNumRows): Likewise.
	(setRowCount): Adds new rows if necessary, and sends more specific
	TableModelEvent.
	(setColumnCount): Allow for null columnIdentifiers.
	(addColumn(Object)): Added Javadocs.
	(addColumn(Object, Vector)): Handle null columnData.
	(addColumn(Object, Object[])): Handle columnData with more or less
	entries than rows in the table.
	(addRow(Vector)): Fire appropriate event.
	(addRow(Object[])): Added Javadocs.
	(insertRow(int, Vector)): Fire appropriate event.
	(insertRow(int, Object[])): Added Javadocs.
	(moveRow): Reimplemented.
	(removeRow(int)): Fire appropriate event.
	(getColumnCount): Allow for null columnIdentifiers.
	(getColumnName): Now returns empty string when column index is too
	large.
	(isCellEditable): Added Javadocs.
	(getValueAt): Likewise.
	(setValueAt): Fire more specific event.
	(convertToVector): Added Javadocs.
	* javax/swing/table/TableModel.java
	Added Javadocs.
	
2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	* test/jni/Makefile.am (jniReflect_LDADD, jniExecClass_LDADD): 
	Added missing libraries.

	* test/jni/Makefile.in: Regenerated.
	
2005-01-08  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jar.c (cacheJarFile): When removing
	an already cached file, set user count to 0 first.
	
2005-01-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/zip/ZipFile.java
	(ZipFile): Reverted synchronisation patches.

2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/SimpleTimeZone.java:
	(getOffset): offset end date with daylight savings
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-06  Tom Tromey  <tromey@redhat.com>

	* java/lang/ClassLoader.java (findClass): Fixed documentation.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-06  Michael Koch  <konqueror@gmx.de>

	* java/util/TimeZone.java
	(setID): Throw NullPointerException if needed.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-05  Ranjit Mathew  <rmathew@hotmail.com>

	* java/util/IdentityHashMap.java (put): Replace mistaken use
	of "<<" by "*".
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2005-01-04  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/VMThread.java (currentThread): Reordered
	modifiers.
	* vm/reference/java/security/VMAccessController.java
	(DEFAULT_CONTEXT): Reordered modifiers.

	* gnu/java/nio/SelectorImpl.java: Removed unused import.
	* gnu/java/security/der/DERWriter.java: Removed unused import.
	* gnu/java/net/protocol/http/Connection.java: Removed unused
	import.
	* gnu/java/nio/PipeImpl.java (read): Reordered modifiers.  Fixed
	indentation.
	(write): Likewise.
	* gnu/java/rmi/server/ConnectionRunnerPool.java
	(getConnectionRunner): Reordered modifiers.
	* gnu/java/text/FormatCharacterIterator.java (debug): Removed
	useless `final'.
	(dumpTable): Likewise.
	* gnu/java/net/PlainDatagramSocketImpl.java (bind): Reordered
	modifiers.
	(create, setOption, getOption, close, join, leave): Likewise.
	* gnu/java/net/PlainSocketImpl.java (create): Reordered
	modifiers.
	(bind, listen, accept): Likewise.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-04  Robert Schuster <thebohemian@gmx.net>

       * gnu/java/beans/DummyAppletStub.java: Add dummy implementation
       of AppletStub for java.beans.Beans.instantiate.
       * gnu/java/beans/DummyAppletContext.java: Add dummy implementation
       of AppletContext.
       * java/beans/Beans: Added 1.4 functionality, fixed user documentation
       to be conformant with Javadoc guidelines.
       (instantiate): Added two more overloaded variants, reworked user
       documentation, fixed exception behavior, fixed behavior when
       deserializing null.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-03  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(getControlTextFont): New method.
	(getMenuTextFont): Likewise.
	(getSubTextFont): Likewise.
	(getSystemTextFont): Likewise.
	(getUserTextFont): Likewise.
	(getWindowTitleFont): Likewise.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-03  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java
	(documentFilter): New field.
	(getDocumentFilter): New method.
	(setDocumentFilter): Likewise.
	(dump): Likewise.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Added missing check for X libraries.

	* configure: Regenerated.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkRobotPeer.java:
	Added missing files. Brown paper bag and all that.
	
2005-01-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-03  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(DynamicUtilTreeNode.hasChildren): Clarify javadoc.
	
2005-01-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/java/nio/charset/Charset.java (providers):
	New method to make an array of CharsetProviders defined in
	META-INF/services/java.nio.charset.spi.CharsetProvider.
	(charsetForName, availableCharsets): Use the new method providers().

	* libraries/javalib/kaffe/io/ByteToCharConverter.java
	(pendingLength, reset),
	libraries/javalib/kaffe/io/CharToByteConverter.java
	(havePending, pendingLength, reset): New methods to be used
	for subclasses of java.nio.charset.Charset.

2005-01-06  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-01-03  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java (createRobot): New method.
	* gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java
	(getDefaultScreenDevice): Implement.
	* gnu/java/awt/peer/gtk/GdkRobotPeer.java: New file.
	* gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkToolkit.java (createRobot): New method.
	* java/awt/Robot.java: Implement.
	* java/awt/peer/RobotPeer.java: Rename parameters.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c: New file.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(awt_keycode_to_keysym): Make non-static.
	* native/jni/gtk-peer/gtkpeer.h (AWT_BUTTON1_MASK, AWT_BUTTON2_MASK,
	AWT_BUTTON3_MASK): Declare constants.
	(awt_keycode_to_keysym): Declare.

	2005-01-03  Michael Koch  <konqueror@gmx.de>

	* configure.ac: Check for X11 stuff when GTK peer is enabled.
	* include/Makefile.am: Generate gnu_java_awt_peer_gtk_GdkRobotPeer.h.
	* native/jni/gtk-peer/Makefile.am: Link libXtst.
	Added gnu_java_awt_peer_gtk_GdkRobotPeer.c to the build.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c:
